import { URI } from '@opensumi/ide-core-browser';
import { IIconTheme } from '../common';
export declare class IconThemeData implements IIconTheme {
    hasFileIcons: boolean;
    hasFolderIcons: boolean;
    hidesExplorerArrows: boolean;
    styleSheetContent: string;
    private readonly fileServiceClient;
    private readonly staticResourceService;
    load(location: URI): Promise<string>;
}
interface IconDefinition {
    iconPath: string;
    fontColor: string;
    fontCharacter: string;
    fontSize: string;
    fontId: string;
}
interface FontDefinition {
    id: string;
    weight: string;
    style: string;
    size: string;
    src: {
        path: string;
        format: string;
    }[];
}
interface IconsAssociation {
    folder?: string;
    file?: string;
    folderExpanded?: string;
    rootFolder?: string;
    rootFolderExpanded?: string;
    folderNames?: {
        [folderName: string]: string;
    };
    folderNamesExpanded?: {
        [folderName: string]: string;
    };
    fileExtensions?: {
        [extension: string]: string;
    };
    fileNames?: {
        [fileName: string]: string;
    };
    languageIds?: {
        [languageId: string]: string;
    };
}
export interface IconThemeDocument extends IconsAssociation {
    iconDefinitions: {
        [key: string]: IconDefinition;
    };
    fonts: FontDefinition[];
    light?: IconsAssociation;
    highContrast?: IconsAssociation;
    hidesExplorerArrows?: boolean;
}
export {};
//# sourceMappingURL=icon-theme-data.d.ts.map