"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeModule = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const provider_1 = require("../common/provider");
const semantic_tokens_registry_1 = require("../common/semantic-tokens-registry");
const style_1 = require("../common/style");
const theme_service_1 = require("../common/theme.service");
const icon_service_1 = require("./icon.service");
const product_icon_service_1 = require("./product-icon.service");
const semantic_tokens_registry_2 = require("./semantic-tokens-registry");
const style_service_1 = require("./style.service");
const theme_data_1 = require("./theme-data");
const theme_store_1 = require("./theme-store");
const theme_contribution_1 = require("./theme.contribution");
const workbench_theme_service_1 = require("./workbench.theme.service");
let ThemeModule = class ThemeModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.providers = [
            {
                token: style_1.ICSSStyleService,
                useClass: style_service_1.CSSStyleService,
            },
            {
                token: theme_service_1.IThemeService,
                useClass: workbench_theme_service_1.WorkbenchThemeService,
            },
            {
                token: theme_service_1.IIconService,
                useClass: icon_service_1.IconService,
            },
            {
                token: theme_service_1.IProductIconService,
                useClass: product_icon_service_1.ProductIconService,
            },
            {
                token: semantic_tokens_registry_1.ISemanticTokenRegistry,
                useClass: semantic_tokens_registry_2.SemanticTokenRegistryImpl,
            },
            {
                token: common_1.IThemeData,
                useClass: theme_data_1.ThemeData,
            },
            {
                token: theme_service_1.IThemeStore,
                useClass: theme_store_1.ThemeStore,
            },
            theme_contribution_1.ThemeContribution,
        ];
        // 依赖 fileService 服务
        this.backServices = [
            {
                servicePath: theme_service_1.ThemeServicePath,
                clientToken: theme_service_1.IThemeService,
            },
        ];
        this.contributionProvider = provider_1.ThemeContributionProvider;
    }
};
ThemeModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], ThemeModule);
exports.ThemeModule = ThemeModule;
tslib_1.__exportStar(require("./icon.service"), exports);
tslib_1.__exportStar(require("./product-icon.service"), exports);
//# sourceMappingURL=index.js.map