import { URI } from '@opensumi/ide-core-browser';
import { ExtensionData, IProductIconTheme, IThemeContribution } from '../common';
import { IconContribution, IconDefinition } from '../common/icon-registry';
export declare const fontIdRegex = "^([\\w_-]+)$";
export declare const fontStyleRegex = "^(normal|italic|(oblique[ \\w\\s-]+))$";
export declare const fontWeightRegex = "^(normal|bold|lighter|bolder|(\\d{0-1000}))$";
export declare const fontSizeRegex = "^([\\w .%_-]+)$";
export declare const fontFormatRegex = "^woff|woff2|truetype|opentype|embedded-opentype|svg$";
interface ProductIconThemeDocument {
    iconDefinitions: Map<string, IconDefinition>;
}
export declare class ProductIconThemeData implements IProductIconTheme {
    id: string;
    label: string;
    settingsId: string;
    description?: string;
    isLoaded: boolean;
    location?: URI;
    extensionData?: ExtensionData;
    watch?: boolean;
    iconThemeDocument: ProductIconThemeDocument;
    styleSheetContent?: string;
    private readonly fileServiceClient;
    private logger;
    constructor(id: string, label: string, settingsId: string);
    load(location: URI): Promise<string | undefined>;
    getIcon(iconContribution: IconContribution): IconDefinition | undefined;
    static fromExtensionTheme(iconTheme: IThemeContribution, iconThemeLocation: URI, extensionData: ExtensionData): ProductIconThemeData;
}
export {};
//# sourceMappingURL=product-icon-theme-data.d.ts.map