import { ISemanticTokenRegistry, SemanticTokenDefaultRule, TokenSelector, TokenStyleDefaults } from '../common/semantic-tokens-registry';
export declare class SemanticTokenRegistryImpl implements ISemanticTokenRegistry {
    private typeHierarchy;
    private tokenTypeById;
    private tokenModifierById;
    private currentTypeNumber;
    private currentModifierBit;
    private tokenStylingDefaultRules;
    private tokenStylingSchema;
    parseTokenSelector(selectorString: string, language?: string): TokenSelector;
    registerTokenStyleDefault(selector: TokenSelector, defaults: TokenStyleDefaults): void;
    deregisterTokenStyleDefault(selector: TokenSelector): void;
    getTokenStylingDefaultRules(): SemanticTokenDefaultRule[];
    registerTokenModifier(id: string, description: string, deprecationMessage?: string): void;
    registerTokenType(id: string, description: string, superType?: string, deprecationMessage?: string): void;
    private getTypeHierarchy;
}
//# sourceMappingURL=semantic-tokens-registry.d.ts.map