import { ClientAppContribution, Command, CommandContribution, CommandRegistry, ILogger, QuickOpenOptions } from '@opensumi/ide-core-browser';
import { IMenuRegistry, MenuContribution } from '@opensumi/ide-core-browser/lib/menu/next';
import { IIconService, IProductIconService, IThemeService } from '../common';
import { ISemanticTokenRegistry } from '../common/semantic-tokens-registry';
export declare const THEME_TOGGLE_COMMAND: Command;
export declare const ICON_THEME_TOGGLE_COMMAND: Command;
export declare const PRODUCT_ICON_THEME_TOGGLE_COMMAND: Command;
export declare class ThemeContribution implements MenuContribution, CommandContribution, ClientAppContribution {
    themeService: IThemeService;
    iconService: IIconService;
    productIconService: IProductIconService;
    private quickOpenService;
    private preferenceService;
    protected readonly semanticTokenRegistry: ISemanticTokenRegistry;
    protected readonly logger: ILogger;
    initialize(): Promise<void>;
    /**
     * 如果没有设置默认 theme 或者 设置的 theme 为 dark 类型，为了有体感上的加速，设置默认的 theme
     */
    private registerDefaultColorTheme;
    private registerDefaultTokenModifier;
    private registerDefaultTokenType;
    private registerDefaultTokenStyles;
    private doRegisterTokenStyleDefault;
    private doRegisterTokenType;
    registerMenus(menus: IMenuRegistry): void;
    registerCommands(commands: CommandRegistry): void;
    protected updateTopPreference(key: string, value: string): Promise<void>;
    protected showPickWithPreview(pickItems: {
        label: string;
        value: string;
        groupLabel?: string;
    }[], options: QuickOpenOptions, onFocusChange: (value: string) => void): Promise<string | undefined>;
}
//# sourceMappingURL=theme.contribution.d.ts.map