"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACTIVITY_BAR_ACTIVE_BORDER = exports.ACTIVITY_BAR_BADGE_FOREGROUND = exports.ACTIVITY_BAR_BADGE_BACKGROUND = exports.ACTIVITY_BAR_DRAG_AND_DROP_BACKGROUND = exports.ACTIVITY_BAR_BORDER = exports.ACTIVITY_BAR_INACTIVE_FOREGROUND = exports.ACTIVITY_BAR_FOREGROUND = exports.ACTIVITY_BAR_BACKGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
const sidebar_1 = require("./sidebar");
// < --- Activity Bar --- >
exports.ACTIVITY_BAR_BACKGROUND = (0, utils_1.registerColor)('activityBar.background', {
    dark: '#333333',
    light: '#2C2C2C',
    hcDark: '#000000',
    hcLight: '#FFFFFF',
}, (0, ide_core_common_1.localize)('activityBarBackground', 'Activity bar background color. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_FOREGROUND = (0, utils_1.registerColor)('activityBar.foreground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: editor_1.editorForeground,
}, (0, ide_core_common_1.localize)('activityBarForeground', 'Activity bar item foreground color when it is active. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_INACTIVE_FOREGROUND = (0, utils_1.registerColor)('activityBar.inactiveForeground', {
    dark: (0, utils_1.transparent)(exports.ACTIVITY_BAR_FOREGROUND, 0.6),
    light: (0, utils_1.transparent)(exports.ACTIVITY_BAR_FOREGROUND, 0.6),
    hcDark: color_1.Color.white,
    hcLight: editor_1.editorForeground,
}, (0, ide_core_common_1.localize)('activityBarInActiveForeground', 'Activity bar item foreground color when it is inactive. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_BORDER = (0, utils_1.registerColor)('activityBar.border', {
    dark: sidebar_1.SIDE_BAR_BORDER,
    light: sidebar_1.SIDE_BAR_BORDER,
    hcDark: sidebar_1.SIDE_BAR_BORDER,
    hcLight: sidebar_1.SIDE_BAR_BORDER,
}, (0, ide_core_common_1.localize)('activityBarBorder', 'Activity bar border color separating to the side bar. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_DRAG_AND_DROP_BACKGROUND = (0, utils_1.registerColor)('activityBar.dropBackground', {
    dark: color_1.Color.white.transparent(0.12),
    light: color_1.Color.white.transparent(0.12),
    hcDark: color_1.Color.white.transparent(0.12),
    hcLight: color_1.Color.white.transparent(0.12),
}, (0, ide_core_common_1.localize)('activityBarDragAndDropBackground', 'Drag and drop feedback color for the activity bar items. The color should have transparency so that the activity bar entries can still shine through. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_BADGE_BACKGROUND = (0, utils_1.registerColor)('activityBarBadge.background', {
    dark: '#007ACC',
    light: '#007ACC',
    hcDark: '#000000',
    hcLight: '#0F4A85',
}, (0, ide_core_common_1.localize)('activityBarBadgeBackground', 'Activity notification badge background color. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_BADGE_FOREGROUND = (0, utils_1.registerColor)('activityBarBadge.foreground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: color_1.Color.white,
}, (0, ide_core_common_1.localize)('activityBarBadgeForeground', 'Activity notification badge foreground color. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
exports.ACTIVITY_BAR_ACTIVE_BORDER = (0, utils_1.registerColor)('activityBar.activeBorder', {
    dark: exports.ACTIVITY_BAR_FOREGROUND,
    light: exports.ACTIVITY_BAR_FOREGROUND,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('activityBarActiveBorder', 'Activity bar border color for the active item. The activity bar is showing on the far left or right and allows to switch between views of the side bar.'));
//# sourceMappingURL=activity-bar.js.map