"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disabledForeground = exports.widgetShadow = exports.selectionBackground = exports.activeContrastBorder = exports.contrastBorder = exports.sashHoverBorder = exports.focusBorder = exports.iconForeground = exports.descriptionForeground = exports.errorForeground = exports.foreground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
// base colors
exports.foreground = (0, utils_1.registerColor)('foreground', { dark: '#CCCCCC', light: '#616161', hcDark: '#FFFFFF', hcLight: '#292929' }, (0, ide_core_common_1.localize)('foreground', 'Overall foreground color. This color is only used if not overridden by a component.'));
exports.errorForeground = (0, utils_1.registerColor)('errorForeground', { dark: '#F48771', light: '#A1260D', hcDark: '#F48771', hcLight: '#B5200D' }, (0, ide_core_common_1.localize)('errorForeground', 'Overall foreground color for error messages. This color is only used if not overridden by a component.'));
exports.descriptionForeground = (0, utils_1.registerColor)('descriptionForeground', {
    light: '#717171',
    dark: (0, utils_1.transparent)(exports.foreground, 0.7),
    hcDark: (0, utils_1.transparent)(exports.foreground, 0.7),
    hcLight: (0, utils_1.transparent)(exports.foreground, 0.7),
}, (0, ide_core_common_1.localize)('descriptionForeground', 'Foreground color for description text providing additional information, for example for a label.'));
exports.iconForeground = (0, utils_1.registerColor)('icon.foreground', { dark: '#C5C5C5', light: '#424242', hcDark: '#FFFFFF', hcLight: '#292929' }, (0, ide_core_common_1.localize)('iconForeground', 'The default color for icons in the workbench.'));
exports.focusBorder = (0, utils_1.registerColor)('focusBorder', { dark: '#007FD4', light: '#0090F1', hcDark: '#F38518', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('focusBorder', 'Overall border color for focused elements. This color is only used if not overridden by a component.'));
exports.sashHoverBorder = (0, utils_1.registerColor)('sash.hoverBorder', { dark: exports.focusBorder, light: exports.focusBorder, hcDark: exports.focusBorder, hcLight: exports.focusBorder }, (0, ide_core_common_1.localize)('sashActiveBorder', 'Border color of active sashes.'));
exports.contrastBorder = (0, utils_1.registerColor)('contrastBorder', { light: null, dark: null, hcDark: '#6FC3DF', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('contrastBorder', 'An extra border around elements to separate them from others for greater contrast.'));
exports.activeContrastBorder = (0, utils_1.registerColor)('contrastActiveBorder', { light: null, dark: null, hcDark: exports.focusBorder, hcLight: exports.focusBorder }, (0, ide_core_common_1.localize)('activeContrastBorder', 'An extra border around active elements to separate them from others for greater contrast.'));
exports.selectionBackground = (0, utils_1.registerColor)('selection.background', { light: null, dark: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('selectionBackground', 'The background color of text selections in the workbench (e.g. for input fields or text areas). Note that this does not apply to selections within the editor.'));
exports.widgetShadow = (0, utils_1.registerColor)('widget.shadow', { dark: '#000000', light: '#A8A8A8', hcDark: '#A5A5A5', hcLight: '#7F7F7F' }, (0, ide_core_common_1.localize)('widgetShadow', 'Shadow color of widgets such as find/replace inside the editor.'));
exports.disabledForeground = (0, utils_1.registerColor)('disabledForeground', { dark: '#CCCCCC80', light: '#61616180', hcDark: '#A5A5A5', hcLight: '#7F7F7F' }, (0, ide_core_common_1.localize)('disabledForeground', 'Overall foreground for disabled elements. This color is only used if not overridden by a component.'));
//# sourceMappingURL=base.js.map