"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.breadcrumbsPickerBackground = exports.breadcrumbsActiveSelectionForeground = exports.breadcrumbsFocusForeground = exports.breadcrumbsBackground = exports.breadcrumbsForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
/**
 * Breadcrumb colors
 */
exports.breadcrumbsForeground = (0, utils_1.registerColor)('breadcrumb.foreground', {
    light: (0, utils_1.transparent)(base_1.foreground, 0.8),
    dark: (0, utils_1.transparent)(base_1.foreground, 0.8),
    hcDark: (0, utils_1.transparent)(base_1.foreground, 0.8),
    hcLight: (0, utils_1.transparent)(base_1.foreground, 0.8),
}, (0, ide_core_common_1.localize)('breadcrumbsFocusForeground', 'Color of focused breadcrumb items.'));
exports.breadcrumbsBackground = (0, utils_1.registerColor)('breadcrumb.background', {
    light: editor_1.editorBackground,
    dark: editor_1.editorBackground,
    hcDark: editor_1.editorBackground,
    hcLight: editor_1.editorBackground,
}, (0, ide_core_common_1.localize)('breadcrumbsBackground', 'Background color of breadcrumb items.'));
exports.breadcrumbsFocusForeground = (0, utils_1.registerColor)('breadcrumb.focusForeground', {
    light: (0, utils_1.darken)(base_1.foreground, 0.2),
    dark: (0, utils_1.lighten)(base_1.foreground, 0.1),
    hcDark: (0, utils_1.lighten)(base_1.foreground, 0.1),
    hcLight: (0, utils_1.lighten)(base_1.foreground, 0.1),
}, (0, ide_core_common_1.localize)('breadcrumbsFocusForeground', 'Color of focused breadcrumb items.'));
exports.breadcrumbsActiveSelectionForeground = (0, utils_1.registerColor)('breadcrumb.activeSelectionForeground', {
    light: (0, utils_1.darken)(base_1.foreground, 0.2),
    dark: (0, utils_1.lighten)(base_1.foreground, 0.1),
    hcDark: (0, utils_1.lighten)(base_1.foreground, 0.1),
    hcLight: (0, utils_1.lighten)(base_1.foreground, 0.1),
}, (0, ide_core_common_1.localize)('breadcrumbsSelectedForegound', 'Color of selected breadcrumb items.'));
exports.breadcrumbsPickerBackground = (0, utils_1.registerColor)('breadcrumbPicker.background', {
    light: editor_1.editorWidgetBackground,
    dark: editor_1.editorWidgetBackground,
    hcDark: editor_1.editorWidgetBackground,
    hcLight: editor_1.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('breadcrumbsSelectedBackground', 'Background color of breadcrumb item picker.'));
//# sourceMappingURL=breadcrumb.js.map