"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buttonSecondaryHoverBackground = exports.buttonSecondaryBackground = exports.buttonSecondaryForeground = exports.buttonBorder = exports.buttonHoverBackground = exports.buttonBackground = exports.buttonForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../color");
const utils_1 = require("../utils");
const base_1 = require("./base");
/** default button */
exports.buttonForeground = (0, utils_1.registerColor)('button.foreground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: color_1.Color.white,
}, (0, ide_core_common_1.localize)('buttonForeground', 'Button foreground color.'));
exports.buttonBackground = (0, utils_1.registerColor)('button.background', { dark: '#0E639C', light: '#007ACC', hcDark: null, hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('buttonBackground', 'Button background color.'));
exports.buttonHoverBackground = (0, utils_1.registerColor)('button.hoverBackground', {
    dark: (0, utils_1.lighten)(exports.buttonBackground, 0.2),
    light: (0, utils_1.darken)(exports.buttonBackground, 0.2),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('buttonHoverBackground', 'Button background color when hovering.'));
exports.buttonBorder = (0, utils_1.registerColor)('button.border', {
    dark: base_1.contrastBorder,
    light: base_1.contrastBorder,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('buttonBorderBackground', 'Button border color'));
/** secondary button */
exports.buttonSecondaryForeground = (0, utils_1.registerColor)('button.secondaryForeground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: base_1.foreground,
}, (0, ide_core_common_1.localize)('buttonSecondaryForeground', 'Button Secondary foreground color.'));
exports.buttonSecondaryBackground = (0, utils_1.registerColor)('button.background', { dark: '#3A3D41', light: '#5F6A79', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('buttonSecondaryForeground', 'Button Secondary background color.'));
exports.buttonSecondaryHoverBackground = (0, utils_1.registerColor)('button.hoverBackground', {
    dark: (0, utils_1.lighten)(exports.buttonSecondaryBackground, 0.2),
    light: (0, utils_1.darken)(exports.buttonSecondaryBackground, 0.2),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('buttonSecondaryForeground', 'Button Secondary background color when hovering.'));
//# sourceMappingURL=button.js.map