"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chartsPurple = exports.chartsGreen = exports.chartsOrange = exports.chartsYellow = exports.chartsBlue = exports.chartsRed = exports.chartsLines = exports.chartsForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
const minimap_1 = require("./minimap");
exports.chartsForeground = (0, utils_1.registerColor)('charts.foreground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('chartsForeground', 'The foreground color used in charts.'));
exports.chartsLines = (0, utils_1.registerColor)('charts.lines', {
    dark: (0, utils_1.transparent)(base_1.foreground, 0.5),
    light: (0, utils_1.transparent)(base_1.foreground, 0.5),
    hcDark: (0, utils_1.transparent)(base_1.foreground, 0.5),
    hcLight: (0, utils_1.transparent)(base_1.foreground, 0.5),
}, (0, ide_core_common_1.localize)('chartsLines', 'The color used for horizontal lines in charts.'));
exports.chartsRed = (0, utils_1.registerColor)('charts.red', {
    dark: editor_1.editorErrorForeground,
    light: editor_1.editorErrorForeground,
    hcDark: editor_1.editorErrorForeground,
    hcLight: editor_1.editorErrorForeground,
}, (0, ide_core_common_1.localize)('chartsRed', 'The red color used in chart visualizations.'));
exports.chartsBlue = (0, utils_1.registerColor)('charts.blue', {
    dark: editor_1.editorInfoForeground,
    light: editor_1.editorInfoForeground,
    hcDark: editor_1.editorInfoForeground,
    hcLight: editor_1.editorInfoForeground,
}, (0, ide_core_common_1.localize)('chartsBlue', 'The blue color used in chart visualizations.'));
exports.chartsYellow = (0, utils_1.registerColor)('charts.yellow', {
    dark: editor_1.editorWarningForeground,
    light: editor_1.editorWarningForeground,
    hcDark: editor_1.editorWarningForeground,
    hcLight: editor_1.editorWarningForeground,
}, (0, ide_core_common_1.localize)('chartsYellow', 'The yellow color used in chart visualizations.'));
exports.chartsOrange = (0, utils_1.registerColor)('charts.orange', { dark: minimap_1.minimapFindMatch, light: minimap_1.minimapFindMatch, hcDark: minimap_1.minimapFindMatch, hcLight: minimap_1.minimapFindMatch }, (0, ide_core_common_1.localize)('chartsOrange', 'The orange color used in chart visualizations.'));
exports.chartsGreen = (0, utils_1.registerColor)('charts.green', { dark: '#89D185', light: '#388A34', hcDark: '#89D185', hcLight: '#374e06' }, (0, ide_core_common_1.localize)('chartsGreen', 'The green color used in chart visualizations.'));
exports.chartsPurple = (0, utils_1.registerColor)('charts.purple', { dark: '#B180D7', light: '#652D90', hcDark: '#B180D7', hcLight: '#652D90' }, (0, ide_core_common_1.localize)('chartsPurple', 'The purple color used in chart visualizations.'));
//# sourceMappingURL=charts.js.map