"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hintBackground = exports.hintIconForeground = exports.infoBackground = exports.infoIconForeground = exports.successBackground = exports.succesIconForeground = exports.warningBackground = exports.warningIconForeground = exports.errorBackground = exports.errorIconForeground = exports.iconSecondaryForeground = exports.disableForeground = exports.accentForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const base_1 = require("../base");
const editor_1 = require("../editor");
// base custom colors
// 强调色
exports.accentForeground = (0, utils_1.registerColor)('kt.accentForeground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('accentForeground', 'Accent foreground color. This color is only used if not overridden by a component.'));
exports.disableForeground = (0, utils_1.registerColor)('kt.disableForeground', {
    light: (0, utils_1.transparent)(base_1.foreground, 0.3),
    dark: (0, utils_1.transparent)(base_1.foreground, 0.3),
    hcDark: (0, utils_1.transparent)(base_1.foreground, 0.3),
    hcLight: (0, utils_1.transparent)(base_1.foreground, 0.3),
}, (0, ide_core_common_1.localize)('disableForeground', 'Foreground color for text providing disabled information'));
exports.iconSecondaryForeground = (0, utils_1.registerColor)('kt.icon.secondaryForeground', { dark: base_1.iconForeground, light: base_1.iconForeground, hcDark: base_1.iconForeground, hcLight: base_1.iconForeground }, (0, ide_core_common_1.localize)('secondaryForeground', 'The secondary color for icons in the workbench.'));
exports.errorIconForeground = (0, utils_1.registerColor)('kt.errorIconForeground', {
    dark: editor_1.editorErrorForeground,
    light: editor_1.editorErrorForeground,
    hcDark: editor_1.editorErrorForeground,
    hcLight: editor_1.editorErrorForeground,
}, (0, ide_core_common_1.localize)('errorIconForeground', 'Foreground color for error icon'));
exports.errorBackground = (0, utils_1.registerColor)('kt.errorBackground', { dark: '#D21F2840', light: '#FF787540', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('errorBackground', 'Background color for error text'));
/**
 * 备注: 为保障对 vscode theme 插件的最大程度兼容
 * 这里 [warning/error/info]IconForeground
 * 皆 fallback 到 vscode token 中 notificationsIcon 相关的默认值
 * 即全部 fallback 搭配 editorForeground 色值
 */
exports.warningIconForeground = (0, utils_1.registerColor)('kt.warningIconForeground', {
    dark: editor_1.editorWarningForeground,
    light: editor_1.editorWarningForeground,
    hcDark: editor_1.editorWarningForeground,
    hcLight: editor_1.editorWarningForeground,
}, (0, ide_core_common_1.localize)('warningIconForeground', 'Foreground color for warning icon'));
exports.warningBackground = (0, utils_1.registerColor)('kt.warningBackground', { dark: '#D7951340', light: '#FFD66640', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('warningBackground', 'Background color for warning text'));
exports.succesIconForeground = (0, utils_1.registerColor)('kt.successIconForeground', { dark: '#DBA936', light: '#73D13D', hcDark: base_1.iconForeground, hcLight: base_1.iconForeground }, (0, ide_core_common_1.localize)('successIconForeground', 'Foreground color for success icon'));
exports.successBackground = (0, utils_1.registerColor)('kt.successBackground', { dark: '#D7951340', light: '#95DE6440', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('successBackground', 'Background color for success text'));
exports.infoIconForeground = (0, utils_1.registerColor)('kt.infoIconForeground', {
    dark: editor_1.editorInfoForeground,
    light: editor_1.editorInfoForeground,
    hcDark: editor_1.editorInfoForeground,
    hcLight: editor_1.editorInfoForeground,
}, (0, ide_core_common_1.localize)('infoIconForeground', 'Foreground color for info icon'));
exports.infoBackground = (0, utils_1.registerColor)('kt.infoBackground', { dark: '#167CDB40', light: '#6EB6FA40', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('infoBackground', 'Background color for info text'));
exports.hintIconForeground = (0, utils_1.registerColor)('kt.hintIconForeground', { dark: '#868C91', light: '#999999', hcDark: base_1.iconForeground, hcLight: base_1.iconForeground }, (0, ide_core_common_1.localize)('hintIconForeground', 'Foreground color for hint icon'));
exports.hintBackground = (0, utils_1.registerColor)('kt.hintBackground', { dark: '#5F656B40', light: '#CCCCCC40', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('hintBackground', 'Background color for hint text'));
//# sourceMappingURL=base.js.map