"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.conflictingResourceForeground = exports.ignoredResourceForeground = exports.untrackedResourceForeground = exports.deletedResourceForeground = exports.modifiedResourceForeground = exports.addedResourceDecorationForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
// https://github.com/microsoft/vscode/blob/master/extensions/git/package.json#L1696
// 将 vscode git 插件的颜色变量复制一份，应对不存在 git 插件的场景，比如 web scm/文件树/变更树等场景
exports.addedResourceDecorationForeground = (0, utils_1.registerColor)('kt.decoration.addedResourceForeground', {
    light: '#587c0c',
    dark: '#81b88b',
    hcDark: '#1b5225',
    hcLight: null,
}, (0, ide_core_common_1.localize)('addedResourceDecorationForeground', 'Color for added resources.'));
exports.modifiedResourceForeground = (0, utils_1.registerColor)('kt.decoration.modifiedResourceForeground', {
    light: '#895503',
    dark: '#E2C08D',
    hcDark: '#E2C08D',
    hcLight: null,
}, (0, ide_core_common_1.localize)('modifiedResourceForeground', 'Color for modified resources.'));
exports.deletedResourceForeground = (0, utils_1.registerColor)('kt.decoration.deletedResourceForeground', {
    light: '#ad0707',
    dark: '#c74e39',
    hcDark: '#c74e39',
    hcLight: null,
}, (0, ide_core_common_1.localize)('deletedResourceForeground', 'Color for deleted resources.'));
exports.untrackedResourceForeground = (0, utils_1.registerColor)('kt.decoration.untrackedResourceForeground', {
    light: '#007100',
    dark: '#73C991',
    hcDark: '#73C991',
    hcLight: null,
}, (0, ide_core_common_1.localize)('untrackedResourceForeground', 'Color for untracked resources.'));
exports.ignoredResourceForeground = (0, utils_1.registerColor)('kt.decoration.ignoredResourceForeground', {
    light: '#8E8E90',
    dark: '#8C8C8C',
    hcDark: '#A7A8A9',
    hcLight: null,
}, (0, ide_core_common_1.localize)('ignoredResourceForeground', 'Color for ignored resources.'));
exports.conflictingResourceForeground = (0, utils_1.registerColor)('kt.decoration.conflictingResourceForeground', {
    light: '#6c6cc4',
    dark: '#6c6cc4',
    hcDark: '#6c6cc4',
    hcLight: null,
}, (0, ide_core_common_1.localize)('conflictingResourceForeground', 'Color for resources with conflicts.'));
//# sourceMappingURL=decoration.js.map