"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.menubarBorder = exports.menubarSeparatorBackground = exports.menubarBackground = exports.menubarForeground = exports.menuShadow = exports.menuDisableForeground = exports.menuDescriptionForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const activity_bar_1 = require("../activity-bar");
const base_1 = require("../base");
const editor_1 = require("../editor");
const menu_1 = require("../menu");
/* ---  menu --- */
exports.menuDescriptionForeground = (0, utils_1.registerColor)('kt.menu.descriptionForeground', {
    dark: base_1.descriptionForeground,
    light: base_1.descriptionForeground,
    hcDark: base_1.descriptionForeground,
    hcLight: base_1.descriptionForeground,
}, (0, ide_core_common_1.localize)('menuDescriptionForeground', 'Description foreground color of menu items.'));
exports.menuDisableForeground = (0, utils_1.registerColor)('kt.menu.disableForeground', {
    dark: (0, utils_1.transparent)(menu_1.menuForeground, 0.3),
    light: (0, utils_1.transparent)(menu_1.menuForeground, 0.3),
    hcDark: (0, utils_1.transparent)(menu_1.menuForeground, 0.3),
    hcLight: (0, utils_1.transparent)(menu_1.menuForeground, 0.3),
}, (0, ide_core_common_1.localize)('menuDisableForeground', 'Foreground color of disabled menu items.'));
exports.menuShadow = (0, utils_1.registerColor)('kt.menu.shadow', { dark: base_1.widgetShadow, light: base_1.widgetShadow, hcDark: base_1.widgetShadow, hcLight: base_1.widgetShadow }, (0, ide_core_common_1.localize)('menuShadow', 'Box shadow color of menu.'));
/* --- menubar --- */
exports.menubarForeground = (0, utils_1.registerColor)('kt.menubar.foreground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('menubarForeground', 'Foreground color of menu bar.'));
exports.menubarBackground = (0, utils_1.registerColor)('kt.menubar.background', { dark: editor_1.editorBackground, light: editor_1.editorBackground, hcDark: editor_1.editorBackground, hcLight: editor_1.editorBackground }, (0, ide_core_common_1.localize)('menubarBackground', 'Background color of menu bar.'));
exports.menubarSeparatorBackground = (0, utils_1.registerColor)('kt.menubar.separatorBackground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('menubarSeparatorBackground', 'Separator background of menu bar.'));
exports.menubarBorder = (0, utils_1.registerColor)('kt.menubar.border', { dark: activity_bar_1.ACTIVITY_BAR_BORDER, light: activity_bar_1.ACTIVITY_BAR_BORDER, hcDark: activity_bar_1.ACTIVITY_BAR_BORDER, hcLight: activity_bar_1.ACTIVITY_BAR_BORDER }, (0, ide_core_common_1.localize)('menubarBorder', 'Border color of menu bar.'));
//# sourceMappingURL=menu.js.map