"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ktPanelSecondaryForeground = exports.ktPanelTabBorder = exports.ktPanelTabActiveBorder = exports.ktPanelTabActionIconForeground = exports.ktPanelTabActiveBackground = exports.ktPanelTabInactiveBackground = exports.ktPanelTabActiveForeground = exports.ktPanelTabInactiveForeground = exports.ktPanelTitleBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const activity_bar_1 = require("../activity-bar");
const base_1 = require("../base");
const editor_1 = require("../editor");
const panel_1 = require("../panel");
const tab_1 = require("../tab");
const text_1 = require("../text");
/* --- panel --- */
exports.ktPanelTitleBackground = (0, utils_1.registerColor)('kt.panelTitle.background', {
    dark: editor_1.EDITOR_GROUP_HEADER_TABS_BACKGROUND,
    light: editor_1.EDITOR_GROUP_HEADER_TABS_BACKGROUND,
    hcDark: editor_1.EDITOR_GROUP_HEADER_TABS_BACKGROUND,
    hcLight: editor_1.EDITOR_GROUP_HEADER_TABS_BACKGROUND,
}, (0, ide_core_common_1.localize)('panelTitle.background', 'Panel title background color. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.ktPanelTabInactiveForeground = (0, utils_1.registerColor)('kt.panelTab.inactiveForeground', {
    dark: (0, utils_1.transparent)(base_1.foreground, 0.8),
    light: (0, utils_1.transparent)(base_1.foreground, 0.8),
    hcDark: (0, utils_1.transparent)(base_1.foreground, 0.8),
    hcLight: (0, utils_1.transparent)(base_1.foreground, 0.8),
}, (0, ide_core_common_1.localize)('panelTab.inactiveForeground', 'Panel tab inactive forground color.'));
exports.ktPanelTabActiveForeground = (0, utils_1.registerColor)('kt.panelTab.activeForeground', {
    dark: text_1.textLinkActiveForeground,
    light: text_1.textLinkActiveForeground,
    hcDark: text_1.textLinkActiveForeground,
    hcLight: text_1.textLinkActiveForeground,
}, (0, ide_core_common_1.localize)('panelTab.activeForeground', 'Panel tab active forground color.'));
exports.ktPanelTabInactiveBackground = (0, utils_1.registerColor)('kt.panelTab.inactiveBackground', {
    dark: tab_1.TAB_INACTIVE_BACKGROUND,
    light: tab_1.TAB_INACTIVE_BACKGROUND,
    hcDark: tab_1.TAB_INACTIVE_BACKGROUND,
    hcLight: tab_1.TAB_INACTIVE_BACKGROUND,
}, (0, ide_core_common_1.localize)('panelTab.inactiveBackground', 'Panel tab background color.'));
exports.ktPanelTabActiveBackground = (0, utils_1.registerColor)('kt.panelTab.activeBackground', {
    dark: panel_1.PANEL_BACKGROUND,
    light: panel_1.PANEL_BACKGROUND,
    hcDark: panel_1.PANEL_BACKGROUND,
    hcLight: panel_1.PANEL_BACKGROUND,
}, (0, ide_core_common_1.localize)('panelTab.activeBackground', 'Panel tab active background color.'));
exports.ktPanelTabActionIconForeground = (0, utils_1.registerColor)('kt.panelTabActionIcon.foreground', {
    dark: base_1.foreground,
    light: base_1.foreground,
    hcDark: base_1.foreground,
    hcLight: base_1.foreground,
}, (0, ide_core_common_1.localize)('panelTabActionIcon.foreground', 'Panel tab close icon color.'));
exports.ktPanelTabActiveBorder = (0, utils_1.registerColor)('kt.panelTab.activeBorder', {
    dark: (0, utils_1.lighten)(activity_bar_1.ACTIVITY_BAR_BACKGROUND, 0.2),
    light: (0, utils_1.lighten)(activity_bar_1.ACTIVITY_BAR_BACKGROUND, 0.2),
    hcDark: (0, utils_1.lighten)(activity_bar_1.ACTIVITY_BAR_BACKGROUND, 0.2),
    hcLight: (0, utils_1.lighten)(activity_bar_1.ACTIVITY_BAR_BACKGROUND, 0.2),
}, (0, ide_core_common_1.localize)('panelTab.border', 'Panel tab border color.'));
exports.ktPanelTabBorder = (0, utils_1.registerColor)('kt.panelTab.border', {
    dark: (0, utils_1.darken)(activity_bar_1.ACTIVITY_BAR_BORDER, 0.1),
    light: (0, utils_1.darken)(activity_bar_1.ACTIVITY_BAR_BORDER, 0.1),
    hcDark: (0, utils_1.darken)(activity_bar_1.ACTIVITY_BAR_BORDER, 0.1),
    hcLight: (0, utils_1.darken)(activity_bar_1.ACTIVITY_BAR_BORDER, 0.1),
}, (0, ide_core_common_1.localize)('panelTab.border', 'Panel tab border color.'));
exports.ktPanelSecondaryForeground = (0, utils_1.registerColor)('kt.panel.secondaryForeground', {
    dark: (0, utils_1.lighten)(panel_1.PANEL_INACTIVE_TITLE_FOREGROUND, 0.2),
    light: (0, utils_1.lighten)(panel_1.PANEL_INACTIVE_TITLE_FOREGROUND, 0.2),
    hcDark: (0, utils_1.lighten)(panel_1.PANEL_INACTIVE_TITLE_FOREGROUND, 0.2),
    hcLight: (0, utils_1.lighten)(panel_1.PANEL_INACTIVE_TITLE_FOREGROUND, 0.2),
}, (0, ide_core_common_1.localize)('panel.secondaryForeground', 'Panel secondary foreground color.'));
//# sourceMappingURL=panel.js.map