"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ktSelectDropdownTeamForeground = exports.ktSelectDropdownSelectionForeground = exports.ktSelectDropdownSelectionBackground = exports.ktSelectDropdownHoverBackground = exports.ktSelectDropdownBackground = exports.ktSelectDropdownForeground = exports.ktSelectOptionActiveBorder = exports.ktSelectOptionActiveBackground = exports.ktSelectWarningColor = exports.ktSelectErrorForeground = exports.ktSelectWarningForeground = exports.ktSelectDisableForeground = exports.ktSelectDisableBackground = exports.ktSelectPlaceholderForeground = exports.ktSelectBorder = exports.ktSelectBackground = exports.ktSelectForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const dropdown_1 = require("../dropdown");
const input_1 = require("../input");
const list_tree_1 = require("../list-tree");
const settings_1 = require("../settings");
exports.ktSelectForeground = (0, utils_1.registerColor)('kt.select.foreground', { dark: input_1.inputForeground, light: input_1.inputForeground, hcDark: input_1.inputForeground, hcLight: input_1.inputForeground }, (0, ide_core_common_1.localize)('ktSelectForeground', 'Select Foreground color.'));
exports.ktSelectBackground = (0, utils_1.registerColor)('kt.select.background', { dark: input_1.inputBackground, light: input_1.inputBackground, hcDark: input_1.inputBackground, hcLight: input_1.inputBackground }, (0, ide_core_common_1.localize)('ktSelectBackground', 'Select Background color.'));
exports.ktSelectBorder = (0, utils_1.registerColor)('kt.select.border', { dark: settings_1.settingsSelectBorder, light: settings_1.settingsSelectBorder, hcDark: dropdown_1.selectBorder, hcLight: dropdown_1.selectBorder }, (0, ide_core_common_1.localize)('ktSelectBorder', 'Select Border color.'));
exports.ktSelectPlaceholderForeground = (0, utils_1.registerColor)('kt.select.placeholderForeground', {
    dark: input_1.inputPlaceholderForeground,
    light: input_1.inputPlaceholderForeground,
    hcDark: input_1.inputPlaceholderForeground,
    hcLight: input_1.inputPlaceholderForeground,
}, (0, ide_core_common_1.localize)('ktSelectPlaceholder', 'Select Placeholder Foreground color.'));
exports.ktSelectDisableBackground = (0, utils_1.registerColor)('kt.select.disableBackground', {
    dark: list_tree_1.listInactiveSelectionBackground,
    light: list_tree_1.listInactiveSelectionBackground,
    hcDark: list_tree_1.listInactiveSelectionBackground,
    hcLight: list_tree_1.listInactiveSelectionBackground,
}, (0, ide_core_common_1.localize)('ktSelectDisableBackground', 'Select Disable Background color.'));
exports.ktSelectDisableForeground = (0, utils_1.registerColor)('kt.select.disableForeground', {
    dark: list_tree_1.listInactiveSelectionForeground,
    light: list_tree_1.listInactiveSelectionForeground,
    hcDark: list_tree_1.listInactiveSelectionForeground,
    hcLight: list_tree_1.listInactiveSelectionForeground,
}, (0, ide_core_common_1.localize)('ktSelectDisableForeground', 'Select Disable Foreground color.'));
exports.ktSelectWarningForeground = (0, utils_1.registerColor)('kt.select.warningForeground', {
    dark: list_tree_1.listWarningForeground,
    light: list_tree_1.listWarningForeground,
    hcDark: list_tree_1.listWarningForeground,
    hcLight: list_tree_1.listWarningForeground,
}, (0, ide_core_common_1.localize)('ktSelectWarningForeground', 'Select Warning Foreground.'));
exports.ktSelectErrorForeground = (0, utils_1.registerColor)('kt.select.warningForeground', { dark: list_tree_1.listErrorForeground, light: list_tree_1.listErrorForeground, hcDark: list_tree_1.listErrorForeground, hcLight: list_tree_1.listErrorForeground }, (0, ide_core_common_1.localize)('ktSelectDisableForeground', 'Select Disable Foreground color.'));
exports.ktSelectWarningColor = (0, utils_1.registerColor)('kt.select.warningColor', { dark: '#D77915', light: '#D77915', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('ktSelectWarningColor', 'Select Warning Color.'));
exports.ktSelectOptionActiveBackground = (0, utils_1.registerColor)('selectOption.activeBackground', {
    dark: input_1.inputActiveOptionBackground,
    light: input_1.inputActiveOptionBackground,
    hcDark: input_1.inputActiveOptionBackground,
    hcLight: input_1.inputActiveOptionBackground,
}, (0, ide_core_common_1.localize)('ktSelectOptionActiveBackground', 'Select Option Active Background color.'));
exports.ktSelectOptionActiveBorder = (0, utils_1.registerColor)('kt.selectOption.activeBorder', {
    dark: input_1.inputActiveOptionBorder,
    light: input_1.inputActiveOptionBorder,
    hcDark: input_1.inputActiveOptionBorder,
    hcLight: input_1.inputActiveOptionBorder,
}, (0, ide_core_common_1.localize)('ktSelectOptionActiveBorder', 'Select Option Active Border color.'));
/* select dropdown */
exports.ktSelectDropdownForeground = (0, utils_1.registerColor)('kt.selectDropdown.foreground', { dark: dropdown_1.selectForeground, light: dropdown_1.selectForeground, hcDark: dropdown_1.selectForeground, hcLight: dropdown_1.selectForeground }, (0, ide_core_common_1.localize)('ktSelectDropdownForeground', 'Select Dropdown Foreground color.'));
exports.ktSelectDropdownBackground = (0, utils_1.registerColor)('kt.selectDropdown.background', { dark: dropdown_1.selectBackground, light: dropdown_1.selectBackground, hcDark: dropdown_1.selectBackground, hcLight: dropdown_1.selectBackground }, (0, ide_core_common_1.localize)('ktSelectDropdownBackground', 'Select Dropdown Background color.'));
exports.ktSelectDropdownHoverBackground = (0, utils_1.registerColor)('kt.selectDropdown.hoverBackground', { dark: list_tree_1.listHoverBackground, light: list_tree_1.listHoverBackground, hcDark: list_tree_1.listHoverBackground, hcLight: list_tree_1.listHoverBackground }, (0, ide_core_common_1.localize)('ktSelectDropdownHoverBackground', 'Select Dropdown Hover Background color.'));
exports.ktSelectDropdownSelectionBackground = (0, utils_1.registerColor)('kt.selectDropdown.selectionBackground', {
    dark: list_tree_1.listActiveSelectionBackground,
    light: list_tree_1.listActiveSelectionBackground,
    hcDark: list_tree_1.listActiveSelectionBackground,
    hcLight: list_tree_1.listActiveSelectionBackground,
}, (0, ide_core_common_1.localize)('ktSelectDropdownSelectionBackground', 'Select Dropdown Selection Background color.'));
exports.ktSelectDropdownSelectionForeground = (0, utils_1.registerColor)('kt.selectDropdown.selectionForeground', {
    dark: list_tree_1.listActiveSelectionForeground,
    light: list_tree_1.listActiveSelectionForeground,
    hcDark: list_tree_1.listActiveSelectionForeground,
    hcLight: list_tree_1.listActiveSelectionForeground,
}, (0, ide_core_common_1.localize)('ktSelectDropdownSelectionForeground', 'Select Dropdown Selection Foreground color.'));
exports.ktSelectDropdownTeamForeground = (0, utils_1.registerColor)('kt.selectDropdown.teamForeground', {
    dark: (0, utils_1.darken)(exports.ktSelectDropdownForeground, 0.2),
    light: (0, utils_1.lighten)(exports.ktSelectDropdownForeground, 0.2),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('ktSelectDropdownSelectionBackground', 'Select Dropdown Selection Background color.'));
//# sourceMappingURL=select.js.map