"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ktEditorActionToolTipForeground = exports.ktEditorActionToolTipBackground = exports.ktTooltipBackground = exports.ktTooltipForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const notification_1 = require("../notification");
/* --- kt tooltip --- */
exports.ktTooltipForeground = (0, utils_1.registerColor)('kt.tooltip.foreground', {
    dark: '#D7DBDE',
    light: '#4D4D4D',
    hcDark: notification_1.NOTIFICATIONS_FOREGROUND,
    hcLight: notification_1.NOTIFICATIONS_FOREGROUND,
}, (0, ide_core_common_1.localize)('tooltipForeground', 'Tooltip foreground color. Tooltips when hover a icon or link to show some informations'));
exports.ktTooltipBackground = (0, utils_1.registerColor)('kt.tooltip.background', {
    dark: '#35393D',
    light: '#FFFFFF',
    hcDark: notification_1.NOTIFICATIONS_BACKGROUND,
    hcLight: notification_1.NOTIFICATIONS_BACKGROUND,
}, (0, ide_core_common_1.localize)('tooltipBackground', 'Tooltip background color. Tooltips when hover a icon or link to show some informations'));
exports.ktEditorActionToolTipBackground = (0, utils_1.registerColor)('kt.editorActionToolTip.background', {
    dark: exports.ktTooltipBackground,
    light: exports.ktTooltipBackground,
    hcDark: exports.ktTooltipBackground,
    hcLight: exports.ktTooltipBackground,
}, (0, ide_core_common_1.localize)('editorActionTooltipBackground', 'Tooltip background color for Editor Actions Tip'));
exports.ktEditorActionToolTipForeground = (0, utils_1.registerColor)('kt.editorActionToolTip.foreground', {
    dark: exports.ktTooltipForeground,
    light: exports.ktTooltipForeground,
    hcDark: exports.ktTooltipForeground,
    hcLight: exports.ktTooltipForeground,
}, (0, ide_core_common_1.localize)('editorActionTooltipForeground', 'Tooltip Foreground color for Editor Actions Tip'));
//# sourceMappingURL=tooltip.js.map