"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.treeInvalidItemForeground = exports.treeActiveSelectionBackground = exports.treeActiveSelectionForeground = exports.treeInactiveSelectionBackground = exports.treeInactiveSelectionForeground = exports.treeFocusBackground = exports.treeFocusForeground = exports.treeHoverForeground = exports.treeHoverBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../../utils");
const list_tree_1 = require("../list-tree");
exports.treeHoverBackground = (0, utils_1.registerColor)('kt.tree.hoverBackground', { dark: list_tree_1.listHoverBackground, light: list_tree_1.listHoverBackground, hcDark: list_tree_1.listHoverBackground, hcLight: list_tree_1.listHoverBackground }, (0, ide_core_common_1.localize)('treeHoverBackground', 'Tree background when hovering over items using the mouse.'));
exports.treeHoverForeground = (0, utils_1.registerColor)('kt.tree.hoverForeground', { dark: list_tree_1.listHoverForeground, light: list_tree_1.listHoverForeground, hcDark: list_tree_1.listHoverForeground, hcLight: list_tree_1.listHoverForeground }, (0, ide_core_common_1.localize)('treeHoverForeground', 'Tree foreground when hovering over items using the mouse.'));
exports.treeFocusForeground = (0, utils_1.registerColor)('kt.tree.focusForeground', { dark: list_tree_1.listFocusForeground, light: list_tree_1.listFocusForeground, hcDark: list_tree_1.listFocusForeground, hcLight: list_tree_1.listFocusForeground }, (0, ide_core_common_1.localize)('treeFocusForeground', 'Tree foreground color for the focused item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeFocusBackground = (0, utils_1.registerColor)('kt.tree.focusBackground', { dark: list_tree_1.listFocusBackground, light: list_tree_1.listFocusBackground, hcDark: list_tree_1.listFocusBackground, hcLight: list_tree_1.listFocusBackground }, (0, ide_core_common_1.localize)('treeFocusBackground', 'Tree background color for the focused item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeInactiveSelectionForeground = (0, utils_1.registerColor)('kt.tree.inactiveSelectionForeground', {
    dark: list_tree_1.listInactiveSelectionForeground,
    light: list_tree_1.listInactiveSelectionForeground,
    hcDark: list_tree_1.listInactiveSelectionForeground,
    hcLight: list_tree_1.listInactiveSelectionForeground,
}, (0, ide_core_common_1.localize)('treeInactiveSelectionForeground', 'Tree foreground color for the selected item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeInactiveSelectionBackground = (0, utils_1.registerColor)('kt.tree.inactiveSelectionBackground', {
    dark: list_tree_1.listInactiveSelectionBackground,
    light: list_tree_1.listInactiveSelectionBackground,
    hcDark: list_tree_1.listInactiveSelectionBackground,
    hcLight: list_tree_1.listInactiveSelectionBackground,
}, (0, ide_core_common_1.localize)('treeInactiveSelectionBackground', 'Tree background color for the selected item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeActiveSelectionForeground = (0, utils_1.registerColor)('kt.tree.activeSelectionForeground', {
    dark: list_tree_1.listActiveSelectionForeground,
    light: list_tree_1.listActiveSelectionForeground,
    hcDark: list_tree_1.listActiveSelectionForeground,
    hcLight: list_tree_1.listActiveSelectionForeground,
}, (0, ide_core_common_1.localize)('treeActiveSelectionForeground', 'Tree foreground color for the selected item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeActiveSelectionBackground = (0, utils_1.registerColor)('kt.tree.activeSelectionBackground', {
    dark: list_tree_1.listActiveSelectionBackground,
    light: list_tree_1.listActiveSelectionBackground,
    hcDark: list_tree_1.listActiveSelectionBackground,
    hcLight: list_tree_1.listActiveSelectionBackground,
}, (0, ide_core_common_1.localize)('treeActiveSelectionBackground', 'Tree background color for the selected item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.treeInvalidItemForeground = (0, utils_1.registerColor)('kt.tree.invalidItemForeground', {
    dark: list_tree_1.listInvalidItemForeground,
    light: list_tree_1.listInvalidItemForeground,
    hcDark: list_tree_1.listInvalidItemForeground,
    hcLight: list_tree_1.listInvalidItemForeground,
}, (0, ide_core_common_1.localize)('treeInvalidItemForeground', 'Tree foreground color for invalid items, for example an unresolved root in explorer.'));
//# sourceMappingURL=tree.js.map