"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debugIconBreakpointForeground = exports.debugConsoleInputIconForeground = exports.debugConsoleSourceForeground = exports.debugConsoleErrorForeground = exports.debugConsoleWarningForeground = exports.debugConsoleInfoForeground = exports.debugViewValueChangedHighlight = exports.debugViewStateLabelBackground = exports.debugViewStateLabelForeground = exports.debugExceptionWidgetBackground = exports.debugExceptionWidgetBorder = exports.debugViewExceptionLabelBackground = exports.debugViewExceptionLabelForeground = exports.debugTokenExpressionError = exports.debugTokenExpressionNumber = exports.debugTokenExpressionBoolean = exports.debugTokenExpressionString = exports.debugTokenExpressionValue = exports.debugTokenExpressionName = void 0;
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
exports.debugTokenExpressionName = (0, utils_1.registerColor)('debugTokenExpression.name', { dark: '#c586c0', light: '#9b46b0', hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for the token names shown in the debug views (ie. the Variables or Watch view).');
exports.debugTokenExpressionValue = (0, utils_1.registerColor)('debugTokenExpression.value', { dark: '#cccccc99', light: '#6c6c6ccc', hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for the token values shown in the debug views (ie. the Variables or Watch view).');
exports.debugTokenExpressionString = (0, utils_1.registerColor)('debugTokenExpression.string', { dark: '#ce9178', light: '#a31515', hcDark: '#f48771', hcLight: '#a31515' }, 'Foreground color for strings in the debug views (ie. the Variables or Watch view).');
exports.debugTokenExpressionBoolean = (0, utils_1.registerColor)('debugTokenExpression.boolean', { dark: '#4e94ce', light: '#0000ff', hcDark: '#75bdfe', hcLight: '#0000ff' }, 'Foreground color for booleans in the debug views (ie. the Variables or Watch view).');
exports.debugTokenExpressionNumber = (0, utils_1.registerColor)('debugTokenExpression.number', { dark: '#b5cea8', light: '#098658', hcDark: '#89d185', hcLight: '#098658' }, 'Foreground color for numbers in the debug views (ie. the Variables or Watch view).');
exports.debugTokenExpressionError = (0, utils_1.registerColor)('debugTokenExpression.error', { dark: '#f48771', light: '#e51400', hcDark: '#f48771', hcLight: '#e51400' }, 'Foreground color for expression errors in the debug views (ie. the Variables or Watch view) and for error logs shown in the debug console.');
exports.debugViewExceptionLabelForeground = (0, utils_1.registerColor)('debugView.exceptionLabelForeground', { dark: base_1.foreground, light: '#FFF', hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for a label shown in the CALL STACK view when the debugger breaks on an exception.');
exports.debugViewExceptionLabelBackground = (0, utils_1.registerColor)('debugView.exceptionLabelBackground', { dark: '#6C2022', light: '#A31515', hcDark: '#6C2022', hcLight: '#A31515' }, 'Background color for a label shown in the CALL STACK view when the debugger breaks on an exception.');
exports.debugExceptionWidgetBorder = (0, utils_1.registerColor)('debugExceptionWidget.border', { dark: '#a31515', light: '#a31515', hcDark: '#a31515', hcLight: '#a31515' }, 'Exception widget border color.');
exports.debugExceptionWidgetBackground = (0, utils_1.registerColor)('debugExceptionWidget.background', { dark: '#420b0d', light: '#f1dfde', hcDark: '#420b0d', hcLight: '#f1dfde' }, 'Exception widget background color.');
exports.debugViewStateLabelForeground = (0, utils_1.registerColor)('debugView.stateLabelForeground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, "Foreground color for a label in the CALL STACK view showing the current session's or thread's state.");
exports.debugViewStateLabelBackground = (0, utils_1.registerColor)('debugView.stateLabelBackground', { dark: '#88888844', light: '#88888844', hcDark: '#88888844', hcLight: '#88888844' }, "Background color for a label in the CALL STACK view showing the current session's or thread's state.");
exports.debugViewValueChangedHighlight = (0, utils_1.registerColor)('debugView.valueChangedHighlight', { dark: '#569CD6', light: '#569CD6', hcDark: '#569CD6', hcLight: '#569CD6' }, 'Color used to highlight value changes in the debug views (ie. in the Variables view).');
exports.debugConsoleInfoForeground = (0, utils_1.registerColor)('debugConsole.infoForeground', { dark: editor_1.editorInfoForeground, light: editor_1.editorInfoForeground, hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for info messages in debug REPL console.');
exports.debugConsoleWarningForeground = (0, utils_1.registerColor)('debugConsole.warningForeground', {
    dark: editor_1.editorWarningForeground,
    light: editor_1.editorWarningForeground,
    hcDark: '#008000',
    hcLight: editor_1.editorWarningForeground,
}, 'Foreground color for warning messages in debug REPL console.');
exports.debugConsoleErrorForeground = (0, utils_1.registerColor)('debugConsole.errorForeground', { dark: base_1.errorForeground, light: base_1.errorForeground, hcDark: base_1.errorForeground, hcLight: base_1.errorForeground }, 'Foreground color for error messages in debug REPL console.');
exports.debugConsoleSourceForeground = (0, utils_1.registerColor)('debugConsole.sourceForeground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for source filenames in debug REPL console.');
exports.debugConsoleInputIconForeground = (0, utils_1.registerColor)('debugConsoleInputIcon.foreground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, 'Foreground color for debug console input marker icon.');
exports.debugIconBreakpointForeground = (0, utils_1.registerColor)('debugIcon.breakpointForeground', { dark: '#E51400', light: '#E51400', hcDark: '#E51400', hcLight: '#E51400' }, 'Icon color for breakpoints.');
//# sourceMappingURL=debug.js.map