"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debugIconActivateBreakpointsForeground = exports.debugIconStepBackForeground = exports.debugIconContinueForeground = exports.debugIconStepOutForeground = exports.debugIconStepIntoForeground = exports.debugIconStepOverForeground = exports.debugIconRestartForeground = exports.debugIconDisconnectForeground = exports.debugIconStopForeground = exports.debugIconPauseForeground = exports.debugIconStartForeground = exports.debugToolBarBorder = exports.debugToolBarBackground = void 0;
const utils_1 = require("../utils");
// ref: https://github.com/Microsoft/vscode/blob/b07d19a768b42af2aa8f78f8b1b68978f14f9bd9/src%2Fvs%2Fworkbench%2Fcontrib%2Fdebug%2Fbrowser%2FdebugToolBar.ts
exports.debugToolBarBackground = (0, utils_1.registerColor)('debugToolBar.background', {
    dark: '#333333',
    light: '#F3F3F3',
    hcDark: '#000000',
    hcLight: '#FFFFFF',
}, 'Debug toolbar background color.');
exports.debugToolBarBorder = (0, utils_1.registerColor)('debugToolBar.border', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, 'Debug toolbar border color.');
exports.debugIconStartForeground = (0, utils_1.registerColor)('debugIcon.startForeground', {
    dark: '#89D185',
    light: '#388A34',
    hcDark: '#89D185',
    hcLight: '#388A34',
}, 'Debug toolbar icon for start debugging.');
exports.debugIconPauseForeground = (0, utils_1.registerColor)('debugIcon.pauseForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for pause.');
exports.debugIconStopForeground = (0, utils_1.registerColor)('debugIcon.stopForeground', {
    dark: '#F48771',
    light: '#A1260D',
    hcDark: '#F48771',
    hcLight: '#A1260D',
}, 'Debug toolbar icon for stop.');
exports.debugIconDisconnectForeground = (0, utils_1.registerColor)('debugIcon.disconnectForeground', {
    dark: '#F48771',
    light: '#A1260D',
    hcDark: '#F48771',
    hcLight: '#A1260D',
}, 'Debug toolbar icon for disconnect.');
exports.debugIconRestartForeground = (0, utils_1.registerColor)('debugIcon.restartForeground', {
    dark: '#89D185',
    light: '#388A34',
    hcDark: '#89D185',
    hcLight: '#388A34',
}, 'Debug toolbar icon for restart.');
exports.debugIconStepOverForeground = (0, utils_1.registerColor)('debugIcon.stepOverForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for step over.');
exports.debugIconStepIntoForeground = (0, utils_1.registerColor)('debugIcon.stepIntoForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for step into.');
exports.debugIconStepOutForeground = (0, utils_1.registerColor)('debugIcon.stepOutForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for step over.');
exports.debugIconContinueForeground = (0, utils_1.registerColor)('debugIcon.continueForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for continue.');
exports.debugIconStepBackForeground = (0, utils_1.registerColor)('debugIcon.stepBackForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for step back.');
exports.debugIconActivateBreakpointsForeground = (0, utils_1.registerColor)('debugIcon.activateBreakpointsForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, 'Debug toolbar icon for active breakpoints.');
//# sourceMappingURL=debugToolbar.js.map