"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.designSkeletonPlaceholderDecorationBackground = exports.designSkeletonDecorationBackground = exports.designLanguageBackground = exports.designTagForeground = exports.designTagBackground = exports.designBoxShadowtTertiary = exports.designBoxShadowSecondary = exports.designBoxShadowPrimary = exports.designChatInputBackground = exports.designRceBackground = exports.designMonacoBackground = exports.designContainerBackground = exports.designBorderColor = exports.designIconForeground = exports.designBlockBackground = exports.designBlockHoverBackground = exports.desigInputForeground = exports.designTextForeground = exports.designTitlePlaceholderForeground = exports.designTitleHighlightForeground = exports.designTitleHoverForeground = exports.designTitleBackground = exports.designTitleForeground = exports.inlineChatBoxShadow = exports.inlineChatBorderColor = exports.inlineChatBackground = void 0;
const color_1 = require("../color");
const utils_1 = require("../utils");
exports.inlineChatBackground = (0, utils_1.registerColor)('design.inlineChat.background', {
    dark: new color_1.Color(new color_1.RGBA(27, 35, 43, 1)),
    light: new color_1.Color(new color_1.RGBA(237, 245, 255, 1)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.inlineChatBorderColor = (0, utils_1.registerColor)('design.inlineChat.borderColor', { dark: new color_1.Color(new color_1.RGBA(42, 51, 68, 0.9)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0)), hcDark: null, hcLight: null }, '', true);
exports.inlineChatBoxShadow = (0, utils_1.registerColor)('design.inlineChat.boxShadow', {
    dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.24)),
    light: new color_1.Color(new color_1.RGBA(0, 10, 26, 0.08)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 常规文字、标题、文件夹标题
exports.designTitleForeground = (0, utils_1.registerColor)('design.title.foreground', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.85)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.85)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.designTitleBackground = (0, utils_1.registerColor)('design.title.background', { dark: '#222830', light: '#f1f2f3', hcDark: null, hcLight: null }, '', true);
// 正在输入、hover高亮
exports.designTitleHoverForeground = (0, utils_1.registerColor)('design.text.hoverForeground', { dark: '#fff', light: '#151b21', hcDark: null, hcLight: null }, '', true);
// 输入文本高亮样式
exports.designTitleHighlightForeground = (0, utils_1.registerColor)('design.text.highlightForeground', { dark: '#fff', light: '#151b21', hcDark: null, hcLight: null }, '', true);
// 辅助文本颜色
exports.designTitlePlaceholderForeground = (0, utils_1.registerColor)('design.text.placeholderForeground', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.45)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.65)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 常规文字、代码字段、标签、hover字段、
exports.designTextForeground = (0, utils_1.registerColor)('design.text.foreground', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.65)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.65)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 输入框失去焦点
exports.desigInputForeground = (0, utils_1.registerColor)('design.input.foreground', { dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.35)), light: null, hcDark: null, hcLight: null }, '', true);
// Tag 背景色，或者整块区域 hover 上去背景色
exports.designBlockHoverBackground = (0, utils_1.registerColor)('design.block.hoverBackground', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.08)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.06)),
    hcDark: null,
    hcLight: null,
}, '', true);
// Tag 或者整块区域默认背景色
exports.designBlockBackground = (0, utils_1.registerColor)('design.block.background', { dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.05)), light: '#F4F6F8', hcDark: null, hcLight: null }, '', true);
exports.designIconForeground = (0, utils_1.registerColor)('design.icon.foreground', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.65)),
    light: '#90959A',
    hcDark: null,
    hcLight: null,
}, '', true);
// 线条颜色
exports.designBorderColor = (0, utils_1.registerColor)('design.borderColor', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.08)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.08)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.designContainerBackground = (0, utils_1.registerColor)('design.container.background', { dark: '#222830', light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.designMonacoBackground = (0, utils_1.registerColor)('design.monaco.background', { dark: '#151b21', light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.designRceBackground = (0, utils_1.registerColor)('design.rce.background', {
    dark: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.15)),
    light: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.25)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.designChatInputBackground = (0, utils_1.registerColor)('design.chatInput.background', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.25)), light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.designBoxShadowPrimary = (0, utils_1.registerColor)('design.boxShadow.primary', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.2)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.05)), hcDark: null, hcLight: null }, '', true);
exports.designBoxShadowSecondary = (0, utils_1.registerColor)('design.boxShadow.secondary', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.4)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.08)), hcDark: null, hcLight: null }, '', true);
exports.designBoxShadowtTertiary = (0, utils_1.registerColor)('design.boxShadow.tertiary', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.24)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.12)), hcDark: null, hcLight: null }, '', true);
exports.designTagBackground = (0, utils_1.registerColor)('design.tag.background', {
    dark: new color_1.Color(new color_1.RGBA(0, 141, 255, 0.25)),
    light: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.2)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.designTagForeground = (0, utils_1.registerColor)('design.tag.foreground', { dark: '#3c8dff', light: '#3c8dff', hcDark: null, hcLight: null }, '', true);
exports.designLanguageBackground = (0, utils_1.registerColor)('design.language.background', { dark: '#2b333d', light: '#dbe4ee', hcDark: null, hcLight: null }, '', true);
exports.designSkeletonDecorationBackground = (0, utils_1.registerColor)('design.skeletonDecoration.background', { dark: '#312f24', light: '#312f24', hcDark: null, hcLight: null }, '', true);
exports.designSkeletonPlaceholderDecorationBackground = (0, utils_1.registerColor)('design.skeletonPlaceholderDecoration.background', { dark: '#1f2224', light: '#1f2224', hcDark: null, hcLight: null }, '', true);
//# sourceMappingURL=design.js.map