"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diffDiagonalFill = exports.diffBorder = exports.diffRemovedOutline = exports.diffInsertedOutline = exports.diffOverviewRulerRemoved = exports.diffOverviewRulerInserted = exports.diffRemovedLineGutter = exports.diffInsertedLineGutter = exports.diffRemovedLine = exports.diffInsertedLine = exports.diffRemoved = exports.diffInserted = exports.defaultRemoveColor = exports.defaultInsertColor = exports.editorActiveLinkForeground = exports.editorHoverStatusBarBackground = exports.editorHoverBorder = exports.editorHoverForeground = exports.editorHoverBackground = exports.editorHoverHighlight = exports.searchEditorFindMatchBorder = exports.searchEditorFindMatch = exports.editorFindRangeHighlightBorder = exports.editorFindMatchHighlightBorder = exports.editorFindMatchBorder = exports.editorFindRangeHighlight = exports.editorFindMatchHighlight = exports.editorFindMatch = exports.editorSelectionHighlightBorder = exports.editorSelectionHighlight = exports.editorInactiveSelection = exports.editorSelectionForeground = exports.editorSelectionBackground = exports.editorWidgetResizeBorder = exports.editorWidgetBorder = exports.editorWidgetBackground = exports.editorWidgetForeground = exports.editorForeground = exports.editorBackground = exports.editorHintBorder = exports.editorHintForeground = exports.editorInfoBackground = exports.editorInfoBorder = exports.editorInfoForeground = exports.editorWarningBorder = exports.editorWarningForeground = exports.editorWarningBackground = exports.editorErrorBorder = exports.editorErrorForeground = exports.editorErrorBackground = void 0;
exports.SIDE_BY_SIDE_EDITOR_VERTICAL_BORDER = exports.SIDE_BY_SIDE_EDITOR_HORIZONTAL_BORDER = exports.EDITOR_DROP_INTO_PROMPT_BORDER = exports.EDITOR_DROP_INTO_PROMPT_BACKGROUND = exports.EDITOR_DROP_INTO_PROMPT_FOREGROUND = exports.EDITOR_DRAG_AND_DROP_BACKGROUND = exports.EDITOR_GROUP_BORDER = exports.EDITOR_GROUP_HEADER_BORDER = exports.EDITOR_GROUP_HEADER_NO_TABS_BACKGROUND = exports.EDITOR_GROUP_HEADER_TABS_BORDER = exports.EDITOR_GROUP_HEADER_TABS_BACKGROUND = exports.EDITOR_GROUP_FOCUSED_EMPTY_BORDER = exports.EDITOR_GROUP_EMPTY_BACKGROUND = exports.EDITOR_PANE_BACKGROUND = exports.overviewRulerInfo = exports.overviewRulerWarning = exports.overviewRulerError = exports.overviewRulerRangeHighlight = exports.editorUnnecessaryCodeOpacity = exports.editorUnnecessaryCodeBorder = exports.overviewRulerCommentingRangeForeground = exports.editorGutter = exports.editorOverviewRulerBackground = exports.editorOverviewRulerBorder = exports.editorBracketMatchBorder = exports.editorBracketMatchBackground = exports.editorCodeLensForeground = exports.editorRuler = exports.editorActiveLineNumber = exports.editorLineNumbers = exports.editorActiveIndentGuides = exports.editorIndentGuides = exports.editorWhitespaces = exports.editorCursorBackground = exports.editorCursorForeground = exports.editorSymbolHighlightBorder = exports.editorSymbolHighlight = exports.editorRangeHighlightBorder = exports.editorRangeHighlight = exports.editorLineHighlightBorder = exports.editorLineHighlight = exports.mergeEditorInnerCharModify = exports.mergeEditorInnerCharRemoved = exports.mergeEditorInnerCharInserted = exports.mergeEditorModify = exports.mergeEditorRemoved = exports.mergeEditorInserted = exports.defaultMergeEditorModifyColor = exports.defaultMergeEditorRemoveColor = exports.defaultMergeEditorInsertColor = void 0;
exports.ghostTextBackground = exports.ghostTextForeground = exports.ghostTextBorder = exports.editorImagePreviewBackground = exports.editorInlayHintParameterBackground = exports.editorInlayHintParameterForeground = exports.editorInlayHintTypeBackground = exports.editorInlayHintTypeForeground = exports.editorInlayHintBackground = exports.editorInlayHintForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const badge_1 = require("./badge");
const base_1 = require("./base");
// TODO COLOR 此处vscode内的editor error warning info颜色都有做修改
exports.editorErrorBackground = (0, utils_1.registerColor)('editorError.background', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorError.background', 'Background color of error text in the editor. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorErrorForeground = (0, utils_1.registerColor)('editorError.foreground', { dark: '#F14C4C', light: '#E51400', hcDark: '#F48771', hcLight: '#B5200D' }, (0, ide_core_common_1.localize)('editorError.foreground', 'Foreground color of error squigglies in the editor.'));
exports.editorErrorBorder = (0, utils_1.registerColor)('editorError.border', {
    dark: null,
    light: null,
    hcDark: color_1.Color.fromHex('#E47777').transparent(0.8),
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('errorBorder', 'Border color of error boxes in the editor.'));
exports.editorWarningBackground = (0, utils_1.registerColor)('editorWarning.background', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorWarning.background', 'Background color of warning text in the editor. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorWarningForeground = (0, utils_1.registerColor)('editorWarning.foreground', { dark: '#CCA700', light: '#BF8803', hcDark: '#FFD37', hcLight: '#895503' }, (0, ide_core_common_1.localize)('editorWarning.foreground', 'Foreground color of warning squigglies in the editor.'));
exports.editorWarningBorder = (0, utils_1.registerColor)('editorWarning.border', {
    dark: null,
    light: null,
    hcDark: color_1.Color.fromHex('#FFCC00').transparent(0.8),
    hcLight: '#',
}, (0, ide_core_common_1.localize)('warningBorder', 'Border color of warning boxes in the editor.'));
exports.editorInfoForeground = (0, utils_1.registerColor)('editorInfo.foreground', { dark: '#3794FF', light: '#1a85ff', hcDark: '#3794FF', hcLight: '#1a85ff' }, (0, ide_core_common_1.localize)('editorInfo.foreground', 'Foreground color of info squigglies in the editor.'));
exports.editorInfoBorder = (0, utils_1.registerColor)('editorInfo.border', {
    dark: null,
    light: null,
    hcDark: color_1.Color.fromHex('#3794FF').transparent(0.8),
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('infoBorder', 'Border color of info boxes in the editor.'));
exports.editorInfoBackground = (0, utils_1.registerColor)('editorInfo.background', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorInfo.background', 'Background color of info text in the editor. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorHintForeground = (0, utils_1.registerColor)('editorHint.foreground', { dark: color_1.Color.fromHex('#eeeeee').transparent(0.7), light: '#6c6c6c', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorHint.foreground', 'Foreground color of hint squigglies in the editor.'));
exports.editorHintBorder = (0, utils_1.registerColor)('editorHint.border', { dark: null, light: null, hcDark: color_1.Color.fromHex('#eeeeee').transparent(0.8), hcLight: '#292929' }, (0, ide_core_common_1.localize)('hintBorder', 'Border color of hint boxes in the editor.'));
exports.editorBackground = (0, utils_1.registerColor)('editor.background', { light: '#ffffff', dark: '#1E1E1E', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('editorBackground', 'Editor background color.'));
/**
 * Editor foreground color.
 */
exports.editorForeground = (0, utils_1.registerColor)('editor.foreground', { light: '#333333', dark: '#BBBBBB', hcDark: color_1.Color.white, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('editorForeground', 'Editor default foreground color.'));
/**
 * Editor widgets
 */
exports.editorWidgetForeground = (0, utils_1.registerColor)('editorWidget.foreground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('editorWidgetForeground', 'Foreground color of editor widgets, such as find/replace.'));
exports.editorWidgetBackground = (0, utils_1.registerColor)('editorWidget.background', { dark: '#252526', light: '#F3F3F3', hcDark: '#0C141F', hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('editorWidgetBackground', 'Background color of editor widgets, such as find/replace.'));
exports.editorWidgetBorder = (0, utils_1.registerColor)('editorWidget.border', { dark: '#454545', light: '#C8C8C8', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('editorWidgetBorder', 'Border color of editor widgets. The color is only used if the widget chooses to have a border and if the color is not overridden by a widget.'));
exports.editorWidgetResizeBorder = (0, utils_1.registerColor)('editorWidget.resizeBorder', { light: null, dark: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorWidgetResizeBorder', 'Border color of the resize bar of editor widgets. The color is only used if the widget chooses to have a resize border and if the color is not overridden by a widget.'));
/**
 * Editor selection colors.
 */
exports.editorSelectionBackground = (0, utils_1.registerColor)('editor.selectionBackground', { light: '#ADD6FF', dark: '#264F78', hcDark: '#f3f518', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('editorSelectionBackground', 'Color of the editor selection.'));
exports.editorSelectionForeground = (0, utils_1.registerColor)('editor.selectionForeground', { light: null, dark: null, hcDark: '#000000', hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('editorSelectionForeground', 'Color of the selected text for high contrast.'));
exports.editorInactiveSelection = (0, utils_1.registerColor)('editor.inactiveSelectionBackground', {
    light: (0, utils_1.transparent)(exports.editorSelectionBackground, 0.5),
    dark: (0, utils_1.transparent)(exports.editorSelectionBackground, 0.5),
    hcDark: (0, utils_1.transparent)(exports.editorSelectionBackground, 0.7),
    hcLight: (0, utils_1.transparent)(exports.editorSelectionBackground, 0.5),
}, (0, ide_core_common_1.localize)('editorInactiveSelection', 'Color of the selection in an inactive editor. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorSelectionHighlight = (0, utils_1.registerColor)('editor.selectionHighlightBackground', {
    light: (0, utils_1.lessProminent)(exports.editorSelectionBackground, exports.editorBackground, 0.3, 0.6),
    dark: (0, utils_1.lessProminent)(exports.editorSelectionBackground, exports.editorBackground, 0.3, 0.6),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('editorSelectionHighlight', 'Color for regions with the same content as the selection. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorSelectionHighlightBorder = (0, utils_1.registerColor)('editor.selectionHighlightBorder', { light: null, dark: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('editorSelectionHighlightBorder', 'Border color for regions with the same content as the selection.'));
/**
 * Editor find match colors.
 */
exports.editorFindMatch = (0, utils_1.registerColor)('editor.findMatchBackground', { light: '#A8AC94', dark: '#515C6A', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('editorFindMatch', 'Color of the current search match.'));
exports.editorFindMatchHighlight = (0, utils_1.registerColor)('editor.findMatchHighlightBackground', { light: '#EA5C0055', dark: '#EA5C0055', hcDark: '#EA5C0055', hcLight: '#EA5C0055' }, (0, ide_core_common_1.localize)('findMatchHighlight', 'Color of the other search matches. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorFindRangeHighlight = (0, utils_1.registerColor)('editor.findRangeHighlightBackground', { dark: '#3a3d4166', light: '#b4b4b44d', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('findRangeHighlight', 'Color of the range limiting the search. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorFindMatchBorder = (0, utils_1.registerColor)('editor.findMatchBorder', { light: null, dark: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('editorFindMatchBorder', 'Border color of the current search match.'));
exports.editorFindMatchHighlightBorder = (0, utils_1.registerColor)('editor.findMatchHighlightBorder', { light: null, dark: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('findMatchHighlightBorder', 'Border color of the other search matches.'));
exports.editorFindRangeHighlightBorder = (0, utils_1.registerColor)('editor.findRangeHighlightBorder', {
    dark: null,
    light: null,
    hcDark: (0, utils_1.transparent)(base_1.activeContrastBorder, 0.4),
    hcLight: (0, utils_1.transparent)(base_1.activeContrastBorder, 0.4),
}, (0, ide_core_common_1.localize)('findRangeHighlightBorder', 'Border color of the range limiting the search. The color must not be opaque so as not to hide underlying decorations.'), true);
/**
 * Search Editor query match colors.
 *
 * Distinct from normal editor find match to allow for better differentiation
 */
exports.searchEditorFindMatch = (0, utils_1.registerColor)('searchEditor.findMatchBackground', {
    light: (0, utils_1.transparent)(exports.editorFindMatchHighlight, 0.66),
    dark: (0, utils_1.transparent)(exports.editorFindMatchHighlight, 0.66),
    hcDark: exports.editorFindMatchHighlight,
    hcLight: exports.editorFindMatchHighlight,
}, (0, ide_core_common_1.localize)('searchEditor.queryMatch', 'Color of the Search Editor query matches.'));
exports.searchEditorFindMatchBorder = (0, utils_1.registerColor)('searchEditor.findMatchBorder', {
    light: (0, utils_1.transparent)(exports.editorFindMatchHighlightBorder, 0.66),
    dark: (0, utils_1.transparent)(exports.editorFindMatchHighlightBorder, 0.66),
    hcDark: exports.editorFindMatchHighlightBorder,
    hcLight: exports.editorFindMatchHighlightBorder,
}, (0, ide_core_common_1.localize)('searchEditor.editorFindMatchBorder', 'Border color of the Search Editor query matches.'));
/**
 * Editor hover
 */
exports.editorHoverHighlight = (0, utils_1.registerColor)('editor.hoverHighlightBackground', { light: '#ADD6FF26', dark: '#264f7840', hcDark: '#ADD6FF26', hcLight: null }, (0, ide_core_common_1.localize)('hoverHighlight', 'Highlight below the word for which a hover is shown. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorHoverBackground = (0, utils_1.registerColor)('editorHoverWidget.background', {
    light: exports.editorWidgetBackground,
    dark: exports.editorWidgetBackground,
    hcDark: exports.editorWidgetBackground,
    hcLight: exports.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('hoverBackground', 'Background color of the editor hover.'));
exports.editorHoverForeground = (0, utils_1.registerColor)('editorHoverWidget.foreground', {
    light: exports.editorWidgetForeground,
    dark: exports.editorWidgetForeground,
    hcDark: exports.editorWidgetForeground,
    hcLight: exports.editorWidgetForeground,
}, (0, ide_core_common_1.localize)('hoverForeground', 'Foreground color of the editor hover.'));
exports.editorHoverBorder = (0, utils_1.registerColor)('editorHoverWidget.border', { light: exports.editorWidgetBorder, dark: exports.editorWidgetBorder, hcDark: exports.editorWidgetBorder, hcLight: exports.editorWidgetBorder }, (0, ide_core_common_1.localize)('hoverBorder', 'Border color of the editor hover.'));
exports.editorHoverStatusBarBackground = (0, utils_1.registerColor)('editorHoverWidget.statusBarBackground', {
    dark: (0, utils_1.lighten)(exports.editorHoverBackground, 0.2),
    light: (0, utils_1.darken)(exports.editorHoverBackground, 0.05),
    hcDark: exports.editorWidgetBackground,
    hcLight: exports.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('statusBarBackground', 'Background color of the editor hover status bar.'));
/**
 * Editor link colors
 */
exports.editorActiveLinkForeground = (0, utils_1.registerColor)('editorLink.activeForeground', { dark: '#4E94CE', light: color_1.Color.blue, hcDark: color_1.Color.cyan, hcLight: '#292929' }, (0, ide_core_common_1.localize)('activeLinkForeground', 'Color of active links.'));
/**
 * Diff Editor Colors
 */
exports.defaultInsertColor = new color_1.Color(new color_1.RGBA(155, 185, 85, 0.2));
exports.defaultRemoveColor = new color_1.Color(new color_1.RGBA(255, 0, 0, 0.2));
exports.diffInserted = (0, utils_1.registerColor)('diffEditor.insertedTextBackground', { dark: exports.defaultInsertColor, light: exports.defaultInsertColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorInserted', 'Background color for text that got inserted. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.diffRemoved = (0, utils_1.registerColor)('diffEditor.removedTextBackground', { dark: '#ff000066', light: '#ff00004d', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorRemoved', 'Background color for text that got removed. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.diffInsertedLine = (0, utils_1.registerColor)('diffEditor.insertedLineBackground', { dark: exports.defaultInsertColor, light: exports.defaultInsertColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorInsertedLines', 'Background color for lines that got inserted. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.diffRemovedLine = (0, utils_1.registerColor)('diffEditor.removedLineBackground', { dark: exports.defaultRemoveColor, light: exports.defaultRemoveColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorRemovedLines', 'Background color for lines that got removed. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.diffInsertedLineGutter = (0, utils_1.registerColor)('diffEditorGutter.insertedLineBackground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorInsertedLineGutter', 'Background color for the margin where lines got inserted.'));
exports.diffRemovedLineGutter = (0, utils_1.registerColor)('diffEditorGutter.removedLineBackground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorRemovedLineGutter', 'Background color for the margin where lines got removed.'));
exports.diffOverviewRulerInserted = (0, utils_1.registerColor)('diffEditorOverview.insertedForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorOverviewInserted', 'Diff overview ruler foreground for inserted content.'));
exports.diffOverviewRulerRemoved = (0, utils_1.registerColor)('diffEditorOverview.removedForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffEditorOverviewRemoved', 'Diff overview ruler foreground for removed content.'));
exports.diffInsertedOutline = (0, utils_1.registerColor)('diffEditor.insertedTextBorder', { dark: null, light: null, hcDark: '#33ff2eff', hcLight: '#374E06' }, (0, ide_core_common_1.localize)('diffEditorInsertedOutline', 'Outline color for the text that got inserted.'));
exports.diffRemovedOutline = (0, utils_1.registerColor)('diffEditor.removedTextBorder', { dark: null, light: null, hcDark: '#FF008F', hcLight: '#AD0707' }, (0, ide_core_common_1.localize)('diffEditorRemovedOutline', 'Outline color for text that got removed.'));
exports.diffBorder = (0, utils_1.registerColor)('diffEditor.border', { dark: null, light: null, hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('diffEditorBorder', 'Border color between the two text editors.'));
exports.diffDiagonalFill = (0, utils_1.registerColor)('diffEditor.diagonalFill', { dark: '#cccccc33', light: '#22222233', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('diffDiagonalFill', "Color of the diff editor's diagonal fill. The diagonal fill is used in side-by-side diff views."));
/**
 * Merge Editor Colors
 */
exports.defaultMergeEditorInsertColor = new color_1.Color(new color_1.RGBA(122, 255, 31, 0.12));
exports.defaultMergeEditorRemoveColor = new color_1.Color(new color_1.RGBA(255, 21, 33, 0.12));
exports.defaultMergeEditorModifyColor = new color_1.Color(new color_1.RGBA(255, 186, 29, 0.12));
exports.mergeEditorInserted = (0, utils_1.registerColor)('mergeEditor.insertedBackground', { dark: exports.defaultMergeEditorInsertColor, light: exports.defaultMergeEditorInsertColor, hcDark: null, hcLight: null }, '', true);
exports.mergeEditorRemoved = (0, utils_1.registerColor)('mergeEditor.removedBackground', { dark: exports.defaultMergeEditorRemoveColor, light: exports.defaultMergeEditorRemoveColor, hcDark: null, hcLight: null }, '', true);
exports.mergeEditorModify = (0, utils_1.registerColor)('mergeEditor.modifyBackground', { dark: exports.defaultMergeEditorModifyColor, light: exports.defaultMergeEditorModifyColor, hcDark: null, hcLight: null }, '', true);
exports.mergeEditorInnerCharInserted = (0, utils_1.registerColor)('mergeEditor.insertedInnerCharColor', {
    dark: (0, utils_1.transparent)(exports.defaultMergeEditorInsertColor, 1),
    light: (0, utils_1.transparent)(exports.defaultMergeEditorInsertColor, 1),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.mergeEditorInnerCharRemoved = (0, utils_1.registerColor)('mergeEditor.removedInnerCharColor', {
    dark: (0, utils_1.transparent)(exports.defaultMergeEditorRemoveColor, 1),
    light: (0, utils_1.transparent)(exports.defaultMergeEditorRemoveColor, 1),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.mergeEditorInnerCharModify = (0, utils_1.registerColor)('mergeEditor.modifyInnerCharColor', {
    dark: (0, utils_1.transparent)(exports.defaultMergeEditorModifyColor, 1),
    light: (0, utils_1.transparent)(exports.defaultMergeEditorModifyColor, 1),
    hcDark: null,
    hcLight: null,
}, '', true);
/**
 * Editor View Colors from editorColorRegistry
 */
exports.editorLineHighlight = (0, utils_1.registerColor)('editor.lineHighlightBackground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('lineHighlight', 'Background color for the highlight of line at the cursor position.'));
exports.editorLineHighlightBorder = (0, utils_1.registerColor)('editor.lineHighlightBorder', { dark: '#282828', light: '#eeeeee', hcDark: '#f38518', hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('lineHighlightBorderBox', 'Background color for the border around the line at the cursor position.'));
exports.editorRangeHighlight = (0, utils_1.registerColor)('editor.rangeHighlightBackground', { dark: '#ffffff0b', light: '#fdff0033', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('rangeHighlight', 'Background color of highlighted ranges, like by quick open and find features. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorRangeHighlightBorder = (0, utils_1.registerColor)('editor.rangeHighlightBorder', { dark: null, light: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('rangeHighlightBorder', 'Background color of the border around highlighted ranges.'), true);
exports.editorSymbolHighlight = (0, utils_1.registerColor)('editor.symbolHighlightBackground', { dark: exports.editorFindMatchHighlight, light: exports.editorFindMatchHighlight, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('symbolHighlight', 'Background color of highlighted symbol, like for go to definition or go next/previous symbol. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.editorSymbolHighlightBorder = (0, utils_1.registerColor)('editor.symbolHighlightBorder', { dark: null, light: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('symbolHighlightBorder', 'Background color of the border around highlighted symbols.'), true);
exports.editorCursorForeground = (0, utils_1.registerColor)('editorCursor.foreground', { dark: '#AEAFAD', light: color_1.Color.black, hcDark: color_1.Color.white, hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('caret', 'Color of the editor cursor.'));
exports.editorCursorBackground = (0, utils_1.registerColor)('editorCursor.background', null, (0, ide_core_common_1.localize)('editorCursorBackground', 'The background color of the editor cursor. Allows customizing the color of a character overlapped by a block cursor.'));
exports.editorWhitespaces = (0, utils_1.registerColor)('editorWhitespace.foreground', { dark: '#e3e4e229', light: '#33333333', hcDark: '#e3e4e229', hcLight: '#CCCCCC' }, (0, ide_core_common_1.localize)('editorWhitespaces', 'Color of whitespace characters in the editor.'));
exports.editorIndentGuides = (0, utils_1.registerColor)('editorIndentGuide.background', { dark: exports.editorWhitespaces, light: exports.editorWhitespaces, hcDark: exports.editorWhitespaces, hcLight: exports.editorWhitespaces }, (0, ide_core_common_1.localize)('editorIndentGuides', 'Color of the editor indentation guides.'));
exports.editorActiveIndentGuides = (0, utils_1.registerColor)('editorIndentGuide.activeBackground', { dark: exports.editorWhitespaces, light: exports.editorWhitespaces, hcDark: exports.editorWhitespaces, hcLight: exports.editorWhitespaces }, (0, ide_core_common_1.localize)('editorActiveIndentGuide', 'Color of the active editor indentation guides.'));
exports.editorLineNumbers = (0, utils_1.registerColor)('editorLineNumber.foreground', { dark: '#858585', light: '#237893', hcDark: color_1.Color.white, hcLight: '#292929' }, (0, ide_core_common_1.localize)('editorLineNumbers', 'Color of editor line numbers.'));
const deprecatedEditorActiveLineNumber = (0, utils_1.registerColor)('editorActiveLineNumber.foreground', { dark: '#c6c6c6', light: '#0B216F', hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('editorActiveLineNumber', 'Color of editor active line number'), false, (0, ide_core_common_1.localize)('deprecatedEditorActiveLineNumber', "Id is deprecated. Use 'editorLineNumber.activeForeground' instead."));
exports.editorActiveLineNumber = (0, utils_1.registerColor)('editorLineNumber.activeForeground', {
    dark: deprecatedEditorActiveLineNumber,
    light: deprecatedEditorActiveLineNumber,
    hcDark: deprecatedEditorActiveLineNumber,
    hcLight: deprecatedEditorActiveLineNumber,
}, (0, ide_core_common_1.localize)('editorActiveLineNumber', 'Color of editor active line number'));
exports.editorRuler = (0, utils_1.registerColor)('editorRuler.foreground', { dark: '#5A5A5A', light: color_1.Color.lightgrey, hcDark: color_1.Color.white, hcLight: '#292929' }, (0, ide_core_common_1.localize)('editorRuler', 'Color of the editor rulers.'));
exports.editorCodeLensForeground = (0, utils_1.registerColor)('editorCodeLens.foreground', { dark: '#999999', light: '#919191', hcDark: '#999999', hcLight: '#292929' }, (0, ide_core_common_1.localize)('editorCodeLensForeground', 'Foreground color of editor CodeLens'));
exports.editorBracketMatchBackground = (0, utils_1.registerColor)('editorBracketMatch.background', { dark: '#0064001a', light: '#0064001a', hcDark: '#0064001a', hcLight: '#0000' }, (0, ide_core_common_1.localize)('editorBracketMatchBackground', 'Background color behind matching brackets'));
exports.editorBracketMatchBorder = (0, utils_1.registerColor)('editorBracketMatch.border', { dark: '#888', light: '#B9B9B9', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('editorBracketMatchBorder', 'Color for matching brackets boxes'));
exports.editorOverviewRulerBorder = (0, utils_1.registerColor)('editorOverviewRuler.border', { dark: '#7f7f7f4d', light: '#7f7f7f4d', hcDark: '#7f7f7f4d', hcLight: '#666666' }, (0, ide_core_common_1.localize)('editorOverviewRulerBorder', 'Color of the overview ruler border.'));
exports.editorOverviewRulerBackground = (0, utils_1.registerColor)('editorOverviewRuler.background', null, (0, ide_core_common_1.localize)('editorOverviewRulerBackground', 'Background color of the editor overview ruler. Only used when the minimap is enabled and placed on the right side of the editor.'));
exports.editorGutter = (0, utils_1.registerColor)('editorGutter.background', { dark: exports.editorBackground, light: exports.editorBackground, hcDark: exports.editorBackground, hcLight: exports.editorBackground }, (0, ide_core_common_1.localize)('editorGutter', 'Background color of the editor gutter. The gutter contains the glyph margins and the line numbers.'));
exports.overviewRulerCommentingRangeForeground = (0, utils_1.registerColor)('editorGutter.commentRangeForeground', {
    dark: '#37373D',
    light: (0, utils_1.darken)('#E4E6F1', 0.05),
    hcDark: color_1.Color.white,
    hcLight: color_1.Color.black,
}, (0, ide_core_common_1.localize)('editorGutterCommentRangeForeground', 'Editor gutter decoration color for commenting ranges.'));
exports.editorUnnecessaryCodeBorder = (0, utils_1.registerColor)('editorUnnecessaryCode.border', { dark: null, light: null, hcDark: color_1.Color.fromHex('#fff').transparent(0.8), hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('unnecessaryCodeBorder', 'Border color of unnecessary (unused) source code in the editor.'));
exports.editorUnnecessaryCodeOpacity = (0, utils_1.registerColor)('editorUnnecessaryCode.opacity', { dark: color_1.Color.fromHex('#000a'), light: color_1.Color.fromHex('#0007'), hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('unnecessaryCodeOpacity', 'Opacity of unnecessary (unused) source code in the editor. For example, "#000000c0" will render the code with 75% opacity. For high contrast themes, use the  \'editorUnnecessaryCode.border\' theme color to underline unnecessary code instead of fading it out.'));
const rulerRangeDefault = new color_1.Color(new color_1.RGBA(0, 122, 204, 0.6));
exports.overviewRulerRangeHighlight = (0, utils_1.registerColor)('editorOverviewRuler.rangeHighlightForeground', { dark: rulerRangeDefault, light: rulerRangeDefault, hcDark: rulerRangeDefault, hcLight: rulerRangeDefault }, (0, ide_core_common_1.localize)('overviewRulerRangeHighlight', 'Overview ruler marker color for range highlights. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.overviewRulerError = (0, utils_1.registerColor)('editorOverviewRuler.errorForeground', {
    dark: new color_1.Color(new color_1.RGBA(255, 18, 18, 0.7)),
    light: new color_1.Color(new color_1.RGBA(255, 18, 18, 0.7)),
    hcDark: new color_1.Color(new color_1.RGBA(255, 50, 50, 1)),
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('overviewRuleError', 'Overview ruler marker color for errors.'));
exports.overviewRulerWarning = (0, utils_1.registerColor)('editorOverviewRuler.warningForeground', {
    dark: exports.editorWarningForeground,
    light: exports.editorWarningForeground,
    hcDark: exports.editorWarningBorder,
    hcLight: exports.editorWarningBorder,
}, (0, ide_core_common_1.localize)('overviewRuleWarning', 'Overview ruler marker color for warnings.'));
exports.overviewRulerInfo = (0, utils_1.registerColor)('editorOverviewRuler.infoForeground', { dark: exports.editorInfoForeground, light: exports.editorInfoForeground, hcDark: exports.editorInfoBorder, hcLight: exports.editorInfoBorder }, (0, ide_core_common_1.localize)('overviewRuleInfo', 'Overview ruler marker color for infos.'));
// < --- Editors --- >
exports.EDITOR_PANE_BACKGROUND = (0, utils_1.registerColor)('editorPane.background', {
    dark: exports.editorBackground,
    light: exports.editorBackground,
    hcDark: exports.editorBackground,
    hcLight: exports.editorBackground,
}, (0, ide_core_common_1.localize)('editorPaneBackground', 'Background color of the editor pane visible on the left and right side of the centered editor layout.'));
exports.EDITOR_GROUP_EMPTY_BACKGROUND = (0, utils_1.registerColor)('editorGroup.emptyBackground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('editorGroupEmptyBackground', 'Background color of an empty editor group. Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_FOCUSED_EMPTY_BORDER = (0, utils_1.registerColor)('editorGroup.focusedEmptyBorder', {
    dark: null,
    light: null,
    hcDark: base_1.focusBorder,
    hcLight: base_1.focusBorder,
}, (0, ide_core_common_1.localize)('editorGroupFocusedEmptyBorder', 'Border color of an empty editor group that is focused. Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_HEADER_TABS_BACKGROUND = (0, utils_1.registerColor)('editorGroupHeader.tabsBackground', {
    dark: '#252526',
    light: '#F3F3F3',
    hcDark: '#000000',
    hcLight: '#ffffff',
}, (0, ide_core_common_1.localize)('tabsContainerBackground', 'Background color of the editor group title header when tabs are enabled. Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_HEADER_TABS_BORDER = (0, utils_1.registerColor)('editorGroupHeader.tabsBorder', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabsContainerBorder', 'Border color of the editor group title header when tabs are enabled. Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_HEADER_NO_TABS_BACKGROUND = (0, utils_1.registerColor)('editorGroupHeader.noTabsBackground', {
    dark: exports.editorBackground,
    light: exports.editorBackground,
    hcDark: exports.editorBackground,
    hcLight: exports.editorBackground,
}, (0, ide_core_common_1.localize)('editorGroupHeaderBackground', 'Background color of the editor group title header when tabs are disabled (`"workbench.editor.showTabs": false`). Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_HEADER_BORDER = (0, utils_1.registerColor)('editorGroupHeader.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('editorTitleContainerBorder', 'Border color of the editor group title header. Editor groups are the containers of editors.'));
exports.EDITOR_GROUP_BORDER = (0, utils_1.registerColor)('editorGroup.border', {
    dark: '#444444',
    light: '#E7E7E7',
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('editorGroupBorder', 'Color to separate multiple editor groups from each other. Editor groups are the containers of editors.'));
exports.EDITOR_DRAG_AND_DROP_BACKGROUND = (0, utils_1.registerColor)('editorGroup.dropBackground', {
    dark: color_1.Color.fromHex('#53595D').transparent(0.5),
    light: color_1.Color.fromHex('#2677CB').transparent(0.18),
    hcDark: null,
    hcLight: color_1.Color.fromHex('#0F4A85').transparent(0.5),
}, (0, ide_core_common_1.localize)('editorDragAndDropBackground', 'Background color when dragging editors around. The color should have transparency so that the editor contents can still shine through.'));
exports.EDITOR_DROP_INTO_PROMPT_FOREGROUND = (0, utils_1.registerColor)('editorGroup.dropIntoPromptForeground', {
    dark: exports.editorWidgetForeground,
    light: exports.editorWidgetForeground,
    hcDark: exports.editorWidgetForeground,
    hcLight: exports.editorWidgetForeground,
}, (0, ide_core_common_1.localize)('editorDropIntoPromptForeground', 'Foreground color of text shown over editors when dragging files. This text informs the user that they can hold shift to drop into the editor.'));
exports.EDITOR_DROP_INTO_PROMPT_BACKGROUND = (0, utils_1.registerColor)('editorGroup.dropIntoPromptBackground', {
    dark: exports.editorWidgetBackground,
    light: exports.editorWidgetBackground,
    hcDark: exports.editorWidgetBackground,
    hcLight: exports.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('editorDropIntoPromptBackground', 'Background color of text shown over editors when dragging files. This text informs the user that they can hold shift to drop into the editor.'));
exports.EDITOR_DROP_INTO_PROMPT_BORDER = (0, utils_1.registerColor)('editorGroup.dropIntoPromptBorder', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('editorDropIntoPromptBorder', 'Border color of text shown over editors when dragging files. This text informs the user that they can hold shift to drop into the editor.'));
exports.SIDE_BY_SIDE_EDITOR_HORIZONTAL_BORDER = (0, utils_1.registerColor)('sideBySideEditor.horizontalBorder', {
    dark: exports.EDITOR_GROUP_BORDER,
    light: exports.EDITOR_GROUP_BORDER,
    hcDark: exports.EDITOR_GROUP_BORDER,
    hcLight: exports.EDITOR_GROUP_BORDER,
}, (0, ide_core_common_1.localize)('sideBySideEditor.horizontalBorder', 'Color to separate two editors from each other when shown side by side in an editor group from top to bottom.'));
exports.SIDE_BY_SIDE_EDITOR_VERTICAL_BORDER = (0, utils_1.registerColor)('sideBySideEditor.verticalBorder', {
    dark: exports.EDITOR_GROUP_BORDER,
    light: exports.EDITOR_GROUP_BORDER,
    hcDark: exports.EDITOR_GROUP_BORDER,
    hcLight: exports.EDITOR_GROUP_BORDER,
}, (0, ide_core_common_1.localize)('sideBySideEditor.verticalBorder', 'Color to separate two editors from each other when shown side by side in an editor group from left to right.'));
/**
 * Inline hints
 */
exports.editorInlayHintForeground = (0, utils_1.registerColor)('editorInlayHint.foreground', {
    dark: (0, utils_1.transparent)(badge_1.badgeForeground, 0.8),
    light: (0, utils_1.transparent)(badge_1.badgeForeground, 0.8),
    hcDark: badge_1.badgeForeground,
    hcLight: badge_1.badgeForeground,
}, (0, ide_core_common_1.localize)('editorInlayHintForeground', 'Foreground color of inline hints'));
exports.editorInlayHintBackground = (0, utils_1.registerColor)('editorInlayHint.background', {
    dark: (0, utils_1.transparent)(badge_1.badgeBackground, 0.6),
    light: (0, utils_1.transparent)(badge_1.badgeBackground, 0.3),
    hcDark: badge_1.badgeBackground,
    hcLight: badge_1.badgeBackground,
}, (0, ide_core_common_1.localize)('editorInlayHintBackground', 'Background color of inline hints'));
exports.editorInlayHintTypeForeground = (0, utils_1.registerColor)('editorInlayHint.typeForeground', {
    dark: exports.editorInlayHintForeground,
    light: exports.editorInlayHintForeground,
    hcDark: exports.editorInlayHintForeground,
    hcLight: exports.editorInlayHintForeground,
}, (0, ide_core_common_1.localize)('editorInlayHintForegroundTypes', 'Foreground color of inline hints for types'));
exports.editorInlayHintTypeBackground = (0, utils_1.registerColor)('editorInlayHint.typeBackground', {
    dark: exports.editorInlayHintBackground,
    light: exports.editorInlayHintBackground,
    hcDark: exports.editorInlayHintBackground,
    hcLight: exports.editorInlayHintBackground,
}, (0, ide_core_common_1.localize)('editorInlayHintBackgroundTypes', 'Background color of inline hints for types'));
exports.editorInlayHintParameterForeground = (0, utils_1.registerColor)('editorInlayHint.parameterForeground', {
    dark: exports.editorInlayHintForeground,
    light: exports.editorInlayHintForeground,
    hcDark: exports.editorInlayHintForeground,
    hcLight: exports.editorInlayHintForeground,
}, (0, ide_core_common_1.localize)('editorInlayHintForegroundParameter', 'Foreground color of inline hints for parameters'));
exports.editorInlayHintParameterBackground = (0, utils_1.registerColor)('editorInlayHint.parameterBackground', {
    dark: exports.editorInlayHintBackground,
    light: exports.editorInlayHintBackground,
    hcDark: exports.editorInlayHintBackground,
    hcLight: exports.editorInlayHintBackground,
}, (0, ide_core_common_1.localize)('editorInlayHintBackgroundParameter', 'Background color of inline hints for parameters'));
exports.editorImagePreviewBackground = (0, utils_1.registerColor)('editorImagePreview.background', {
    dark: new color_1.Color(new color_1.RGBA(20, 20, 20)),
    light: new color_1.Color(new color_1.RGBA(230, 230, 230)),
    hcLight: new color_1.Color(new color_1.RGBA(230, 230, 230)),
    hcDark: new color_1.Color(new color_1.RGBA(20, 20, 20)),
}, (0, ide_core_common_1.localize)('editorImagePreviewBackground', 'Background color of image preview editor.'));
exports.ghostTextBorder = (0, utils_1.registerColor)('editorGhostText.border', {
    dark: null,
    light: null,
    hcDark: color_1.Color.fromHex('#fff').transparent(0.8),
    hcLight: color_1.Color.fromHex('#292929').transparent(0.8),
}, (0, ide_core_common_1.localize)('editorGhostTextBorder', 'Border color of ghost text in the editor.'));
exports.ghostTextForeground = (0, utils_1.registerColor)('editorGhostText.foreground', {
    dark: color_1.Color.fromHex('#ffffff56'),
    light: color_1.Color.fromHex('#0007'),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('editorGhostTextForeground', 'Foreground color of the ghost text in the editor.'));
exports.ghostTextBackground = (0, utils_1.registerColor)('editorGhostText.background', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('editorGhostTextBackground', 'Background color of the ghost text in the editor.'));
//# sourceMappingURL=editor.js.map