"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inputValidationErrorBorder = exports.inputValidationErrorForeground = exports.inputValidationErrorBackground = exports.inputValidationWarningBorder = exports.inputValidationWarningForeground = exports.inputValidationWarningBackground = exports.inputValidationInfoBorder = exports.inputValidationInfoForeground = exports.inputValidationInfoBackground = exports.inputActiveOptionForeground = exports.inputActiveOptionBackground = exports.inputActiveOptionHoverBackground = exports.inputActiveOptionBorder = exports.inputPlaceholderForeground = exports.inputForeground = exports.inputBackground = exports.inputBorder = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
exports.inputBorder = (0, utils_1.registerColor)('input.border', { dark: '#00000000', light: '#00000040', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('inputBoxBorder', 'Input box border.'));
exports.inputBackground = (0, utils_1.registerColor)('input.background', { dark: '#00000040', light: color_1.Color.white, hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('inputBoxBackground', 'Input box background.'));
exports.inputForeground = (0, utils_1.registerColor)('input.foreground', { dark: base_1.foreground, light: base_1.foreground, hcDark: base_1.foreground, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('inputBoxForeground', 'Input box foreground.'));
exports.inputPlaceholderForeground = (0, utils_1.registerColor)('input.placeholderForeground', {
    light: (0, utils_1.transparent)(base_1.foreground, 0.5),
    dark: (0, utils_1.transparent)(base_1.foreground, 0.5),
    hcDark: (0, utils_1.transparent)(base_1.foreground, 0.7),
    hcLight: (0, utils_1.transparent)(base_1.foreground, 0.7),
}, (0, ide_core_common_1.localize)('inputPlaceholderForeground', 'Input box foreground color for placeholder text.'));
exports.inputActiveOptionBorder = (0, utils_1.registerColor)('inputOption.activeBorder', { dark: '#007ACC', light: '#007ACC', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('inputBoxActiveOptionBorder', 'Border color of activated options in input fields.'));
exports.inputActiveOptionHoverBackground = (0, utils_1.registerColor)('inputOption.hoverBackground', { dark: '#5a5d5e80', light: '#b8b8b850', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('inputOption.hoverBackground', 'Background color of activated options in input fields.'));
exports.inputActiveOptionBackground = (0, utils_1.registerColor)('inputOption.activeBackground', {
    dark: (0, utils_1.transparent)(base_1.focusBorder, 0.4),
    light: (0, utils_1.transparent)(base_1.focusBorder, 0.2),
    hcDark: color_1.Color.transparent,
    hcLight: color_1.Color.transparent,
}, (0, ide_core_common_1.localize)('inputOption.activeBackground', 'Background hover color of options in input fields.'));
exports.inputActiveOptionForeground = (0, utils_1.registerColor)('inputOption.activeForeground', { dark: color_1.Color.white, light: color_1.Color.black, hcDark: null, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('inputOption.activeForeground', 'Foreground color of activated options in input fields.'));
exports.inputValidationInfoBackground = (0, utils_1.registerColor)('inputValidation.infoBackground', { dark: '#063B49', light: '#D6ECF2', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('inputValidationInfoBackground', 'Input validation background color for information severity.'));
exports.inputValidationInfoForeground = (0, utils_1.registerColor)('inputValidation.infoForeground', { dark: null, light: null, hcDark: null, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('inputValidationInfoForeground', 'Input validation foreground color for information severity.'));
exports.inputValidationInfoBorder = (0, utils_1.registerColor)('inputValidation.infoBorder', { dark: '#007acc', light: '#007acc', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('inputValidationInfoBorder', 'Input validation border color for information severity.'));
exports.inputValidationWarningBackground = (0, utils_1.registerColor)('inputValidation.warningBackground', { dark: '#352A05', light: '#F6F5D2', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('inputValidationWarningBackground', 'Input validation background color for warning severity.'));
exports.inputValidationWarningForeground = (0, utils_1.registerColor)('inputValidation.warningForeground', { dark: null, light: null, hcDark: null, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('inputValidationWarningForeground', 'Input validation foreground color for warning severity.'));
exports.inputValidationWarningBorder = (0, utils_1.registerColor)('inputValidation.warningBorder', { dark: '#B89500', light: '#B89500', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('inputValidationWarningBorder', 'Input validation border color for warning severity.'));
exports.inputValidationErrorBackground = (0, utils_1.registerColor)('inputValidation.errorBackground', { dark: '#5A1D1D', light: '#F2DEDE', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('inputValidationErrorBackground', 'Input validation background color for error severity.'));
exports.inputValidationErrorForeground = (0, utils_1.registerColor)('inputValidation.errorForeground', { dark: null, light: null, hcDark: null, hcLight: base_1.foreground }, (0, ide_core_common_1.localize)('inputValidationErrorForeground', 'Input validation foreground color for error severity.'));
exports.inputValidationErrorBorder = (0, utils_1.registerColor)('inputValidation.errorBorder', { dark: '#BE1100', light: '#BE1100', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('inputValidationErrorBorder', 'Input validation border color for error severity.'));
//# sourceMappingURL=input.js.map