"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listDeemphasizedForeground = exports.tableOddRowsBackgroundColor = exports.tableColumnsBorder = exports.listFocusOutline = exports.treeIndentGuidesStroke = exports.listFilterMatchHighlightBorder = exports.listFilterMatchHighlight = exports.listFilterWidgetShadow = exports.listFilterWidgetNoMatchesOutline = exports.listFilterWidgetOutline = exports.listFilterWidgetBackground = exports.listWarningForeground = exports.listErrorForeground = exports.listInvalidItemForeground = exports.listHighlightForeground = exports.listDropBackground = exports.listHoverForeground = exports.listHoverBackground = exports.listInactiveFocusOutline = exports.listInactiveFocusBackground = exports.listInactiveSelectionIconForeground = exports.listInactiveSelectionForeground = exports.listInactiveSelectionBackground = exports.listActiveSelectionIconForeground = exports.listActiveSelectionForeground = exports.listActiveSelectionBackground = exports.listFocusAndSelectionOutline = exports.listFocusForeground = exports.listFocusBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
exports.listFocusBackground = (0, utils_1.registerColor)('list.focusBackground', { dark: '#062F4A', light: '#D6EBFF', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listFocusBackground', 'List/Tree background color for the focused item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.listFocusForeground = (0, utils_1.registerColor)('list.focusForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listFocusForeground', 'List/Tree foreground color for the focused item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.listFocusAndSelectionOutline = (0, utils_1.registerColor)('list.focusAndSelectionOutline', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listFocusAndSelectionOutline', 'List/Tree outline color for the focused item when the list/tree is active and selected. An active list/tree has keyboard focus, an inactive does not.'));
exports.listActiveSelectionBackground = (0, utils_1.registerColor)('list.activeSelectionBackground', { dark: '#04395E', light: '#0060C0', hcDark: null, hcLight: color_1.Color.fromHex('#0F4A85').transparent(0.1) }, (0, ide_core_common_1.localize)('listActiveSelectionBackground', 'List/Tree background color for the selected item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.listActiveSelectionForeground = (0, utils_1.registerColor)('list.activeSelectionForeground', { dark: color_1.Color.white, light: color_1.Color.white, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listActiveSelectionForeground', 'List/Tree foreground color for the selected item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.listActiveSelectionIconForeground = (0, utils_1.registerColor)('list.activeSelectionIconForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listActiveSelectionIconForeground', 'List/Tree icon foreground color for the selected item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.listInactiveSelectionBackground = (0, utils_1.registerColor)('list.inactiveSelectionBackground', { dark: '#37373D', light: '#E4E6F1', hcDark: null, hcLight: color_1.Color.fromHex('#0F4A85').transparent(0.1) }, (0, ide_core_common_1.localize)('listInactiveSelectionBackground', 'List/Tree background color for the selected item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.listInactiveSelectionForeground = (0, utils_1.registerColor)('list.inactiveSelectionForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listInactiveSelectionForeground', 'List/Tree foreground color for the selected item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.listInactiveSelectionIconForeground = (0, utils_1.registerColor)('list.inactiveSelectionIconForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listInactiveSelectionIconForeground', 'List/Tree icon foreground color for the selected item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.listInactiveFocusBackground = (0, utils_1.registerColor)('list.inactiveFocusBackground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listInactiveFocusBackground', 'List/Tree background color for the focused item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.listInactiveFocusOutline = (0, utils_1.registerColor)('list.inactiveFocusOutline', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listInactiveFocusOutline', 'List/Tree outline color for the focused item when the list/tree is inactive. An active list/tree has keyboard focus, an inactive does not.'));
exports.listHoverBackground = (0, utils_1.registerColor)('list.hoverBackground', { dark: '#2A2D2E', light: '#F0F0F0', hcDark: '#2A2D2E', hcLight: color_1.Color.fromHex('#0F4A85').transparent(0.1) }, (0, ide_core_common_1.localize)('listHoverBackground', 'List/Tree background when hovering over items using the mouse.'));
exports.listHoverForeground = (0, utils_1.registerColor)('list.hoverForeground', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listHoverForeground', 'List/Tree foreground when hovering over items using the mouse.'));
exports.listDropBackground = (0, utils_1.registerColor)('list.dropBackground', { dark: '#062F4A', light: '#D6EBFF', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listDropBackground', 'List/Tree drag and drop background when moving items around using the mouse.'));
exports.listHighlightForeground = (0, utils_1.registerColor)('list.highlightForeground', { dark: '#2AAAFF', light: '#0066BF', hcDark: base_1.focusBorder, hcLight: base_1.focusBorder }, (0, ide_core_common_1.localize)('highlight', 'List/Tree foreground color of the match highlights when searching inside the list/tree.'));
exports.listInvalidItemForeground = (0, utils_1.registerColor)('list.invalidItemForeground', { dark: '#B89500', light: '#B89500', hcDark: '#B89500', hcLight: '#B5200D' }, (0, ide_core_common_1.localize)('invalidItemForeground', 'List/Tree foreground color for invalid items, for example an unresolved root in explorer.'));
exports.listErrorForeground = (0, utils_1.registerColor)('list.errorForeground', { dark: '#F88070', light: '#B01011', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listErrorForeground', 'Foreground color of list items containing errors.'));
exports.listWarningForeground = (0, utils_1.registerColor)('list.warningForeground', { dark: '#CCA700', light: '#855F00', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listWarningForeground', 'Foreground color of list items containing warnings.'));
exports.listFilterWidgetBackground = (0, utils_1.registerColor)('listFilterWidget.background', {
    light: (0, utils_1.darken)(editor_1.editorWidgetBackground, 0),
    dark: (0, utils_1.lighten)(editor_1.editorWidgetBackground, 0),
    hcDark: editor_1.editorWidgetBackground,
    hcLight: editor_1.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('listFilterWidgetBackground', 'Background color of the type filter widget in lists and trees.'));
exports.listFilterWidgetOutline = (0, utils_1.registerColor)('listFilterWidget.outline', { dark: color_1.Color.transparent, light: color_1.Color.transparent, hcDark: '#f38518', hcLight: '#007ACC' }, (0, ide_core_common_1.localize)('listFilterWidgetOutline', 'Outline color of the type filter widget in lists and trees.'));
exports.listFilterWidgetNoMatchesOutline = (0, utils_1.registerColor)('listFilterWidget.noMatchesOutline', { dark: '#BE1100', light: '#BE1100', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('listFilterWidgetNoMatchesOutline', 'Outline color of the type filter widget in lists and trees, when there are no matches.'));
exports.listFilterWidgetShadow = (0, utils_1.registerColor)('listFilterWidget.shadow', { dark: base_1.widgetShadow, light: base_1.widgetShadow, hcDark: base_1.widgetShadow, hcLight: base_1.widgetShadow }, (0, ide_core_common_1.localize)('listFilterWidgetShadow', 'Shadown color of the type filter widget in lists and trees.'));
exports.listFilterMatchHighlight = (0, utils_1.registerColor)('list.filterMatchBackground', { dark: editor_1.editorFindMatchHighlight, light: editor_1.editorFindMatchHighlight, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('listFilterMatchHighlight', 'Background color of the filtered match.'));
exports.listFilterMatchHighlightBorder = (0, utils_1.registerColor)('list.filterMatchBorder', {
    dark: editor_1.editorFindMatchHighlightBorder,
    light: editor_1.editorFindMatchHighlightBorder,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.activeContrastBorder,
}, (0, ide_core_common_1.localize)('listFilterMatchHighlightBorder', 'Border color of the filtered match.'));
exports.treeIndentGuidesStroke = (0, utils_1.registerColor)('tree.indentGuidesStroke', { dark: '#585858', light: '#a9a9a9', hcDark: '#a9a9a9', hcLight: '#a5a5a5' }, (0, ide_core_common_1.localize)('treeIndentGuidesStroke', 'Tree stroke color for the indentation guides.'));
exports.listFocusOutline = (0, utils_1.registerColor)('list.focusOutline', { dark: base_1.focusBorder, light: base_1.focusBorder, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('listFocusOutline', 'List/Tree outline color for the focused item when the list/tree is active. An active list/tree has keyboard focus, an inactive does not.'));
exports.tableColumnsBorder = (0, utils_1.registerColor)('tree.tableColumnsBorder', { dark: '#CCCCCC20', light: '#61616120', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('tableColumnsBorder', 'Table border color between columns.'));
exports.tableOddRowsBackgroundColor = (0, utils_1.registerColor)('tree.tableOddRowsBackground', { dark: (0, utils_1.transparent)(base_1.foreground, 0.04), light: (0, utils_1.transparent)(base_1.foreground, 0.04), hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('tableOddRowsBackgroundColor', 'Background color for odd table rows.'));
exports.listDeemphasizedForeground = (0, utils_1.registerColor)('list.deemphasizedForeground', { dark: '#8C8C8C', light: '#8E8E90', hcDark: '#A7A8A9', hcLight: '#666666' }, (0, ide_core_common_1.localize)('listDeemphasizedForeground', 'List/Tree foreground color for items that are deemphasized. '));
//# sourceMappingURL=list-tree.js.map