"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MENUBAR_SELECTION_BORDER = exports.MENUBAR_SELECTION_BACKGROUND = exports.MENUBAR_SELECTION_FOREGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const title_bar_1 = require("./title-bar");
const toolbar_1 = require("./toolbar");
// < --- Menubar --- >
exports.MENUBAR_SELECTION_FOREGROUND = (0, utils_1.registerColor)('menubar.selectionForeground', {
    dark: title_bar_1.TITLE_BAR_ACTIVE_FOREGROUND,
    light: title_bar_1.TITLE_BAR_ACTIVE_FOREGROUND,
    hcDark: title_bar_1.TITLE_BAR_ACTIVE_FOREGROUND,
    hcLight: title_bar_1.TITLE_BAR_ACTIVE_FOREGROUND,
}, (0, ide_core_common_1.localize)('menubarSelectionForeground', 'Foreground color of the selected menu item in the menubar.'));
exports.MENUBAR_SELECTION_BACKGROUND = (0, utils_1.registerColor)('menubar.selectionBackground', {
    dark: toolbar_1.toolbarHoverBackground,
    light: toolbar_1.toolbarHoverBackground,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('menubarSelectionBackground', 'Background color of the selected menu item in the menubar.'));
exports.MENUBAR_SELECTION_BORDER = (0, utils_1.registerColor)('menubar.selectionBorder', {
    dark: null,
    light: null,
    hcDark: base_1.activeContrastBorder,
    hcLight: base_1.activeContrastBorder,
}, (0, ide_core_common_1.localize)('menubarSelectionBorder', 'Border color of the selected menu item in the menubar.'));
//# sourceMappingURL=menu-bar.js.map