"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.menuSeparatorBackground = exports.menuSelectionBorder = exports.menuSelectionBackground = exports.menuSelectionForeground = exports.menuBackground = exports.menuForeground = exports.menuBorder = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const dropdown_1 = require("./dropdown");
const list_tree_1 = require("./list-tree");
exports.menuBorder = (0, utils_1.registerColor)('menu.border', { dark: null, light: null, hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('menuBorder', 'Border color of menus.'));
exports.menuForeground = (0, utils_1.registerColor)('menu.foreground', { dark: dropdown_1.selectForeground, light: base_1.foreground, hcDark: dropdown_1.selectForeground, hcLight: dropdown_1.selectForeground }, (0, ide_core_common_1.localize)('menuForeground', 'Foreground color of menu items.'));
exports.menuBackground = (0, utils_1.registerColor)('menu.background', { dark: dropdown_1.selectBackground, light: dropdown_1.selectBackground, hcDark: dropdown_1.selectBackground, hcLight: dropdown_1.selectBackground }, (0, ide_core_common_1.localize)('menuBackground', 'Background color of menu items.'));
exports.menuSelectionForeground = (0, utils_1.registerColor)('menu.selectionForeground', {
    dark: list_tree_1.listActiveSelectionForeground,
    light: list_tree_1.listActiveSelectionForeground,
    hcDark: list_tree_1.listActiveSelectionForeground,
    hcLight: list_tree_1.listActiveSelectionForeground,
}, (0, ide_core_common_1.localize)('menuSelectionForeground', 'Foreground color of the selected menu item in menus.'));
exports.menuSelectionBackground = (0, utils_1.registerColor)('menu.selectionBackground', {
    dark: list_tree_1.listActiveSelectionBackground,
    light: list_tree_1.listActiveSelectionBackground,
    hcDark: list_tree_1.listActiveSelectionBackground,
    hcLight: list_tree_1.listActiveSelectionBackground,
}, (0, ide_core_common_1.localize)('menuSelectionBackground', 'Background color of the selected menu item in menus.'));
exports.menuSelectionBorder = (0, utils_1.registerColor)('menu.selectionBorder', { dark: null, light: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('menuSelectionBorder', 'Border color of the selected menu item in menus.'));
exports.menuSeparatorBackground = (0, utils_1.registerColor)('menu.separatorBackground', { dark: '#606060', light: '#D4D4D4', hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('menuSeparatorBackground', 'Color of a separator menu item in menus.'));
//# sourceMappingURL=menu.js.map