"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.overviewRulerSelectionHighlightForeground = exports.overviewRulerFindMatchForeground = exports.overviewRulerCommonContentForeground = exports.overviewRulerIncomingContentForeground = exports.overviewRulerCurrentContentForeground = exports.mergeBorder = exports.mergeCommonContentBackground = exports.mergeCommonHeaderBackground = exports.mergeIncomingContentBackground = exports.mergeIncomingHeaderBackground = exports.mergeCurrentContentBackground = exports.mergeCurrentHeaderBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
/**
 * Merge-conflict colors
 */
const headerTransparency = 0.5;
const currentBaseColor = color_1.Color.fromHex('#40C8AE').transparent(headerTransparency);
const incomingBaseColor = color_1.Color.fromHex('#40A6FF').transparent(headerTransparency);
const commonBaseColor = color_1.Color.fromHex('#606060').transparent(0.4);
const contentTransparency = 0.4;
const rulerTransparency = 1;
exports.mergeCurrentHeaderBackground = (0, utils_1.registerColor)('merge.currentHeaderBackground', { dark: currentBaseColor, light: currentBaseColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('mergeCurrentHeaderBackground', 'Current header background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeCurrentContentBackground = (0, utils_1.registerColor)('merge.currentContentBackground', {
    dark: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, contentTransparency),
    light: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, contentTransparency),
    hcDark: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, contentTransparency),
    hcLight: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, contentTransparency),
}, (0, ide_core_common_1.localize)('mergeCurrentContentBackground', 'Current content background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeIncomingHeaderBackground = (0, utils_1.registerColor)('merge.incomingHeaderBackground', { dark: incomingBaseColor, light: incomingBaseColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('mergeIncomingHeaderBackground', 'Incoming header background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeIncomingContentBackground = (0, utils_1.registerColor)('merge.incomingContentBackground', {
    dark: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, contentTransparency),
    light: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, contentTransparency),
    hcDark: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, contentTransparency),
    hcLight: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, contentTransparency),
}, (0, ide_core_common_1.localize)('mergeIncomingContentBackground', 'Incoming content background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeCommonHeaderBackground = (0, utils_1.registerColor)('merge.commonHeaderBackground', { dark: commonBaseColor, light: commonBaseColor, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('mergeCommonHeaderBackground', 'Common ancestor header background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeCommonContentBackground = (0, utils_1.registerColor)('merge.commonContentBackground', {
    dark: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, contentTransparency),
    light: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, contentTransparency),
    hcDark: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, contentTransparency),
    hcLight: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, contentTransparency),
}, (0, ide_core_common_1.localize)('mergeCommonContentBackground', 'Common ancestor content background in inline merge-conflicts. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.mergeBorder = (0, utils_1.registerColor)('merge.border', { dark: null, light: null, hcDark: '#C3DF6F', hcLight: '#007ACC' }, (0, ide_core_common_1.localize)('mergeBorder', 'Border color on headers and the splitter in inline merge-conflicts.'));
exports.overviewRulerCurrentContentForeground = (0, utils_1.registerColor)('editorOverviewRuler.currentContentForeground', {
    dark: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, rulerTransparency),
    light: (0, utils_1.transparent)(exports.mergeCurrentHeaderBackground, rulerTransparency),
    hcDark: exports.mergeBorder,
    hcLight: exports.mergeBorder,
}, (0, ide_core_common_1.localize)('overviewRulerCurrentContentForeground', 'Current overview ruler foreground for inline merge-conflicts.'));
exports.overviewRulerIncomingContentForeground = (0, utils_1.registerColor)('editorOverviewRuler.incomingContentForeground', {
    dark: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, rulerTransparency),
    light: (0, utils_1.transparent)(exports.mergeIncomingHeaderBackground, rulerTransparency),
    hcDark: exports.mergeBorder,
    hcLight: exports.mergeBorder,
}, (0, ide_core_common_1.localize)('overviewRulerIncomingContentForeground', 'Incoming overview ruler foreground for inline merge-conflicts.'));
exports.overviewRulerCommonContentForeground = (0, utils_1.registerColor)('editorOverviewRuler.commonContentForeground', {
    dark: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, rulerTransparency),
    light: (0, utils_1.transparent)(exports.mergeCommonHeaderBackground, rulerTransparency),
    hcDark: exports.mergeBorder,
    hcLight: exports.mergeBorder,
}, (0, ide_core_common_1.localize)('overviewRulerCommonContentForeground', 'Common ancestor overview ruler foreground for inline merge-conflicts.'));
exports.overviewRulerFindMatchForeground = (0, utils_1.registerColor)('editorOverviewRuler.findMatchForeground', { dark: '#d186167e', light: '#d186167e', hcDark: '#AB5A00', hcLight: null }, (0, ide_core_common_1.localize)('overviewRulerFindMatchForeground', 'Overview ruler marker color for find matches. The color must not be opaque so as not to hide underlying decorations.'), true);
exports.overviewRulerSelectionHighlightForeground = (0, utils_1.registerColor)('editorOverviewRuler.selectionHighlightForeground', { dark: '#A0A0A0CC', light: '#A0A0A0CC', hcDark: '#A0A0A0CC', hcLight: '#A0A0A0CC' }, (0, ide_core_common_1.localize)('overviewRulerSelectionHighlightForeground', 'Overview ruler marker color for selection highlights. The color must not be opaque so as not to hide underlying decorations.'), true);
//# sourceMappingURL=merge-conflict.js.map