"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minimapSliderActiveBackground = exports.minimapSliderHoverBackground = exports.minimapSliderBackground = exports.minimapForegroundOpacity = exports.minimapBackground = exports.minimapWarning = exports.minimapError = exports.minimapSelection = exports.minimapSelectionOccurrenceHighlight = exports.minimapFindMatch = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../color");
const utils_1 = require("../utils");
const editor_1 = require("./editor");
const scrollbar_1 = require("./scrollbar");
exports.minimapFindMatch = (0, utils_1.registerColor)('minimap.findMatchHighlight', { light: '#d18616', dark: '#d18616', hcDark: '#AB5A00', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('minimapFindMatchHighlight', 'Minimap marker color for find matches.'), true);
exports.minimapSelectionOccurrenceHighlight = (0, utils_1.registerColor)('minimap.selectionOccurrenceHighlight', { light: '#c9c9c9', dark: '#676767', hcDark: '#ffffff', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('minimapSelectionOccurrenceHighlight', 'Minimap marker color for repeating editor selections.'), true);
exports.minimapSelection = (0, utils_1.registerColor)('minimap.selectionHighlight', { light: '#ADD6FF', dark: '#264F78', hcDark: '#ffffff', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('minimapSelectionHighlight', 'Minimap marker color for the editor selection.'), true);
exports.minimapError = (0, utils_1.registerColor)('minimap.errorHighlight', {
    dark: new color_1.Color(new color_1.RGBA(255, 18, 18, 0.7)),
    light: new color_1.Color(new color_1.RGBA(255, 18, 18, 0.7)),
    hcDark: new color_1.Color(new color_1.RGBA(255, 50, 50, 1)),
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('minimapError', 'Minimap marker color for errors.'));
exports.minimapWarning = (0, utils_1.registerColor)('minimap.warningHighlight', {
    dark: editor_1.editorWarningForeground,
    light: editor_1.editorWarningForeground,
    hcDark: editor_1.editorWarningBorder,
    hcLight: editor_1.editorWarningBorder,
}, (0, ide_core_common_1.localize)('overviewRuleWarning', 'Minimap marker color for warnings.'));
exports.minimapBackground = (0, utils_1.registerColor)('minimap.background', { dark: null, light: null, hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('minimapBackground', 'Minimap background color.'));
exports.minimapForegroundOpacity = (0, utils_1.registerColor)('minimap.foregroundOpacity', {
    dark: color_1.Color.fromHex('#000f'),
    light: color_1.Color.fromHex('#000f'),
    hcDark: color_1.Color.fromHex('#000f'),
    hcLight: color_1.Color.fromHex('#000f'),
}, (0, ide_core_common_1.localize)('minimapForegroundOpacity', 'Opacity of foreground elements rendered in the minimap. For example, "#000000c0" will render the elements with 75% opacity.'));
exports.minimapSliderBackground = (0, utils_1.registerColor)('minimapSlider.background', {
    light: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderBackground, 0.5),
    dark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderBackground, 0.5),
    hcDark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderBackground, 0.5),
    hcLight: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderBackground, 0.5),
}, (0, ide_core_common_1.localize)('minimapSliderBackground', 'Minimap slider background color.'));
exports.minimapSliderHoverBackground = (0, utils_1.registerColor)('minimapSlider.hoverBackground', {
    light: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderHoverBackground, 0.5),
    dark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderHoverBackground, 0.5),
    hcDark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderHoverBackground, 0.5),
    hcLight: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderHoverBackground, 0.5),
}, (0, ide_core_common_1.localize)('minimapSliderHoverBackground', 'Minimap slider background color when hovering.'));
exports.minimapSliderActiveBackground = (0, utils_1.registerColor)('minimapSlider.activeBackground', {
    light: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderActiveBackground, 0.5),
    dark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderActiveBackground, 0.5),
    hcDark: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderActiveBackground, 0.5),
    hcLight: (0, utils_1.transparent)(scrollbar_1.scrollbarSliderActiveBackground, 0.5),
}, (0, ide_core_common_1.localize)('minimapSliderActiveBackground', 'Minimap slider background color when clicked on.'));
//# sourceMappingURL=minimap.js.map