"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NOTIFICATIONS_INFO_ICON_FOREGROUND = exports.NOTIFICATIONS_WARNING_ICON_FOREGROUND = exports.NOTIFICATIONS_ERROR_ICON_FOREGROUND = exports.NOTIFICATIONS_BORDER = exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND = exports.NOTIFICATIONS_CENTER_HEADER_FOREGROUND = exports.NOTIFICATIONS_LINKS = exports.NOTIFICATIONS_BACKGROUND = exports.NOTIFICATIONS_FOREGROUND = exports.NOTIFICATIONS_TOAST_BORDER = exports.NOTIFICATIONS_CENTER_BORDER = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
const text_1 = require("./text");
// < --- Notifications --- >
exports.NOTIFICATIONS_CENTER_BORDER = (0, utils_1.registerColor)('notificationCenter.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('notificationCenterBorder', 'Notifications center border color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_TOAST_BORDER = (0, utils_1.registerColor)('notificationToast.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('notificationToastBorder', 'Notification toast border color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_FOREGROUND = (0, utils_1.registerColor)('notifications.foreground', {
    dark: editor_1.editorWidgetForeground,
    light: editor_1.editorWidgetForeground,
    hcDark: editor_1.editorWidgetForeground,
    hcLight: editor_1.editorWidgetForeground,
}, (0, ide_core_common_1.localize)('notificationsForeground', 'Notifications foreground color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_BACKGROUND = (0, utils_1.registerColor)('notifications.background', {
    dark: editor_1.editorWidgetBackground,
    light: editor_1.editorWidgetBackground,
    hcDark: editor_1.editorWidgetBackground,
    hcLight: editor_1.editorWidgetBackground,
}, (0, ide_core_common_1.localize)('notificationsBackground', 'Notifications background color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_LINKS = (0, utils_1.registerColor)('notificationLink.foreground', {
    dark: text_1.textLinkForeground,
    light: text_1.textLinkForeground,
    hcDark: text_1.textLinkForeground,
    hcLight: text_1.textLinkForeground,
}, (0, ide_core_common_1.localize)('notificationsLink', 'Notification links foreground color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_CENTER_HEADER_FOREGROUND = (0, utils_1.registerColor)('notificationCenterHeader.foreground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('notificationCenterHeaderForeground', 'Notifications center header foreground color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND = (0, utils_1.registerColor)('notificationCenterHeader.background', {
    dark: (0, utils_1.lighten)(exports.NOTIFICATIONS_BACKGROUND, 0.3),
    light: (0, utils_1.darken)(exports.NOTIFICATIONS_BACKGROUND, 0.05),
    hcDark: exports.NOTIFICATIONS_BACKGROUND,
    hcLight: exports.NOTIFICATIONS_BACKGROUND,
}, (0, ide_core_common_1.localize)('notificationCenterHeaderBackground', 'Notifications center header background color. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_BORDER = (0, utils_1.registerColor)('notifications.border', {
    dark: exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND,
    light: exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND,
    hcDark: exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND,
    hcLight: exports.NOTIFICATIONS_CENTER_HEADER_BACKGROUND,
}, (0, ide_core_common_1.localize)('notificationsBorder', 'Notifications border color separating from other notifications in the notifications center. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_ERROR_ICON_FOREGROUND = (0, utils_1.registerColor)('notificationsErrorIcon.foreground', {
    dark: editor_1.editorErrorForeground,
    light: editor_1.editorErrorForeground,
    hcDark: editor_1.editorErrorForeground,
    hcLight: editor_1.editorErrorForeground,
}, (0, ide_core_common_1.localize)('notificationsErrorIconForeground', 'The color used for the icon of error notifications. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_WARNING_ICON_FOREGROUND = (0, utils_1.registerColor)('notificationsWarningIcon.foreground', {
    dark: editor_1.editorWarningForeground,
    light: editor_1.editorWarningForeground,
    hcDark: editor_1.editorWarningForeground,
    hcLight: editor_1.editorWarningForeground,
}, (0, ide_core_common_1.localize)('notificationsWarningIconForeground', 'The color used for the icon of warning notifications. Notifications slide in from the bottom right of the window.'));
exports.NOTIFICATIONS_INFO_ICON_FOREGROUND = (0, utils_1.registerColor)('notificationsInfoIcon.foreground', {
    dark: editor_1.editorInfoForeground,
    light: editor_1.editorInfoForeground,
    hcDark: editor_1.editorInfoForeground,
    hcLight: editor_1.editorInfoForeground,
}, (0, ide_core_common_1.localize)('notificationsInfoIconForeground', 'The color used for the icon of info notifications. Notifications slide in from the bottom right of the window.'));
//# sourceMappingURL=notification.js.map