"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PANEL_SECTION_BORDER = exports.PANEL_SECTION_HEADER_BORDER = exports.PANEL_SECTION_HEADER_FOREGROUND = exports.PANEL_SECTION_HEADER_BACKGROUND = exports.PANEL_SECTION_DRAG_AND_DROP_BACKGROUND = exports.PANEL_DRAG_AND_DROP_BORDER = exports.PANEL_DRAG_AND_DROP_BACKGROUND = exports.PANEL_ACTIVE_TITLE_BORDER = exports.PANEL_INACTIVE_TITLE_FOREGROUND = exports.PANEL_ACTIVE_TITLE_FOREGROUND = exports.PANEL_BORDER = exports.PANEL_BACKGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
// < --- Panels --- >
exports.PANEL_BACKGROUND = (0, utils_1.registerColor)('panel.background', {
    dark: editor_1.editorBackground,
    light: editor_1.editorBackground,
    hcDark: editor_1.editorBackground,
    hcLight: editor_1.editorBackground,
}, (0, ide_core_common_1.localize)('panelBackground', 'Panel background color. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_BORDER = (0, utils_1.registerColor)('panel.border', {
    dark: color_1.Color.fromHex('#808080').transparent(0.35),
    light: color_1.Color.fromHex('#808080').transparent(0.35),
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('panelBorder', 'Panel border color to separate the panel from the editor. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_ACTIVE_TITLE_FOREGROUND = (0, utils_1.registerColor)('panelTitle.activeForeground', {
    dark: '#E7E7E7',
    light: '#424242',
    hcDark: color_1.Color.white,
    hcLight: editor_1.editorForeground,
}, (0, ide_core_common_1.localize)('panelActiveTitleForeground', 'Title color for the active panel. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_INACTIVE_TITLE_FOREGROUND = (0, utils_1.registerColor)('panelTitle.inactiveForeground', {
    dark: (0, utils_1.transparent)(exports.PANEL_ACTIVE_TITLE_FOREGROUND, 0.6),
    light: (0, utils_1.transparent)(exports.PANEL_ACTIVE_TITLE_FOREGROUND, 0.75),
    hcDark: color_1.Color.white,
    hcLight: editor_1.editorForeground,
}, (0, ide_core_common_1.localize)('panelInactiveTitleForeground', 'Title color for the inactive panel. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_ACTIVE_TITLE_BORDER = (0, utils_1.registerColor)('panelTitle.activeBorder', {
    dark: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
    light: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
    hcDark: base_1.contrastBorder,
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('panelActiveTitleBorder', 'Border color for the active panel title. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_DRAG_AND_DROP_BACKGROUND = (0, utils_1.registerColor)('panel.dropBackground', {
    dark: color_1.Color.white.transparent(0.12),
    light: color_1.Color.fromHex('#2677CB').transparent(0.18),
    hcDark: color_1.Color.white.transparent(0.12),
    hcLight: color_1.Color.fromHex('#2677CB').transparent(0.18),
}, (0, ide_core_common_1.localize)('panelDragAndDropBackground', 'Drag and drop feedback color for the panel title items. The color should have transparency so that the panel entries can still shine through. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_DRAG_AND_DROP_BORDER = (0, utils_1.registerColor)('panel.dropBorder', {
    dark: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
    light: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
    hcDark: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
    hcLight: exports.PANEL_ACTIVE_TITLE_FOREGROUND,
}, (0, ide_core_common_1.localize)('panelDragAndDropBorder', 'Drag and drop feedback color for the panel titles. Panels are shown below the editor area and contain views like output and integrated terminal.'));
exports.PANEL_SECTION_DRAG_AND_DROP_BACKGROUND = (0, utils_1.registerColor)('panelSection.dropBackground', {
    dark: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    light: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    hcDark: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    hcLight: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
}, (0, ide_core_common_1.localize)('panelSectionDragAndDropBackground', 'Drag and drop feedback color for the panel sections. The color should have transparency so that the panel sections can still shine through. Panels are shown below the editor area and contain views like output and integrated terminal. Panel sections are views nested within the panels.'));
exports.PANEL_SECTION_HEADER_BACKGROUND = (0, utils_1.registerColor)('panelSectionHeader.background', {
    dark: color_1.Color.fromHex('#808080').transparent(0.2),
    light: color_1.Color.fromHex('#808080').transparent(0.2),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('panelSectionHeaderBackground', 'Panel section header background color. Panels are shown below the editor area and contain views like output and integrated terminal. Panel sections are views nested within the panels.'));
exports.PANEL_SECTION_HEADER_FOREGROUND = (0, utils_1.registerColor)('panelSectionHeader.foreground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('panelSectionHeaderForeground', 'Panel section header foreground color. Panels are shown below the editor area and contain views like output and integrated terminal. Panel sections are views nested within the panels.'));
exports.PANEL_SECTION_HEADER_BORDER = (0, utils_1.registerColor)('panelSectionHeader.border', {
    dark: base_1.contrastBorder,
    light: base_1.contrastBorder,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('panelSectionHeaderBorder', 'Panel section header border color used when multiple views are stacked vertically in the panel. Panels are shown below the editor area and contain views like output and integrated terminal. Panel sections are views nested within the panels.'));
exports.PANEL_SECTION_BORDER = (0, utils_1.registerColor)('panelSection.border', {
    dark: exports.PANEL_BORDER,
    light: exports.PANEL_BORDER,
    hcDark: exports.PANEL_BORDER,
    hcLight: exports.PANEL_BORDER,
}, (0, ide_core_common_1.localize)('panelSectionBorder', 'Panel section border color used when multiple views are stacked horizontally in the panel. Panels are shown below the editor area and contain views like output and integrated terminal. Panel sections are views nested within the panels.'));
//# sourceMappingURL=panel.js.map