"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.peekViewEditorMatchHighlightBorder = exports.peekViewEditorMatchHighlight = exports.peekViewResultsMatchHighlight = exports.peekViewEditorGutterBackground = exports.peekViewEditorBackground = exports.peekViewResultsSelectionForeground = exports.peekViewResultsSelectionBackground = exports.peekViewResultsFileForeground = exports.peekViewResultsMatchForeground = exports.peekViewResultsBackground = exports.peekViewBorder = exports.peekViewTitleInfoForeground = exports.peekViewTitleForeground = exports.peekViewTitleBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
exports.peekViewTitleBackground = (0, utils_1.registerColor)('peekViewTitle.background', {
    dark: (0, utils_1.transparent)(editor_1.editorInfoForeground, 0.1),
    light: (0, utils_1.transparent)(editor_1.editorInfoForeground, 0.1),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('peekViewTitleBackground', 'Background color of the peek view title area.'));
exports.peekViewTitleForeground = (0, utils_1.registerColor)('peekViewTitleLabel.foreground', { dark: color_1.Color.white, light: color_1.Color.black, hcDark: color_1.Color.white, hcLight: editor_1.editorForeground }, (0, ide_core_common_1.localize)('peekViewTitleForeground', 'Color of the peek view title.'));
exports.peekViewTitleInfoForeground = (0, utils_1.registerColor)('peekViewTitleDescription.foreground', { dark: '#ccccccb3', light: '#616161', hcDark: '#FFFFFF99', hcLight: '#292929' }, (0, ide_core_common_1.localize)('peekViewTitleInfoForeground', 'Color of the peek view title info.'));
exports.peekViewBorder = (0, utils_1.registerColor)('peekView.border', { dark: editor_1.editorInfoForeground, light: editor_1.editorInfoForeground, hcDark: base_1.contrastBorder, hcLight: base_1.contrastBorder }, (0, ide_core_common_1.localize)('peekViewBorder', 'Color of the peek view borders and arrow.'));
exports.peekViewResultsBackground = (0, utils_1.registerColor)('peekViewResult.background', { dark: '#252526', light: '#F3F3F3', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('peekViewResultsBackground', 'Background color of the peek view result list.'));
exports.peekViewResultsMatchForeground = (0, utils_1.registerColor)('peekViewResult.lineForeground', { dark: '#bbbbbb', light: '#646465', hcDark: color_1.Color.white, hcLight: editor_1.editorForeground }, (0, ide_core_common_1.localize)('peekViewResultsMatchForeground', 'Foreground color for line nodes in the peek view result list.'));
exports.peekViewResultsFileForeground = (0, utils_1.registerColor)('peekViewResult.fileForeground', { dark: color_1.Color.white, light: '#1E1E1E', hcDark: color_1.Color.white, hcLight: editor_1.editorForeground }, (0, ide_core_common_1.localize)('peekViewResultsFileForeground', 'Foreground color for file nodes in the peek view result list.'));
exports.peekViewResultsSelectionBackground = (0, utils_1.registerColor)('peekViewResult.selectionBackground', { dark: '#3399ff33', light: '#3399ff33', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('peekViewResultsSelectionBackground', 'Background color of the selected entry in the peek view result list.'));
exports.peekViewResultsSelectionForeground = (0, utils_1.registerColor)('peekViewResult.selectionForeground', { dark: color_1.Color.white, light: '#6C6C6C', hcDark: color_1.Color.white, hcLight: editor_1.editorForeground }, (0, ide_core_common_1.localize)('peekViewResultsSelectionForeground', 'Foreground color of the selected entry in the peek view result list.'));
exports.peekViewEditorBackground = (0, utils_1.registerColor)('peekViewEditor.background', { dark: '#001F33', light: '#F2F8FC', hcDark: color_1.Color.black, hcLight: color_1.Color.white }, (0, ide_core_common_1.localize)('peekViewEditorBackground', 'Background color of the peek view editor.'));
exports.peekViewEditorGutterBackground = (0, utils_1.registerColor)('peekViewEditorGutter.background', {
    dark: exports.peekViewEditorBackground,
    light: exports.peekViewEditorBackground,
    hcDark: exports.peekViewEditorBackground,
    hcLight: exports.peekViewEditorBackground,
}, (0, ide_core_common_1.localize)('peekViewEditorGutterBackground', 'Background color of the gutter in the peek view editor.'));
exports.peekViewResultsMatchHighlight = (0, utils_1.registerColor)('peekViewResult.matchHighlightBackground', { dark: '#ea5c004d', light: '#ea5c004d', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('peekViewResultsMatchHighlight', 'Match highlight color in the peek view result list.'));
exports.peekViewEditorMatchHighlight = (0, utils_1.registerColor)('peekViewEditor.matchHighlightBackground', { dark: '#ff8f0099', light: '#f5d802de', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('peekViewEditorMatchHighlight', 'Match highlight color in the peek view editor.'));
exports.peekViewEditorMatchHighlightBorder = (0, utils_1.registerColor)('peekViewEditor.matchHighlightBorder', { dark: null, light: null, hcDark: base_1.activeContrastBorder, hcLight: base_1.activeContrastBorder }, (0, ide_core_common_1.localize)('peekViewEditorMatchHighlightBorder', 'Match highlight border in the peek view editor.'));
//# sourceMappingURL=pick-view.js.map