"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scrollbarSliderActiveBackground = exports.scrollbarSliderHoverBackground = exports.scrollbarSliderBackground = exports.scrollbarShadow = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
exports.scrollbarShadow = (0, utils_1.registerColor)('scrollbar.shadow', { dark: '#000000', light: '#DDDDDD', hcDark: null, hcLight: null }, (0, ide_core_common_1.localize)('scrollbarShadow', 'Scrollbar shadow to indicate that the view is scrolled.'));
exports.scrollbarSliderBackground = (0, utils_1.registerColor)('scrollbarSlider.background', {
    dark: color_1.Color.fromHex('#797979').transparent(0.4),
    light: color_1.Color.fromHex('#646464').transparent(0.4),
    hcDark: (0, utils_1.transparent)(base_1.contrastBorder, 0.6),
    hcLight: (0, utils_1.transparent)(base_1.contrastBorder, 0.4),
}, (0, ide_core_common_1.localize)('scrollbarSliderBackground', 'Scrollbar slider background color.'));
exports.scrollbarSliderHoverBackground = (0, utils_1.registerColor)('scrollbarSlider.hoverBackground', {
    dark: color_1.Color.fromHex('#646464').transparent(0.7),
    light: color_1.Color.fromHex('#646464').transparent(0.7),
    hcDark: (0, utils_1.transparent)(base_1.contrastBorder, 0.8),
    hcLight: (0, utils_1.transparent)(base_1.contrastBorder, 0.8),
}, (0, ide_core_common_1.localize)('scrollbarSliderHoverBackground', 'Scrollbar slider background color when hovering.'));
exports.scrollbarSliderActiveBackground = (0, utils_1.registerColor)('scrollbarSlider.activeBackground', {
    dark: color_1.Color.fromHex('#BFBFBF').transparent(0.4),
    light: color_1.Color.fromHex('#000000').transparent(0.6),
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('scrollbarSliderActiveBackground', 'Scrollbar slider background color when clicked on.'));
//# sourceMappingURL=scrollbar.js.map