"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.settingsSashBorder = exports.settingsHeaderBorder = exports.modifiedItemIndicator = exports.settingsHeaderForeground = exports.focusedRowBackground = exports.settingsNumberInputBorder = exports.settingsNumberInputForeground = exports.settingsNumberInputBackground = exports.settingsTextInputBorder = exports.settingsTextInputForeground = exports.settingsTextInputBackground = exports.settingsCheckboxBorder = exports.settingsCheckboxForeground = exports.settingsCheckboxBackground = exports.settingsSelectListBorder = exports.settingsSelectBorder = exports.settingsSelectForeground = exports.settingsSelectBackground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const checkbox_1 = require("./checkbox");
const dropdown_1 = require("./dropdown");
const editor_1 = require("./editor");
const input_1 = require("./input");
const list_tree_1 = require("./list-tree");
const panel_1 = require("./panel");
// Enum control colors
exports.settingsSelectBackground = (0, utils_1.registerColor)('settings.dropdownBackground', { dark: dropdown_1.selectBackground, light: dropdown_1.selectBackground, hcDark: dropdown_1.selectBackground, hcLight: dropdown_1.selectBackground }, (0, ide_core_common_1.localize)('settingsDropdownBackground', 'Settings editor dropdown background.'));
exports.settingsSelectForeground = (0, utils_1.registerColor)('settings.dropdownForeground', { dark: dropdown_1.selectForeground, light: dropdown_1.selectForeground, hcDark: dropdown_1.selectForeground, hcLight: dropdown_1.selectForeground }, (0, ide_core_common_1.localize)('settingsDropdownForeground', 'Settings editor dropdown foreground.'));
exports.settingsSelectBorder = (0, utils_1.registerColor)('settings.dropdownBorder', { dark: dropdown_1.selectBorder, light: dropdown_1.selectBorder, hcDark: dropdown_1.selectBorder, hcLight: dropdown_1.selectBorder }, (0, ide_core_common_1.localize)('settingsDropdownBorder', 'Settings editor dropdown border.'));
exports.settingsSelectListBorder = (0, utils_1.registerColor)('settings.dropdownListBorder', { dark: editor_1.editorWidgetBorder, light: editor_1.editorWidgetBorder, hcDark: editor_1.editorWidgetBorder, hcLight: editor_1.editorWidgetBorder }, (0, ide_core_common_1.localize)('settingsDropdownListBorder', 'Settings editor dropdown list border. This surrounds the options and separates the options from the description.'));
// Bool control colors
exports.settingsCheckboxBackground = (0, utils_1.registerColor)('settings.checkboxBackground', { dark: checkbox_1.checkboxBackground, light: checkbox_1.checkboxBackground, hcDark: checkbox_1.checkboxBackground, hcLight: checkbox_1.checkboxBackground }, (0, ide_core_common_1.localize)('settingsCheckboxBackground', 'Settings editor checkbox background.'));
exports.settingsCheckboxForeground = (0, utils_1.registerColor)('settings.checkboxForeground', { dark: checkbox_1.checkboxForeground, light: checkbox_1.checkboxForeground, hcDark: checkbox_1.checkboxForeground, hcLight: checkbox_1.checkboxForeground }, (0, ide_core_common_1.localize)('settingsCheckboxForeground', 'Settings editor checkbox foreground.'));
exports.settingsCheckboxBorder = (0, utils_1.registerColor)('settings.checkboxBorder', { dark: checkbox_1.checkboxBorder, light: checkbox_1.checkboxBorder, hcDark: checkbox_1.checkboxBorder, hcLight: checkbox_1.checkboxBorder }, (0, ide_core_common_1.localize)('settingsCheckboxBorder', 'Settings editor checkbox border.'));
// Text control colors
exports.settingsTextInputBackground = (0, utils_1.registerColor)('settings.textInputBackground', { dark: input_1.inputBackground, light: input_1.inputBackground, hcDark: input_1.inputBackground, hcLight: input_1.inputBackground }, (0, ide_core_common_1.localize)('textInputBoxBackground', 'Settings editor text input box background.'));
exports.settingsTextInputForeground = (0, utils_1.registerColor)('settings.textInputForeground', { dark: input_1.inputForeground, light: input_1.inputForeground, hcDark: input_1.inputForeground, hcLight: input_1.inputForeground }, (0, ide_core_common_1.localize)('textInputBoxForeground', 'Settings editor text input box foreground.'));
exports.settingsTextInputBorder = (0, utils_1.registerColor)('settings.textInputBorder', { dark: input_1.inputBorder, light: input_1.inputBorder, hcDark: input_1.inputBorder, hcLight: input_1.inputBorder }, (0, ide_core_common_1.localize)('textInputBoxBorder', 'Settings editor text input box border.'));
// Number control colors
exports.settingsNumberInputBackground = (0, utils_1.registerColor)('settings.numberInputBackground', { dark: input_1.inputBackground, light: input_1.inputBackground, hcDark: input_1.inputBackground, hcLight: input_1.inputBackground }, (0, ide_core_common_1.localize)('numberInputBoxBackground', 'Settings editor number input box background.'));
exports.settingsNumberInputForeground = (0, utils_1.registerColor)('settings.numberInputForeground', { dark: input_1.inputForeground, light: input_1.inputForeground, hcDark: input_1.inputForeground, hcLight: input_1.inputForeground }, (0, ide_core_common_1.localize)('numberInputBoxForeground', 'Settings editor number input box foreground.'));
exports.settingsNumberInputBorder = (0, utils_1.registerColor)('settings.numberInputBorder', { dark: input_1.inputBorder, light: input_1.inputBorder, hcDark: input_1.inputBorder, hcLight: input_1.inputBorder }, (0, ide_core_common_1.localize)('numberInputBoxBorder', 'Settings editor number input box border.'));
exports.focusedRowBackground = (0, utils_1.registerColor)('settings.focusedRowBackground', {
    dark: (0, utils_1.transparent)(list_tree_1.listHoverBackground, 0.6),
    light: (0, utils_1.transparent)(list_tree_1.listHoverBackground, 0.6),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('focusedRowBackground', 'The background color of a settings row when focused.'));
exports.settingsHeaderForeground = (0, utils_1.registerColor)('settings.headerForeground', { light: '#444444', dark: '#e7e7e7', hcDark: '#ffffff', hcLight: '#292929' }, (0, ide_core_common_1.localize)('headerForeground', 'The foreground color for a section header or active title.'));
exports.modifiedItemIndicator = (0, utils_1.registerColor)('settings.modifiedItemIndicator', {
    light: new color_1.Color(new color_1.RGBA(102, 175, 224)),
    dark: new color_1.Color(new color_1.RGBA(12, 125, 157)),
    hcDark: new color_1.Color(new color_1.RGBA(0, 73, 122)),
    hcLight: new color_1.Color(new color_1.RGBA(102, 175, 224)),
}, (0, ide_core_common_1.localize)('modifiedItemForeground', 'The color of the modified setting indicator.'));
exports.settingsHeaderBorder = (0, utils_1.registerColor)('settings.headerBorder', { dark: panel_1.PANEL_BORDER, light: panel_1.PANEL_BORDER, hcDark: panel_1.PANEL_BORDER, hcLight: panel_1.PANEL_BORDER }, (0, ide_core_common_1.localize)('settingsHeaderBorder', 'The color of the header container border.'));
exports.settingsSashBorder = (0, utils_1.registerColor)('settings.sashBorder', { dark: panel_1.PANEL_BORDER, light: panel_1.PANEL_BORDER, hcDark: panel_1.PANEL_BORDER, hcLight: panel_1.PANEL_BORDER }, (0, ide_core_common_1.localize)('settingsSashBorder', 'The color of the Settings editor splitview sash border.'));
//# sourceMappingURL=settings.js.map