"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SIDE_BAR_SECTION_HEADER_BORDER = exports.SIDE_BAR_SECTION_HEADER_FOREGROUND = exports.SIDE_BAR_SECTION_HEADER_BACKGROUND = exports.SIDE_BAR_DRAG_AND_DROP_BACKGROUND = exports.SIDE_BAR_TITLE_FOREGROUND = exports.SIDE_BAR_BORDER = exports.SIDE_BAR_FOREGROUND = exports.SIDE_BAR_BACKGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
// < --- Side Bar --- >
exports.SIDE_BAR_BACKGROUND = (0, utils_1.registerColor)('sideBar.background', {
    dark: '#252526',
    light: '#F3F3F3',
    hcDark: '#000000',
    hcLight: '#FFFFFF',
}, (0, ide_core_common_1.localize)('sideBarBackground', 'Side bar background color. The side bar is the container for views like explorer and search.'));
exports.SIDE_BAR_FOREGROUND = (0, utils_1.registerColor)('sideBar.foreground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('sideBarForeground', 'Side bar foreground color. The side bar is the container for views like explorer and search.'));
exports.SIDE_BAR_BORDER = (0, utils_1.registerColor)('sideBar.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('sideBarBorder', 'Side bar border color on the side separating to the editor. The side bar is the container for views like explorer and search.'));
exports.SIDE_BAR_TITLE_FOREGROUND = (0, utils_1.registerColor)('sideBarTitle.foreground', {
    dark: exports.SIDE_BAR_FOREGROUND,
    light: exports.SIDE_BAR_FOREGROUND,
    hcDark: exports.SIDE_BAR_FOREGROUND,
    hcLight: exports.SIDE_BAR_FOREGROUND,
}, (0, ide_core_common_1.localize)('sideBarTitleForeground', 'Side bar title foreground color. The side bar is the container for views like explorer and search.'));
exports.SIDE_BAR_DRAG_AND_DROP_BACKGROUND = (0, utils_1.registerColor)('sideBar.dropBackground', {
    dark: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    light: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    hcDark: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
    hcLight: editor_1.EDITOR_DRAG_AND_DROP_BACKGROUND,
}, (0, ide_core_common_1.localize)('sideBarDragAndDropBackground', 'Drag and drop feedback color for the side bar sections. The color should have transparency so that the side bar sections can still shine through. The side bar is the container for views like explorer and search. Side bar sections are views nested within the side bar.'));
exports.SIDE_BAR_SECTION_HEADER_BACKGROUND = (0, utils_1.registerColor)('sideBarSectionHeader.background', {
    dark: color_1.Color.fromHex('#808080').transparent(0.2),
    light: color_1.Color.fromHex('#808080').transparent(0.2),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('sideBarSectionHeaderBackground', 'Side bar section header background color. The side bar is the container for views like explorer and search. Side bar sections are views nested within the side bar.'));
exports.SIDE_BAR_SECTION_HEADER_FOREGROUND = (0, utils_1.registerColor)('sideBarSectionHeader.foreground', {
    dark: exports.SIDE_BAR_FOREGROUND,
    light: exports.SIDE_BAR_FOREGROUND,
    hcDark: exports.SIDE_BAR_FOREGROUND,
    hcLight: exports.SIDE_BAR_FOREGROUND,
}, (0, ide_core_common_1.localize)('sideBarSectionHeaderForeground', 'Side bar section header foreground color. The side bar is the container for views like explorer and search. Side bar sections are views nested within the side bar.'));
exports.SIDE_BAR_SECTION_HEADER_BORDER = (0, utils_1.registerColor)('sideBarSectionHeader.border', {
    dark: base_1.contrastBorder,
    light: base_1.contrastBorder,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('sideBarSectionHeaderBorder', 'Side bar section header border color. The side bar is the container for views like explorer and search. Side bar sections are views nested within the side bar.'));
//# sourceMappingURL=sidebar.js.map