"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.STATUS_BAR_DEBUGGING_BORDER = exports.STATUS_BAR_DEBUGGING_FOREGROUND = exports.STATUS_BAR_DEBUGGING_BACKGROUND = exports.EXTENSION_BADGE_REMOTE_FOREGROUND = exports.EXTENSION_BADGE_REMOTE_BACKGROUND = exports.STATUS_BAR_HOST_NAME_FOREGROUND = exports.STATUS_BAR_HOST_NAME_BACKGROUND = exports.STATUS_BAR_WARNING_ITEM_FOREGROUND = exports.STATUS_BAR_WARNING_ITEM_BACKGROUND = exports.STATUS_BAR_ERROR_ITEM_FOREGROUND = exports.STATUS_BAR_ERROR_ITEM_BACKGROUND = exports.STATUS_BAR_PROMINENT_ITEM_HOVER_BACKGROUND = exports.STATUS_BAR_PROMINENT_ITEM_BACKGROUND = exports.STATUS_BAR_PROMINENT_ITEM_FOREGROUND = exports.STATUS_BAR_ITEM_COMPACT_HOVER_BACKGROUND = exports.STATUS_BAR_ITEM_HOVER_BACKGROUND = exports.STATUS_BAR_ITEM_FOCUS_BORDER = exports.STATUS_BAR_ITEM_ACTIVE_BACKGROUND = exports.STATUS_BAR_NO_FOLDER_BORDER = exports.STATUS_BAR_FOCUS_BORDER = exports.STATUS_BAR_BORDER = exports.STATUS_BAR_NO_FOLDER_BACKGROUND = exports.STATUS_BAR_BACKGROUND = exports.STATUS_BAR_NO_FOLDER_FOREGROUND = exports.STATUS_BAR_FOREGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const activity_bar_1 = require("./activity-bar");
const base_1 = require("./base");
const editor_1 = require("./editor");
// < --- Status --- >
exports.STATUS_BAR_FOREGROUND = (0, utils_1.registerColor)('statusBar.foreground', {
    dark: '#FFFFFF',
    light: '#FFFFFF',
    hcDark: '#FFFFFF',
    hcLight: editor_1.editorForeground,
}, (0, ide_core_common_1.localize)('statusBarForeground', 'Status bar foreground color when a workspace or folder is opened. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_NO_FOLDER_FOREGROUND = (0, utils_1.registerColor)('statusBar.noFolderForeground', {
    dark: exports.STATUS_BAR_FOREGROUND,
    light: exports.STATUS_BAR_FOREGROUND,
    hcDark: exports.STATUS_BAR_FOREGROUND,
    hcLight: exports.STATUS_BAR_FOREGROUND,
}, (0, ide_core_common_1.localize)('statusBarNoFolderForeground', 'Status bar foreground color when no folder is opened. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_BACKGROUND = (0, utils_1.registerColor)('statusBar.background', {
    dark: '#007ACC',
    light: '#007ACC',
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('statusBarBackground', 'Status bar background color when a workspace or folder is opened. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_NO_FOLDER_BACKGROUND = (0, utils_1.registerColor)('statusBar.noFolderBackground', {
    dark: '#68217A',
    light: '#68217A',
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('statusBarNoFolderBackground', 'Status bar background color when no folder is opened. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_BORDER = (0, utils_1.registerColor)('statusBar.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('statusBarBorder', 'Status bar border color separating to the sidebar and editor. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_FOCUS_BORDER = (0, utils_1.registerColor)('statusBar.focusBorder', {
    dark: exports.STATUS_BAR_FOREGROUND,
    light: exports.STATUS_BAR_FOREGROUND,
    hcDark: null,
    hcLight: exports.STATUS_BAR_FOREGROUND,
}, (0, ide_core_common_1.localize)('statusBarFocusBorder', 'Status bar border color when focused on keyboard navigation. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_NO_FOLDER_BORDER = (0, utils_1.registerColor)('statusBar.noFolderBorder', {
    dark: exports.STATUS_BAR_BORDER,
    light: exports.STATUS_BAR_BORDER,
    hcDark: exports.STATUS_BAR_BORDER,
    hcLight: exports.STATUS_BAR_BORDER,
}, (0, ide_core_common_1.localize)('statusBarNoFolderBorder', 'Status bar border color separating to the sidebar and editor when no folder is opened. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ITEM_ACTIVE_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.activeBackground', {
    dark: color_1.Color.white.transparent(0.18),
    light: color_1.Color.white.transparent(0.18),
    hcDark: color_1.Color.white.transparent(0.18),
    hcLight: color_1.Color.black.transparent(0.18),
}, (0, ide_core_common_1.localize)('statusBarItemActiveBackground', 'Status bar item background color when clicking. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ITEM_FOCUS_BORDER = (0, utils_1.registerColor)('statusBarItem.focusBorder', {
    dark: exports.STATUS_BAR_FOREGROUND,
    light: exports.STATUS_BAR_FOREGROUND,
    hcDark: null,
    hcLight: base_1.activeContrastBorder,
}, (0, ide_core_common_1.localize)('statusBarItemFocusBorder', 'Status bar item border color when focused on keyboard navigation. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ITEM_HOVER_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.hoverBackground', {
    dark: color_1.Color.white.transparent(0.12),
    light: color_1.Color.white.transparent(0.12),
    hcDark: color_1.Color.white.transparent(0.12),
    hcLight: color_1.Color.black.transparent(0.12),
}, (0, ide_core_common_1.localize)('statusBarItemHoverBackground', 'Status bar item background color when hovering. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ITEM_COMPACT_HOVER_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.compactHoverBackground', {
    dark: color_1.Color.white.transparent(0.2),
    light: color_1.Color.white.transparent(0.2),
    hcDark: color_1.Color.white.transparent(0.2),
    hcLight: color_1.Color.black.transparent(0.2),
}, (0, ide_core_common_1.localize)('statusBarItemCompactHoverBackground', 'Status bar item background color when hovering an item that contains two hovers. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_PROMINENT_ITEM_FOREGROUND = (0, utils_1.registerColor)('statusBarItem.prominentForeground', {
    dark: exports.STATUS_BAR_FOREGROUND,
    light: exports.STATUS_BAR_FOREGROUND,
    hcDark: exports.STATUS_BAR_FOREGROUND,
    hcLight: exports.STATUS_BAR_FOREGROUND,
}, (0, ide_core_common_1.localize)('statusBarProminentItemForeground', 'Status bar prominent items foreground color. Prominent items stand out from other status bar entries to indicate importance. Change mode `Toggle Tab Key Moves Focus` from command palette to see an example. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_PROMINENT_ITEM_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.prominentBackground', {
    dark: color_1.Color.black.transparent(0.5),
    light: color_1.Color.black.transparent(0.5),
    hcDark: color_1.Color.black.transparent(0.5),
    hcLight: color_1.Color.black.transparent(0.5),
}, (0, ide_core_common_1.localize)('statusBarProminentItemBackground', 'Status bar prominent items background color. Prominent items stand out from other status bar entries to indicate importance. Change mode `Toggle Tab Key Moves Focus` from command palette to see an example. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_PROMINENT_ITEM_HOVER_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.prominentHoverBackground', {
    dark: color_1.Color.black.transparent(0.3),
    light: color_1.Color.black.transparent(0.3),
    hcDark: color_1.Color.black.transparent(0.3),
    hcLight: null,
}, (0, ide_core_common_1.localize)('statusBarProminentItemHoverBackground', 'Status bar prominent items background color when hovering. Prominent items stand out from other status bar entries to indicate importance. Change mode `Toggle Tab Key Moves Focus` from command palette to see an example. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ERROR_ITEM_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.errorBackground', {
    dark: (0, utils_1.darken)(base_1.errorForeground, 0.4),
    light: (0, utils_1.darken)(base_1.errorForeground, 0.4),
    hcDark: null,
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('statusBarErrorItemBackground', 'Status bar error items background color. Error items stand out from other status bar entries to indicate error conditions. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_ERROR_ITEM_FOREGROUND = (0, utils_1.registerColor)('statusBarItem.errorForeground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: color_1.Color.white,
}, (0, ide_core_common_1.localize)('statusBarErrorItemForeground', 'Status bar error items foreground color. Error items stand out from other status bar entries to indicate error conditions. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_WARNING_ITEM_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.warningBackground', {
    dark: (0, utils_1.darken)(editor_1.editorWarningForeground, 0.4),
    light: (0, utils_1.darken)(editor_1.editorWarningForeground, 0.4),
    hcDark: null,
    hcLight: '#895503',
}, (0, ide_core_common_1.localize)('statusBarWarningItemBackground', 'Status bar warning items background color. Warning items stand out from other status bar entries to indicate warning conditions. The status bar is shown in the bottom of the window.'));
exports.STATUS_BAR_WARNING_ITEM_FOREGROUND = (0, utils_1.registerColor)('statusBarItem.warningForeground', {
    dark: color_1.Color.white,
    light: color_1.Color.white,
    hcDark: color_1.Color.white,
    hcLight: color_1.Color.white,
}, (0, ide_core_common_1.localize)('statusBarWarningItemForeground', 'Status bar warning items foreground color. Warning items stand out from other status bar entries to indicate warning conditions. The status bar is shown in the bottom of the window.'));
// < --- Remote --- >
exports.STATUS_BAR_HOST_NAME_BACKGROUND = (0, utils_1.registerColor)('statusBarItem.remoteBackground', {
    dark: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    light: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    hcDark: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    hcLight: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
}, (0, ide_core_common_1.localize)('statusBarItemHostBackground', 'Background color for the remote indicator on the status bar.'));
exports.STATUS_BAR_HOST_NAME_FOREGROUND = (0, utils_1.registerColor)('statusBarItem.remoteForeground', {
    dark: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    light: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    hcDark: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    hcLight: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
}, (0, ide_core_common_1.localize)('statusBarItemHostForeground', 'Foreground color for the remote indicator on the status bar.'));
exports.EXTENSION_BADGE_REMOTE_BACKGROUND = (0, utils_1.registerColor)('extensionBadge.remoteBackground', {
    dark: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    light: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    hcDark: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
    hcLight: activity_bar_1.ACTIVITY_BAR_BADGE_BACKGROUND,
}, (0, ide_core_common_1.localize)('extensionBadge.remoteBackground', 'Background color for the remote badge in the extensions view.'));
exports.EXTENSION_BADGE_REMOTE_FOREGROUND = (0, utils_1.registerColor)('extensionBadge.remoteForeground', {
    dark: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    light: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    hcDark: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
    hcLight: activity_bar_1.ACTIVITY_BAR_BADGE_FOREGROUND,
}, (0, ide_core_common_1.localize)('extensionBadge.remoteForeground', 'Foreground color for the remote badge in the extensions view.'));
exports.STATUS_BAR_DEBUGGING_BACKGROUND = (0, utils_1.registerColor)('statusBar.debuggingBackground', {
    dark: '#CC6633',
    light: '#CC6633',
    hcDark: '#BA592C',
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('statusBarDebuggingBackground', 'Status bar background color when a program is being debugged. The status bar is shown in the bottom of the window'));
exports.STATUS_BAR_DEBUGGING_FOREGROUND = (0, utils_1.registerColor)('statusBar.debuggingForeground', {
    dark: exports.STATUS_BAR_FOREGROUND,
    light: exports.STATUS_BAR_FOREGROUND,
    hcDark: exports.STATUS_BAR_FOREGROUND,
    hcLight: '#FFFFFF',
}, (0, ide_core_common_1.localize)('statusBarDebuggingForeground', 'Status bar foreground color when a program is being debugged. The status bar is shown in the bottom of the window'));
exports.STATUS_BAR_DEBUGGING_BORDER = (0, utils_1.registerColor)('statusBar.debuggingBorder', {
    dark: exports.STATUS_BAR_BORDER,
    light: exports.STATUS_BAR_BORDER,
    hcDark: exports.STATUS_BAR_BORDER,
    hcLight: exports.STATUS_BAR_BORDER,
}, (0, ide_core_common_1.localize)('statusBarDebuggingBorder', 'Status bar border color separating to the sidebar and editor when a program is being debugged. The status bar is shown in the bottom of the window'));
//# sourceMappingURL=status-bar.js.map