"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TAB_UNFOCUSED_INACTIVE_FOREGROUND = exports.TAB_UNFOCUSED_ACTIVE_FOREGROUND = exports.TAB_INACTIVE_FOREGROUND = exports.TAB_ACTIVE_FOREGROUND = exports.TAB_UNFOCUSED_HOVER_BORDER = exports.TAB_HOVER_BORDER = exports.TAB_UNFOCUSED_INACTIVE_MODIFIED_BORDER = exports.TAB_UNFOCUSED_ACTIVE_MODIFIED_BORDER = exports.TAB_INACTIVE_MODIFIED_BORDER = exports.TAB_ACTIVE_MODIFIED_BORDER = exports.TAB_UNFOCUSED_ACTIVE_BORDER_TOP = exports.TAB_ACTIVE_BORDER_TOP = exports.TAB_UNFOCUSED_ACTIVE_BORDER = exports.TAB_ACTIVE_BORDER = exports.TAB_LAST_PINNED_BORDER = exports.TAB_BORDER = exports.TAB_UNFOCUSED_HOVER_FOREGROUND = exports.TAB_HOVER_FOREGROUND = exports.TAB_UNFOCUSED_HOVER_BACKGROUND = exports.TAB_HOVER_BACKGROUND = exports.TAB_UNFOCUSED_INACTIVE_BACKGROUND = exports.TAB_INACTIVE_BACKGROUND = exports.TAB_UNFOCUSED_ACTIVE_BACKGROUND = exports.TAB_ACTIVE_BACKGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
const base_1 = require("./base");
const basic_color_1 = require("./basic-color");
const editor_1 = require("./editor");
const list_tree_1 = require("./list-tree");
// < --- Tabs --- >
exports.TAB_ACTIVE_BACKGROUND = (0, utils_1.registerColor)('tab.activeBackground', {
    dark: editor_1.editorBackground,
    light: editor_1.editorBackground,
    hcDark: editor_1.editorBackground,
    hcLight: editor_1.editorBackground,
}, (0, ide_core_common_1.localize)('tabActiveBackground', 'Active tab background color in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_ACTIVE_BACKGROUND = (0, utils_1.registerColor)('tab.unfocusedActiveBackground', {
    dark: exports.TAB_ACTIVE_BACKGROUND,
    light: exports.TAB_ACTIVE_BACKGROUND,
    hcDark: exports.TAB_ACTIVE_BACKGROUND,
    hcLight: exports.TAB_ACTIVE_BACKGROUND,
}, (0, ide_core_common_1.localize)('tabUnfocusedActiveBackground', 'Active tab background color in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_INACTIVE_BACKGROUND = (0, utils_1.registerColor)('tab.inactiveBackground', {
    dark: '#2D2D2D',
    light: '#ECECEC',
    hcDark: exports.TAB_UNFOCUSED_ACTIVE_BACKGROUND,
    hcLight: exports.TAB_UNFOCUSED_ACTIVE_BACKGROUND,
}, (0, ide_core_common_1.localize)('tabInactiveBackground', 'Inactive tab background color in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_INACTIVE_BACKGROUND = (0, utils_1.registerColor)('tab.unfocusedInactiveBackground', {
    dark: exports.TAB_INACTIVE_BACKGROUND,
    light: exports.TAB_INACTIVE_BACKGROUND,
    hcDark: exports.TAB_INACTIVE_BACKGROUND,
    hcLight: exports.TAB_INACTIVE_BACKGROUND,
}, (0, ide_core_common_1.localize)('tabUnfocusedInactiveBackground', 'Inactive tab background color in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_HOVER_BACKGROUND = (0, utils_1.registerColor)('tab.hoverBackground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabHoverBackground', 'Tab background color when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_HOVER_BACKGROUND = (0, utils_1.registerColor)('tab.unfocusedHoverBackground', {
    dark: (0, utils_1.transparent)(exports.TAB_HOVER_BACKGROUND, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_HOVER_BACKGROUND, 0.7),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabUnfocusedHoverBackground', 'Tab background color in an unfocused group when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_HOVER_FOREGROUND = (0, utils_1.registerColor)('tab.hoverForeground', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabHoverForeground', 'Tab foreground color when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_HOVER_FOREGROUND = (0, utils_1.registerColor)('tab.unfocusedHoverForeground', {
    dark: (0, utils_1.transparent)(exports.TAB_HOVER_FOREGROUND, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_HOVER_FOREGROUND, 0.5),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabUnfocusedHoverForeground', 'Tab foreground color in an unfocused group when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_BORDER = (0, utils_1.registerColor)('tab.border', {
    dark: '#252526',
    light: '#F3F3F3',
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('tabBorder', 'Border to separate tabs from each other. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_LAST_PINNED_BORDER = (0, utils_1.registerColor)('tab.lastPinnedBorder', {
    dark: list_tree_1.treeIndentGuidesStroke,
    light: list_tree_1.treeIndentGuidesStroke,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('lastPinnedTabBorder', 'Border to separate pinned tabs from other tabs. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_ACTIVE_BORDER = (0, utils_1.registerColor)('tab.activeBorder', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabActiveBorder', 'Border on the bottom of an active tab. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_ACTIVE_BORDER = (0, utils_1.registerColor)('tab.unfocusedActiveBorder', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_BORDER, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_BORDER, 0.7),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabActiveUnfocusedBorder', 'Border on the bottom of an active tab in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_ACTIVE_BORDER_TOP = (0, utils_1.registerColor)('tab.activeBorderTop', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('tabActiveBorderTop', 'Border to the top of an active tab. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_ACTIVE_BORDER_TOP = (0, utils_1.registerColor)('tab.unfocusedActiveBorderTop', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_BORDER_TOP, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_BORDER_TOP, 0.7),
    hcDark: null,
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('tabActiveUnfocusedBorderTop', 'Border to the top of an active tab in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_ACTIVE_MODIFIED_BORDER = (0, utils_1.registerColor)('tab.activeModifiedBorder', {
    dark: '#3399CC',
    light: '#33AAEE',
    hcDark: null,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('tabActiveModifiedBorder', 'Border on the top of modified active tabs in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_INACTIVE_MODIFIED_BORDER = (0, utils_1.registerColor)('tab.inactiveModifiedBorder', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_MODIFIED_BORDER, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_MODIFIED_BORDER, 0.5),
    hcDark: color_1.Color.white,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('tabInactiveModifiedBorder', 'Border on the top of modified inactive tabs in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_ACTIVE_MODIFIED_BORDER = (0, utils_1.registerColor)('tab.unfocusedActiveModifiedBorder', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_MODIFIED_BORDER, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_MODIFIED_BORDER, 0.7),
    hcDark: color_1.Color.white,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('unfocusedActiveModifiedBorder', 'Border on the top of modified active tabs in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_INACTIVE_MODIFIED_BORDER = (0, utils_1.registerColor)('tab.unfocusedInactiveModifiedBorder', {
    dark: (0, utils_1.transparent)(exports.TAB_INACTIVE_MODIFIED_BORDER, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_INACTIVE_MODIFIED_BORDER, 0.5),
    hcDark: color_1.Color.white,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('unfocusedINactiveModifiedBorder', 'Border on the top of modified inactive tabs in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_HOVER_BORDER = (0, utils_1.registerColor)('tab.hoverBorder', {
    dark: null,
    light: null,
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('tabHoverBorder', 'Border to highlight tabs when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_HOVER_BORDER = (0, utils_1.registerColor)('tab.unfocusedHoverBorder', {
    dark: (0, utils_1.transparent)(exports.TAB_HOVER_BORDER, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_HOVER_BORDER, 0.7),
    hcDark: null,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('tabUnfocusedHoverBorder', 'Border to highlight tabs in an unfocused group when hovering. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_ACTIVE_FOREGROUND = (0, utils_1.registerColor)('tab.activeForeground', {
    dark: color_1.Color.white,
    light: '#333333',
    hcDark: basic_color_1.hcActiveBorderColor,
    hcLight: basic_color_1.hcActiveBorderColor,
}, (0, ide_core_common_1.localize)('tabActiveForeground', 'Active tab foreground color in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_INACTIVE_FOREGROUND = (0, utils_1.registerColor)('tab.inactiveForeground', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_FOREGROUND, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_FOREGROUND, 0.7),
    hcDark: color_1.Color.white,
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('tabInactiveForeground', 'Inactive tab foreground color in an active group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_ACTIVE_FOREGROUND = (0, utils_1.registerColor)('tab.unfocusedActiveForeground', {
    dark: (0, utils_1.transparent)(exports.TAB_ACTIVE_FOREGROUND, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_ACTIVE_FOREGROUND, 0.7),
    hcDark: color_1.Color.white,
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('tabUnfocusedActiveForeground', 'Active tab foreground color in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
exports.TAB_UNFOCUSED_INACTIVE_FOREGROUND = (0, utils_1.registerColor)('tab.unfocusedInactiveForeground', {
    dark: (0, utils_1.transparent)(exports.TAB_INACTIVE_FOREGROUND, 0.5),
    light: (0, utils_1.transparent)(exports.TAB_INACTIVE_FOREGROUND, 0.5),
    hcDark: color_1.Color.white,
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('tabUnfocusedInactiveForeground', 'Inactive tab foreground color in an unfocused group. Tabs are the containers for editors in the editor area. Multiple tabs can be opened in one editor group. There can be multiple editor groups.'));
//# sourceMappingURL=tab.js.map