"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testingPeekHeaderBackground = exports.testingPeekBorder = exports.testingColorIconSkipped = exports.testingColorIconUnset = exports.testingColorIconQueued = exports.testingColorRunAction = exports.testingColorIconPassed = exports.testingColorIconErrored = exports.testingColorIconFailed = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
const editor_1 = require("./editor");
exports.testingColorIconFailed = (0, utils_1.registerColor)('testing.iconFailed', {
    dark: '#f14c4c',
    light: '#f14c4c',
    hcDark: '#f14c4c',
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('testing.iconFailed', "Color for the 'failed' icon in the test explorer."));
exports.testingColorIconErrored = (0, utils_1.registerColor)('testing.iconErrored', {
    dark: '#f14c4c',
    light: '#f14c4c',
    hcDark: '#f14c4c',
    hcLight: '#B5200D',
}, (0, ide_core_common_1.localize)('testing.iconErrored', "Color for the 'Errored' icon in the test explorer."));
exports.testingColorIconPassed = (0, utils_1.registerColor)('testing.iconPassed', {
    dark: '#73c991',
    light: '#73c991',
    hcDark: '#73c991',
    hcLight: '#007100',
}, (0, ide_core_common_1.localize)('testing.iconPassed', "Color for the 'passed' icon in the test explorer."));
exports.testingColorRunAction = (0, utils_1.registerColor)('testing.runAction', {
    dark: exports.testingColorIconPassed,
    light: exports.testingColorIconPassed,
    hcDark: exports.testingColorIconPassed,
    hcLight: exports.testingColorIconPassed,
}, (0, ide_core_common_1.localize)('testing.runAction', "Color for 'run' icons in the editor."));
exports.testingColorIconQueued = (0, utils_1.registerColor)('testing.iconQueued', {
    dark: '#cca700',
    light: '#cca700',
    hcDark: '#cca700',
    hcLight: '#cca700',
}, (0, ide_core_common_1.localize)('testing.iconQueued', "Color for the 'Queued' icon in the test explorer."));
exports.testingColorIconUnset = (0, utils_1.registerColor)('testing.iconUnset', {
    dark: '#848484',
    light: '#848484',
    hcDark: '#848484',
    hcLight: '#848484',
}, (0, ide_core_common_1.localize)('testing.iconUnset', "Color for the 'Unset' icon in the test explorer."));
exports.testingColorIconSkipped = (0, utils_1.registerColor)('testing.iconSkipped', {
    dark: '#848484',
    light: '#848484',
    hcDark: '#848484',
    hcLight: '#848484',
}, (0, ide_core_common_1.localize)('testing.iconSkipped', "Color for the 'Skipped' icon in the test explorer."));
exports.testingPeekBorder = (0, utils_1.registerColor)('testing.peekBorder', {
    dark: editor_1.editorErrorForeground,
    light: editor_1.editorErrorForeground,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('testing.peekBorder', 'Color of the peek view borders and arrow.'));
exports.testingPeekHeaderBackground = (0, utils_1.registerColor)('testing.peekHeaderBackground', {
    dark: (0, utils_1.transparent)(editor_1.editorErrorForeground, 0.1),
    light: (0, utils_1.transparent)(editor_1.editorErrorForeground, 0.1),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('testing.peekBorder', 'Color of the peek view borders and arrow.'));
//# sourceMappingURL=testing.js.map