"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textCodeBlockBackground = exports.textBlockQuoteBorder = exports.textBlockQuoteBackground = exports.textPreformatForeground = exports.textLinkActiveForeground = exports.textLinkForeground = exports.textSeparatorForeground = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const color_1 = require("../../common/color");
const utils_1 = require("../utils");
// ------ text colors
exports.textSeparatorForeground = (0, utils_1.registerColor)('textSeparator.foreground', { light: '#0000002e', dark: '#ffffff2e', hcDark: color_1.Color.black, hcLight: '#292929' }, (0, ide_core_common_1.localize)('textSeparatorForeground', 'Color for text separators.'));
exports.textLinkForeground = (0, utils_1.registerColor)('textLink.foreground', { light: '#006AB1', dark: '#3794FF', hcDark: '#3794FF', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('textLinkForeground', 'Foreground color for links in text.'));
exports.textLinkActiveForeground = (0, utils_1.registerColor)('textLink.activeForeground', { light: '#006AB1', dark: '#3794FF', hcDark: '#3794FF', hcLight: '#0F4A85' }, (0, ide_core_common_1.localize)('textLinkActiveForeground', 'Foreground color for links in text when clicked on and on mouse hover.'));
exports.textPreformatForeground = (0, utils_1.registerColor)('textPreformat.foreground', { light: '#A31515', dark: '#D7BA7D', hcDark: '#D7BA7D', hcLight: '#292929' }, (0, ide_core_common_1.localize)('textPreformatForeground', 'Foreground color for preformatted text segments.'));
exports.textBlockQuoteBackground = (0, utils_1.registerColor)('textBlockQuote.background', { light: '#7f7f7f1a', dark: '#7f7f7f1a', hcDark: null, hcLight: '#F2F2F2' }, (0, ide_core_common_1.localize)('textBlockQuoteBackground', 'Background color for block quotes in text.'));
exports.textBlockQuoteBorder = (0, utils_1.registerColor)('textBlockQuote.border', { light: '#007acc80', dark: '#007acc80', hcDark: color_1.Color.white, hcLight: '#292929' }, (0, ide_core_common_1.localize)('textBlockQuoteBorder', 'Border color for block quotes in text.'));
exports.textCodeBlockBackground = (0, utils_1.registerColor)('textCodeBlock.background', { light: '#dcdcdc66', dark: '#0a0a0a66', hcDark: color_1.Color.black, hcLight: '#F2F2F2' }, (0, ide_core_common_1.localize)('textCodeBlockBackground', 'Background color for code blocks in text.'));
//# sourceMappingURL=text.js.map