"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TITLE_BAR_BORDER = exports.TITLE_BAR_INACTIVE_BACKGROUND = exports.TITLE_BAR_ACTIVE_BACKGROUND = exports.TITLE_BAR_INACTIVE_FOREGROUND = exports.TITLE_BAR_ACTIVE_FOREGROUND = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const utils_1 = require("../utils");
const base_1 = require("./base");
// < --- Title Bar --- >
exports.TITLE_BAR_ACTIVE_FOREGROUND = (0, utils_1.registerColor)('titleBar.activeForeground', {
    dark: '#CCCCCC',
    light: '#333333',
    hcDark: '#FFFFFF',
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('titleBarActiveForeground', 'Title bar foreground when the window is active.'));
exports.TITLE_BAR_INACTIVE_FOREGROUND = (0, utils_1.registerColor)('titleBar.inactiveForeground', {
    dark: (0, utils_1.transparent)(exports.TITLE_BAR_ACTIVE_FOREGROUND, 0.6),
    light: (0, utils_1.transparent)(exports.TITLE_BAR_ACTIVE_FOREGROUND, 0.6),
    hcDark: null,
    hcLight: '#292929',
}, (0, ide_core_common_1.localize)('titleBarInactiveForeground', 'Title bar foreground when the window is inactive.'));
exports.TITLE_BAR_ACTIVE_BACKGROUND = (0, utils_1.registerColor)('titleBar.activeBackground', {
    dark: '#3C3C3C',
    light: '#DDDDDD',
    hcDark: '#000000',
    hcLight: '#FFFFFF',
}, (0, ide_core_common_1.localize)('titleBarActiveBackground', 'Title bar background when the window is active.'));
exports.TITLE_BAR_INACTIVE_BACKGROUND = (0, utils_1.registerColor)('titleBar.inactiveBackground', {
    dark: (0, utils_1.transparent)(exports.TITLE_BAR_ACTIVE_BACKGROUND, 0.6),
    light: (0, utils_1.transparent)(exports.TITLE_BAR_ACTIVE_BACKGROUND, 0.6),
    hcDark: null,
    hcLight: null,
}, (0, ide_core_common_1.localize)('titleBarInactiveBackground', 'Title bar background when the window is inactive.'));
exports.TITLE_BAR_BORDER = (0, utils_1.registerColor)('titleBar.border', {
    dark: null,
    light: null,
    hcDark: base_1.contrastBorder,
    hcLight: base_1.contrastBorder,
}, (0, ide_core_common_1.localize)('titleBarBorder', 'Title bar border color.'));
//# sourceMappingURL=title-bar.js.map