"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sumiIconIdentifier = exports.codIconIdentifier = void 0;
const ide_core_common_1 = require("@opensumi/ide-core-common");
const codicons_1 = require("@opensumi/ide-core-common/lib/codicons");
// https://code.visualstudio.com/api/references/icons-in-labels#icon-listing
exports.codIconIdentifier = {
    'accounts-view-bar-icon': {
        defaults: codicons_1.Codicon.account,
        description: (0, ide_core_common_1.localize)('account', 'Accounts icon in the view bar.'),
    },
    'breakpoints-activate': {
        defaults: codicons_1.Codicon.activateBreakpoints,
        description: (0, ide_core_common_1.localize)('activateBreakpoints', 'Icon for the activate action in the breakpoints view.'),
    },
    'breakpoints-remove-all': {
        defaults: codicons_1.Codicon.closeAll,
        description: (0, ide_core_common_1.localize)('closeAll', 'Icon for the Remove All action in the breakpoints view.'),
    },
    'breakpoints-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the breakpoints view.'),
    },
    'callhierarchy-incoming': {
        defaults: codicons_1.Codicon.callIncoming,
        description: (0, ide_core_common_1.localize)('callIncoming', 'Icon for incoming calls in the call hierarchy view.'),
    },
    'callhierarchy-outgoing': {
        defaults: codicons_1.Codicon.callOutgoing,
        description: (0, ide_core_common_1.localize)('callOutgoing', 'Icon for outgoing calls in the call hierarchy view.'),
    },
    'callstack-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the call stack view.'),
    },
    'callstack-view-session': {
        defaults: codicons_1.Codicon.bug,
        description: (0, ide_core_common_1.localize)('bug', 'Icon for the session icon in the call stack view.'),
    },
    'chat-editor-label-icon': {
        defaults: codicons_1.Codicon.commentDiscussion,
        description: (0, ide_core_common_1.localize)('commentDiscussion', 'Icon of the chat editor label.'),
    },
    'comments-view-icon': {
        defaults: codicons_1.Codicon.commentDiscussion,
        description: (0, ide_core_common_1.localize)('commentDiscussion', 'View icon of the comments view.'),
    },
    'debug-breakpoint': {
        defaults: codicons_1.Codicon.debugBreakpoint,
        description: (0, ide_core_common_1.localize)('debugBreakpoint', 'Icon for breakpoints.'),
    },
    'debug-breakpoint-conditional': {
        defaults: codicons_1.Codicon.debugBreakpointConditional,
        description: (0, ide_core_common_1.localize)('debugBreakpointConditional', 'Icon for conditional breakpoints.'),
    },
    'debug-breakpoint-conditional-disabled': {
        defaults: codicons_1.Codicon.debugBreakpointConditionalDisabled,
        description: (0, ide_core_common_1.localize)('debugBreakpointConditionalDisabled', 'Icon for disabled conditional breakpoints.'),
    },
    'debug-breakpoint-conditional-unverified': {
        defaults: codicons_1.Codicon.debugBreakpointConditionalUnverified,
        description: (0, ide_core_common_1.localize)('debugBreakpointConditionalUnverified', 'Icon for unverified conditional breakpoints.'),
    },
    'debug-breakpoint-data': {
        defaults: codicons_1.Codicon.debugBreakpointData,
        description: (0, ide_core_common_1.localize)('debugBreakpointData', 'Icon for data breakpoints.'),
    },
    'debug-breakpoint-data-disabled': {
        defaults: codicons_1.Codicon.debugBreakpointDataDisabled,
        description: (0, ide_core_common_1.localize)('debugBreakpointDataDisabled', 'Icon for disabled data breakpoints.'),
    },
    'debug-breakpoint-data-unverified': {
        defaults: codicons_1.Codicon.debugBreakpointDataUnverified,
        description: (0, ide_core_common_1.localize)('debugBreakpointDataUnverified', 'Icon for unverified data breakpoints.'),
    },
    'debug-breakpoint-disabled': {
        defaults: codicons_1.Codicon.debugBreakpointDisabled,
        description: (0, ide_core_common_1.localize)('debugBreakpointDisabled', 'Icon for disabled breakpoints.'),
    },
    'debug-breakpoint-function': {
        defaults: codicons_1.Codicon.debugBreakpointFunction,
        description: (0, ide_core_common_1.localize)('debugBreakpointFunction', 'Icon for function breakpoints.'),
    },
    'debug-breakpoint-function-disabled': {
        defaults: codicons_1.Codicon.debugBreakpointFunctionDisabled,
        description: (0, ide_core_common_1.localize)('debugBreakpointFunctionDisabled', 'Icon for disabled function breakpoints.'),
    },
    'debug-breakpoint-function-unverified': {
        defaults: codicons_1.Codicon.debugBreakpointFunctionUnverified,
        description: (0, ide_core_common_1.localize)('debugBreakpointFunctionUnverified', 'Icon for unverified function breakpoints.'),
    },
    'debug-breakpoint-log': {
        defaults: codicons_1.Codicon.debugBreakpointLog,
        description: (0, ide_core_common_1.localize)('debugBreakpointLog', 'Icon for log breakpoints.'),
    },
    'debug-breakpoint-log-disabled': {
        defaults: codicons_1.Codicon.debugBreakpointLogDisabled,
        description: (0, ide_core_common_1.localize)('debugBreakpointLogDisabled', 'Icon for disabled log breakpoint.'),
    },
    'debug-breakpoint-log-unverified': {
        defaults: codicons_1.Codicon.debugBreakpointLogUnverified,
        description: (0, ide_core_common_1.localize)('debugBreakpointLogUnverified', 'Icon for unverified log breakpoints.'),
    },
    'debug-breakpoint-unsupported': {
        defaults: codicons_1.Codicon.debugBreakpointUnsupported,
        description: (0, ide_core_common_1.localize)('debugBreakpointUnsupported', 'Icon for unsupported breakpoints.'),
    },
    'debug-breakpoint-unverified': {
        defaults: codicons_1.Codicon.debugBreakpointUnverified,
        description: (0, ide_core_common_1.localize)('debugBreakpointUnverified', 'Icon for unverified breakpoints.'),
    },
    'debug-collapse-all': {
        defaults: codicons_1.Codicon.collapseAll,
        description: (0, ide_core_common_1.localize)('collapseAll', 'Icon for the collapse all action in the debug views.'),
    },
    'debug-configure': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', 'Icon for the debug configure action.'),
    },
    'debug-console': {
        defaults: codicons_1.Codicon.debugConsole,
        description: (0, ide_core_common_1.localize)('debugConsole', 'Icon for the debug console open action.'),
    },
    'debug-console-clear-all': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', 'Icon for the clear all action in the debug console.'),
    },
    'debug-console-evaluation-input': {
        defaults: codicons_1.Codicon.arrowSmallRight,
        description: (0, ide_core_common_1.localize)('arrowSmallRight', 'Icon for the debug evaluation input marker.'),
    },
    'debug-console-evaluation-prompt': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon for the debug evaluation prompt.'),
    },
    'debug-console-view-icon': {
        defaults: codicons_1.Codicon.debugConsole,
        description: (0, ide_core_common_1.localize)('debugConsole', 'View icon of the debug console view.'),
    },
    'debug-continue': {
        defaults: codicons_1.Codicon.debugContinue,
        description: (0, ide_core_common_1.localize)('debugContinue', 'Icon for the debug continue action.'),
    },
    'debug-disconnect': {
        defaults: codicons_1.Codicon.debugDisconnect,
        description: (0, ide_core_common_1.localize)('debugDisconnect', 'Icon for the debug disconnect action.'),
    },
    'debug-gripper': {
        defaults: codicons_1.Codicon.gripper,
        description: (0, ide_core_common_1.localize)('gripper', 'Icon for the debug bar gripper.'),
    },
    'debug-hint': {
        defaults: codicons_1.Codicon.debugHint,
        description: (0, ide_core_common_1.localize)('debugHint', 'Icon for breakpoint hints shown on hover in editor glyph margin.'),
    },
    'debug-pause': {
        defaults: codicons_1.Codicon.debugPause,
        description: (0, ide_core_common_1.localize)('debugPause', 'Icon for the debug pause action.'),
    },
    'debug-restart': {
        defaults: codicons_1.Codicon.debugRestart,
        description: (0, ide_core_common_1.localize)('debugRestart', 'Icon for the debug restart action.'),
    },
    'debug-restart-frame': {
        defaults: codicons_1.Codicon.debugRestartFrame,
        description: (0, ide_core_common_1.localize)('debugRestartFrame', 'Icon for the debug restart frame action.'),
    },
    'debug-reverse-continue': {
        defaults: codicons_1.Codicon.debugReverseContinue,
        description: (0, ide_core_common_1.localize)('debugReverseContinue', 'Icon for the debug reverse continue action.'),
    },
    'debug-stackframe': {
        defaults: codicons_1.Codicon.debugStackframe,
        description: (0, ide_core_common_1.localize)('debugStackframe', 'Icon for a stackframe shown in the editor glyph margin.'),
    },
    'debug-stackframe-focused': {
        defaults: codicons_1.Codicon.debugStackframeFocused,
        description: (0, ide_core_common_1.localize)('debugStackframeFocused', 'Icon for a focused stackframe shown in the editor glyph margin.'),
    },
    'debug-start': {
        defaults: codicons_1.Codicon.debugStart,
        description: (0, ide_core_common_1.localize)('debugStart', 'Icon for the debug start action.'),
    },
    'debug-step-back': {
        defaults: codicons_1.Codicon.debugStepBack,
        description: (0, ide_core_common_1.localize)('debugStepBack', 'Icon for the debug step back action.'),
    },
    'debug-step-into': {
        defaults: codicons_1.Codicon.debugStepInto,
        description: (0, ide_core_common_1.localize)('debugStepInto', 'Icon for the debug step into action.'),
    },
    'debug-step-out': {
        defaults: codicons_1.Codicon.debugStepOut,
        description: (0, ide_core_common_1.localize)('debugStepOut', 'Icon for the debug step out action.'),
    },
    'debug-step-over': {
        defaults: codicons_1.Codicon.debugStepOver,
        description: (0, ide_core_common_1.localize)('debugStepOver', 'Icon for the debug step over action.'),
    },
    'debug-stop': {
        defaults: codicons_1.Codicon.debugStop,
        description: (0, ide_core_common_1.localize)('debugStop', 'Icon for the debug stop action.'),
    },
    'default-view-icon': {
        defaults: codicons_1.Codicon.window,
        description: (0, ide_core_common_1.localize)('window', 'Default view icon.'),
    },
    'diff-editor-next-change': {
        defaults: codicons_1.Codicon.arrowDown,
        description: (0, ide_core_common_1.localize)('arrowDown', 'Icon for the next change action in the diff editor.'),
    },
    'diff-editor-previous-change': {
        defaults: codicons_1.Codicon.arrowUp,
        description: (0, ide_core_common_1.localize)('arrowUp', 'Icon for the previous change action in the diff editor.'),
    },
    'diff-editor-toggle-whitespace': {
        defaults: codicons_1.Codicon.whitespace,
        description: (0, ide_core_common_1.localize)('whitespace', 'Icon for the toggle whitespace action in the diff editor.'),
    },
    'diff-insert': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Line decoration for inserts in the diff editor.'),
    },
    'diff-remove': {
        defaults: codicons_1.Codicon.remove,
        description: (0, ide_core_common_1.localize)('remove', 'Line decoration for removals in the diff editor.'),
    },
    'diff-review-close': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', "Icon for 'Close' in diff review."),
    },
    'diff-review-insert': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', "Icon for 'Insert' in diff review."),
    },
    'diff-review-remove': {
        defaults: codicons_1.Codicon.remove,
        description: (0, ide_core_common_1.localize)('remove', "Icon for 'Remove' in diff review."),
    },
    'disassembly-editor-label-icon': {
        defaults: codicons_1.Codicon.debug,
        description: (0, ide_core_common_1.localize)('debug', 'Icon of the disassembly editor label.'),
    },
    'explorer-view-icon': {
        defaults: codicons_1.Codicon.files,
        description: (0, ide_core_common_1.localize)('files', 'View icon of the explorer view.'),
    },
    'extensions-clear-search-results': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', "Icon for the 'Clear Search Result' action in the extensions view."),
    },
    'extensions-configure-recommended': {
        defaults: codicons_1.Codicon.pencil,
        description: (0, ide_core_common_1.localize)('pencil', "Icon for the 'Configure Recommended Extensions' action in the extensions view."),
    },
    'extensions-editor-label-icon': {
        defaults: codicons_1.Codicon.extensions,
        description: (0, ide_core_common_1.localize)('extensions', 'Icon of the extension editor label.'),
    },
    'extensions-filter': {
        defaults: codicons_1.Codicon.filter,
        description: (0, ide_core_common_1.localize)('filter', "Icon for the 'Filter' action in the extensions view."),
    },
    'extensions-info-message': {
        defaults: codicons_1.Codicon.info,
        description: (0, ide_core_common_1.localize)('info', 'Icon shown with an info message in the extensions editor.'),
    },
    'extensions-install-count': {
        defaults: codicons_1.Codicon.cloudDownload,
        description: (0, ide_core_common_1.localize)('cloudDownload', 'Icon shown along with the install count in the extensions view and editor.'),
    },
    'extensions-install-local-in-remote': {
        defaults: codicons_1.Codicon.cloudDownload,
        description: (0, ide_core_common_1.localize)('cloudDownload', "Icon for the 'Install Local Extension in Remote' action in the extensions view."),
    },
    'extensions-install-workspace-recommended': {
        defaults: codicons_1.Codicon.cloudDownload,
        description: (0, ide_core_common_1.localize)('cloudDownload', "Icon for the 'Install Workspace Recommended Extensions' action in the extensions view."),
    },
    'extensions-manage': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', "Icon for the 'Manage' action in the extensions view."),
    },
    'extensions-rating': {
        defaults: codicons_1.Codicon.star,
        description: (0, ide_core_common_1.localize)('star', 'Icon shown along with the rating in the extensions view and editor.'),
    },
    'extensions-refresh': {
        defaults: codicons_1.Codicon.refresh,
        description: (0, ide_core_common_1.localize)('refresh', "Icon for the 'Refresh' action in the extensions view."),
    },
    'extensions-remote': {
        defaults: codicons_1.Codicon.remote,
        description: (0, ide_core_common_1.localize)('remote', 'Icon to indicate that an extension is remote in the extensions view and editor.'),
    },
    'extensions-star-empty': {
        defaults: codicons_1.Codicon.starEmpty,
        description: (0, ide_core_common_1.localize)('starEmpty', 'Empty star icon used for the rating in the extensions editor.'),
    },
    'extensions-star-full': {
        defaults: codicons_1.Codicon.starFull,
        description: (0, ide_core_common_1.localize)('starFull', 'Full star icon used for the rating in the extensions editor.'),
    },
    'extensions-star-half': {
        defaults: codicons_1.Codicon.starHalf,
        description: (0, ide_core_common_1.localize)('starHalf', 'Half star icon used for the rating in the extensions editor.'),
    },
    'extensions-sync-enabled': {
        defaults: codicons_1.Codicon.sync,
        description: (0, ide_core_common_1.localize)('sync', 'Icon to indicate that an extension is synced.'),
    },
    'extensions-sync-ignored': {
        defaults: codicons_1.Codicon.syncIgnored,
        description: (0, ide_core_common_1.localize)('syncIgnored', 'Icon to indicate that an extension is ignored when syncing.'),
    },
    'extensions-view-icon': {
        defaults: codicons_1.Codicon.extensions,
        description: (0, ide_core_common_1.localize)('extensions', 'View icon of the extensions view.'),
    },
    'extensions-warning-message': {
        defaults: codicons_1.Codicon.warning,
        description: (0, ide_core_common_1.localize)('warning', 'Icon shown with a warning message in the extensions editor.'),
    },
    'find-collapsed': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon to indicate that the editor find widget is collapsed.'),
    },
    'find-expanded': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon to indicate that the editor find widget is expanded.'),
    },
    'find-next-match': {
        defaults: codicons_1.Codicon.arrowDown,
        description: (0, ide_core_common_1.localize)('arrowDown', "Icon for 'Find Next' in the editor find widget."),
    },
    'find-previous-match': {
        defaults: codicons_1.Codicon.arrowUp,
        description: (0, ide_core_common_1.localize)('arrowUp', "Icon for 'Find Previous' in the editor find widget."),
    },
    'find-replace': {
        defaults: codicons_1.Codicon.replace,
        description: (0, ide_core_common_1.localize)('replace', "Icon for 'Replace' in the editor find widget."),
    },
    'find-replace-all': {
        defaults: codicons_1.Codicon.replaceAll,
        description: (0, ide_core_common_1.localize)('replaceAll', "Icon for 'Replace All' in the editor find widget."),
    },
    'find-selection': {
        defaults: codicons_1.Codicon.selection,
        description: (0, ide_core_common_1.localize)('selection', "Icon for 'Find in Selection' in the editor find widget."),
    },
    'folding-collapsed': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon for collapsed ranges in the editor glyph margin.'),
    },
    'folding-expanded': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for expanded ranges in the editor glyph margin.'),
    },
    'getting-started-beginner': {
        defaults: codicons_1.Codicon.lightbulb,
        description: (0, ide_core_common_1.localize)('lightbulb', 'Icon used for the beginner category of getting started'),
    },
    'getting-started-codespaces': {
        defaults: codicons_1.Codicon.github,
        description: (0, ide_core_common_1.localize)('github', 'Icon used for the codespaces category of getting started'),
    },
    'getting-started-item-checked': {
        defaults: codicons_1.Codicon.passFilled,
        description: (0, ide_core_common_1.localize)('passFilled', 'Used to represent getting started items which have been completed'),
    },
    'getting-started-item-unchecked': {
        defaults: codicons_1.Codicon.circleLargeOutline,
        description: (0, ide_core_common_1.localize)('circleLargeOutline', 'Used to represent getting started items which have not been completed'),
    },
    'getting-started-setup': {
        defaults: codicons_1.Codicon.heart,
        description: (0, ide_core_common_1.localize)('heart', 'Icon used for the setup category of getting started'),
    },
    'goto-next-location': {
        defaults: codicons_1.Codicon.arrowDown,
        description: (0, ide_core_common_1.localize)('arrowDown', 'Icon for goto next editor location.'),
    },
    'goto-previous-location': {
        defaults: codicons_1.Codicon.arrowUp,
        description: (0, ide_core_common_1.localize)('arrowUp', 'Icon for goto previous editor location.'),
    },
    'keybindings-add': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Icon for the add action in the keybinding UI.'),
    },
    'keybindings-edit': {
        defaults: codicons_1.Codicon.edit,
        description: (0, ide_core_common_1.localize)('edit', 'Icon for the edit action in the keybinding UI.'),
    },
    'keybindings-editor-label-icon': {
        defaults: codicons_1.Codicon.keyboard,
        description: (0, ide_core_common_1.localize)('keyboard', 'Icon of the keybindings editor label.'),
    },
    'keybindings-record-keys': {
        defaults: codicons_1.Codicon.recordKeys,
        description: (0, ide_core_common_1.localize)('recordKeys', "Icon for the 'record keys' action in the keybinding UI."),
    },
    'keybindings-sort': {
        defaults: codicons_1.Codicon.sortPrecedence,
        description: (0, ide_core_common_1.localize)('sortPrecedence', "Icon for the 'sort by precedence' toggle in the keybinding UI."),
    },
    'loaded-scripts-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the loaded scripts view.'),
    },
    'marker-navigation-next': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for goto next marker.'),
    },
    'marker-navigation-previous': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon for goto previous marker.'),
    },
    'markers-view-filter': {
        defaults: codicons_1.Codicon.filter,
        description: (0, ide_core_common_1.localize)('filter', 'Icon for the filter configuration in the markers view.'),
    },
    'markers-view-icon': {
        defaults: codicons_1.Codicon.warning,
        description: (0, ide_core_common_1.localize)('warning', 'View icon of the markers view.'),
    },
    'markers-view-multi-line-collapsed': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon indicating that multiple lines are collapsed in the markers view.'),
    },
    'markers-view-multi-line-expanded': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon indicating that multiple lines are shown in the markers view.'),
    },
    // 'multi-diff-editor-label-icon': {
    //   defaults:Codicon.diffMultiple,
    //   description: localize('diffMultiple','Icon of the multi diff editor label.'),
    // },
    'notebook-clear': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', 'Icon to clear cell outputs in notebook editors.'),
    },
    'notebook-collapsed': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon to annotate a collapsed section in notebook editors.'),
    },
    'notebook-delete-cell': {
        defaults: codicons_1.Codicon.trash,
        description: (0, ide_core_common_1.localize)('trash', 'Icon to delete a cell in notebook editors.'),
    },
    'notebook-edit': {
        defaults: codicons_1.Codicon.pencil,
        description: (0, ide_core_common_1.localize)('pencil', 'Icon to edit a cell in notebook editors.'),
    },
    'notebook-execute': {
        defaults: codicons_1.Codicon.play,
        description: (0, ide_core_common_1.localize)('play', 'Icon to execute in notebook editors.'),
    },
    'notebook-execute-all': {
        defaults: codicons_1.Codicon.runAll,
        description: (0, ide_core_common_1.localize)('runAll', 'Icon to execute all cells in notebook editors.'),
    },
    'notebook-expanded': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon to annotate an expanded section in notebook editors.'),
    },
    'notebook-kernel-configure': {
        defaults: codicons_1.Codicon.settingsGear,
        description: (0, ide_core_common_1.localize)('settingsGear', 'Configure icon in kernel configuration widget in notebook editors.'),
    },
    'notebook-kernel-select': {
        defaults: codicons_1.Codicon.serverEnvironment,
        description: (0, ide_core_common_1.localize)('serverEnvironment', 'Configure icon to select a kernel in notebook editors.'),
    },
    'notebook-mimetype': {
        defaults: codicons_1.Codicon.code,
        description: (0, ide_core_common_1.localize)('code', 'Icon for a mime type in notebook editors.'),
    },
    'notebook-move-down': {
        defaults: codicons_1.Codicon.arrowDown,
        description: (0, ide_core_common_1.localize)('arrowDown', 'Icon to move down a cell in notebook editors.'),
    },
    'notebook-move-up': {
        defaults: codicons_1.Codicon.arrowUp,
        description: (0, ide_core_common_1.localize)('arrowUp', 'Icon to move up a cell in notebook editors.'),
    },
    'notebook-open-as-text': {
        defaults: codicons_1.Codicon.fileCode,
        description: (0, ide_core_common_1.localize)('fileCode', 'Icon to open the notebook in a text editor.'),
    },
    'notebook-render-output': {
        defaults: codicons_1.Codicon.preview,
        description: (0, ide_core_common_1.localize)('preview', 'Icon to render output in diff editor.'),
    },
    'notebook-revert': {
        defaults: codicons_1.Codicon.discard,
        description: (0, ide_core_common_1.localize)('discard', 'Icon to revert in notebook editors.'),
    },
    'notebook-split-cell': {
        defaults: codicons_1.Codicon.splitVertical,
        description: (0, ide_core_common_1.localize)('splitVertical', 'Icon to split a cell in notebook editors.'),
    },
    'notebook-state-error': {
        defaults: codicons_1.Codicon.error,
        description: (0, ide_core_common_1.localize)('error', 'Icon to indicate an error state in notebook editors.'),
    },
    'notebook-state-success': {
        defaults: codicons_1.Codicon.check,
        description: (0, ide_core_common_1.localize)('check', 'Icon to indicate a success state in notebook editors.'),
    },
    'notebook-stop': {
        defaults: codicons_1.Codicon.primitiveSquare,
        description: (0, ide_core_common_1.localize)('primitiveSquare', 'Icon to stop an execution in notebook editors.'),
    },
    'notebook-stop-edit': {
        defaults: codicons_1.Codicon.check,
        description: (0, ide_core_common_1.localize)('check', 'Icon to stop editing a cell in notebook editors.'),
    },
    'notebook-unfold': {
        defaults: codicons_1.Codicon.unfold,
        description: (0, ide_core_common_1.localize)('unfold', 'Icon to unfold a cell in notebook editors.'),
    },
    'notifications-clear': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon for the clear action in notifications.'),
    },
    'notifications-clear-all': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', 'Icon for the clear all action in notifications.'),
    },
    'notifications-collapse': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for the collapse action in notifications.'),
    },
    'notifications-configure': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', 'Icon for the configure action in notifications.'),
    },
    'notifications-expand': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon for the expand action in notifications.'),
    },
    'notifications-hide': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for the hide action in notifications.'),
    },
    'open-editors-view-icon': {
        defaults: codicons_1.Codicon.book,
        description: (0, ide_core_common_1.localize)('book', 'View icon of the open editors view.'),
    },
    'outline-view-icon': {
        defaults: codicons_1.Codicon.symbolClass,
        description: (0, ide_core_common_1.localize)('symbolClass', 'View icon of the outline view.'),
    },
    'output-view-icon': {
        defaults: codicons_1.Codicon.output,
        description: (0, ide_core_common_1.localize)('output', 'View icon of the output view.'),
    },
    'panel-close': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon to close a panel.'),
    },
    'panel-maximize': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon to maximize a panel.'),
    },
    'panel-restore': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon to restore a panel.'),
    },
    'parameter-hints-next': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for show next parameter hint.'),
    },
    'parameter-hints-previous': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon for show previous parameter hint.'),
    },
    'ports-forward-icon': {
        defaults: codicons_1.Codicon.plus,
        description: (0, ide_core_common_1.localize)('plus', 'Icon for the forward action.'),
    },
    'ports-open-browser-icon': {
        defaults: codicons_1.Codicon.globe,
        description: (0, ide_core_common_1.localize)('globe', 'Icon for the open browser action.'),
    },
    'ports-stop-forward-icon': {
        defaults: codicons_1.Codicon.x,
        description: (0, ide_core_common_1.localize)('x', 'Icon for the stop forwarding action.'),
    },
    'ports-view-icon': {
        defaults: codicons_1.Codicon.plug,
        description: (0, ide_core_common_1.localize)('plug', 'View icon of the remote ports view.'),
    },
    'preferences-clear-input': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', 'Icon for clear input in the settings and keybinding UI.'),
    },
    'preferences-open-settings': {
        defaults: codicons_1.Codicon.goToFile,
        description: (0, ide_core_common_1.localize)('goToFile', 'Icon for open settings commands.'),
    },
    'private-ports-view-icon': {
        defaults: codicons_1.Codicon.lock,
        description: (0, ide_core_common_1.localize)('lock', 'Icon representing a private remote port.'),
    },
    'public-ports-view-icon': {
        defaults: codicons_1.Codicon.eye,
        description: (0, ide_core_common_1.localize)('eye', 'Icon representing a public remote port.'),
    },
    'refactor-preview-view-icon': {
        defaults: codicons_1.Codicon.lightbulb,
        description: (0, ide_core_common_1.localize)('lightbulb', 'View icon of the refactor preview view.'),
    },
    'remote-explorer-documentation': {
        defaults: codicons_1.Codicon.book,
        description: (0, ide_core_common_1.localize)('book', 'Documentation icon in the remote explorer view.'),
    },
    'remote-explorer-feedback': {
        defaults: codicons_1.Codicon.twitter,
        description: (0, ide_core_common_1.localize)('twitter', 'Feedback icon in the remote explorer view.'),
    },
    'remote-explorer-get-started': {
        defaults: codicons_1.Codicon.star,
        description: (0, ide_core_common_1.localize)('star', 'Getting started icon in the remote explorer view.'),
    },
    'remote-explorer-report-issues': {
        defaults: codicons_1.Codicon.comment,
        description: (0, ide_core_common_1.localize)('comment', 'Report issue icon in the remote explorer view.'),
    },
    'remote-explorer-review-issues': {
        defaults: codicons_1.Codicon.issues,
        description: (0, ide_core_common_1.localize)('issues', 'Review issue icon in the remote explorer view.'),
    },
    'remote-explorer-view-icon': {
        defaults: codicons_1.Codicon.remoteExplorer,
        description: (0, ide_core_common_1.localize)('remoteExplorer', 'View icon of the remote explorer view.'),
    },
    'review-comment-collapse': {
        defaults: codicons_1.Codicon.chevronUp,
        description: (0, ide_core_common_1.localize)('chevronUp', 'Icon to collapse a review comment.'),
    },
    'run-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the Run and Debug view.'),
    },
    'runtime-extensions-editor-label-icon': {
        defaults: codicons_1.Codicon.extensions,
        description: (0, ide_core_common_1.localize)('extensions', 'Icon of the runtime extensions editor label.'),
    },
    'search-clear-results': {
        defaults: codicons_1.Codicon.clearAll,
        description: (0, ide_core_common_1.localize)('clearAll', 'Icon for clear results in the search view.'),
    },
    'search-collapse-results': {
        defaults: codicons_1.Codicon.collapseAll,
        description: (0, ide_core_common_1.localize)('collapseAll', 'Icon for collapse results in the search view.'),
    },
    'search-details': {
        defaults: codicons_1.Codicon.ellipsis,
        description: (0, ide_core_common_1.localize)('ellipsis', 'Icon to make search details visible.'),
    },
    'search-editor-label-icon': {
        defaults: codicons_1.Codicon.search,
        description: (0, ide_core_common_1.localize)('search', 'Icon of the search editor label.'),
    },
    'search-expand-results': {
        defaults: codicons_1.Codicon.expandAll,
        description: (0, ide_core_common_1.localize)('expandAll', 'Icon for expand results in the search view.'),
    },
    'search-hide-replace': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon to collapse the replace section in the search view.'),
    },
    'search-new-editor': {
        defaults: codicons_1.Codicon.newFile,
        description: (0, ide_core_common_1.localize)('newFile', 'Icon for the action to open a new search editor.'),
    },
    'search-refresh': {
        defaults: codicons_1.Codicon.refresh,
        description: (0, ide_core_common_1.localize)('refresh', 'Icon for refresh in the search view.'),
    },
    'search-remove': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon to remove a search result.'),
    },
    'search-replace': {
        defaults: codicons_1.Codicon.replace,
        description: (0, ide_core_common_1.localize)('replace', 'Icon for replace in the search view.'),
    },
    'search-replace-all': {
        defaults: codicons_1.Codicon.replaceAll,
        description: (0, ide_core_common_1.localize)('replaceAll', 'Icon for replace all in the search view.'),
    },
    'search-show-context': {
        defaults: codicons_1.Codicon.listSelection,
        description: (0, ide_core_common_1.localize)('listSelection', 'Icon for toggle the context in the search editor.'),
    },
    'search-show-replace': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon to expand the replace section in the search view.'),
    },
    'search-stop': {
        defaults: codicons_1.Codicon.searchStop,
        description: (0, ide_core_common_1.localize)('searchStop', 'Icon for stop in the search view.'),
    },
    'search-view-icon': {
        defaults: codicons_1.Codicon.search,
        description: (0, ide_core_common_1.localize)('search', 'View icon of the search view.'),
    },
    'settings-add': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Icon for the add action in the Settings UI.'),
    },
    'settings-discard': {
        defaults: codicons_1.Codicon.discard,
        description: (0, ide_core_common_1.localize)('discard', 'Icon for the discard action in the Settings UI.'),
    },
    'settings-edit': {
        defaults: codicons_1.Codicon.edit,
        description: (0, ide_core_common_1.localize)('edit', 'Icon for the edit action in the Settings UI.'),
    },
    'settings-editor-label-icon': {
        defaults: codicons_1.Codicon.settings,
        description: (0, ide_core_common_1.localize)('settings', 'Icon of the settings editor label.'),
    },
    'settings-folder-dropdown': {
        defaults: codicons_1.Codicon.triangleDown,
        description: (0, ide_core_common_1.localize)('triangleDown', 'Icon for the folder dropdown button in the split JSON Settings editor.'),
    },
    'settings-group-collapsed': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon for a collapsed section in the split JSON Settings editor.'),
    },
    'settings-group-expanded': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for an expanded section in the split JSON Settings editor.'),
    },
    'settings-more-action': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', "Icon for the 'more actions' action in the Settings UI."),
    },
    'settings-remove': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon for the remove action in the Settings UI.'),
    },
    'settings-sync-view-icon': {
        defaults: codicons_1.Codicon.sync,
        description: (0, ide_core_common_1.localize)('sync', 'View icon of the Settings Sync view.'),
    },
    'settings-view-bar-icon': {
        defaults: codicons_1.Codicon.settingsGear,
        description: (0, ide_core_common_1.localize)('settingsGear', 'Settings icon in the view bar.'),
    },
    'source-control-view-icon': {
        defaults: codicons_1.Codicon.sourceControl,
        description: (0, ide_core_common_1.localize)('sourceControl', 'View icon of the Source Control view.'),
    },
    'suggest-more-info': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon for more information in the suggest widget.'),
    },
    'tasks-list-configure': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', 'Configuration icon in the tasks selection list.'),
    },
    'tasks-remove': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon for remove in the tasks selection list.'),
    },
    'terminal-kill': {
        defaults: codicons_1.Codicon.trash,
        description: (0, ide_core_common_1.localize)('trash', 'Icon for killing a terminal instance.'),
    },
    'terminal-new': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Icon for creating a new terminal instance.'),
    },
    'terminal-rename': {
        defaults: codicons_1.Codicon.gear,
        description: (0, ide_core_common_1.localize)('gear', 'Icon for rename in the terminal quick menu.'),
    },
    'terminal-view-icon': {
        defaults: codicons_1.Codicon.terminal,
        description: (0, ide_core_common_1.localize)('terminal', 'View icon of the terminal view.'),
    },
    'test-view-icon': {
        defaults: codicons_1.Codicon.beaker,
        description: (0, ide_core_common_1.localize)('beaker', 'View icon of the test view.'),
    },
    'testing-cancel-icon': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon to cancel ongoing test runs.'),
    },
    'testing-debug-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'Icon of the "debug test" action.'),
    },
    'testing-error-icon': {
        defaults: codicons_1.Codicon.warning,
        description: (0, ide_core_common_1.localize)('warning', 'Icon shown for tests that have an error.'),
    },
    'testing-failed-icon': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon shown for tests that failed.'),
    },
    'testing-passed-icon': {
        defaults: codicons_1.Codicon.pass,
        description: (0, ide_core_common_1.localize)('pass', 'Icon shown for tests that passed.'),
    },
    'testing-queued-icon': {
        defaults: codicons_1.Codicon.watch,
        description: (0, ide_core_common_1.localize)('watch', 'Icon shown for tests that are queued.'),
    },
    'testing-run-all-icon': {
        defaults: codicons_1.Codicon.runAll,
        description: (0, ide_core_common_1.localize)('runAll', 'Icon of the "run all tests" action.'),
    },
    'testing-run-icon': {
        defaults: codicons_1.Codicon.run,
        description: (0, ide_core_common_1.localize)('run', 'Icon of the "run test" action.'),
    },
    'testing-show-as-list-icon': {
        defaults: codicons_1.Codicon.listTree,
        description: (0, ide_core_common_1.localize)('listTree', 'Icon shown when the test explorer is disabled as a tree.'),
    },
    'testing-skipped-icon': {
        defaults: codicons_1.Codicon.debugStepOver,
        description: (0, ide_core_common_1.localize)('debugStepOver', 'Icon shown for tests that are skipped.'),
    },
    'testing-unset-icon': {
        defaults: codicons_1.Codicon.circleOutline,
        description: (0, ide_core_common_1.localize)('circleOutline', 'Icon shown for tests that are in an unset state.'),
    },
    'timeline-open': {
        defaults: codicons_1.Codicon.history,
        description: (0, ide_core_common_1.localize)('history', 'Icon for the open timeline action.'),
    },
    'timeline-pin': {
        defaults: codicons_1.Codicon.pin,
        description: (0, ide_core_common_1.localize)('pin', 'Icon for the pin timeline action.'),
    },
    'timeline-refresh': {
        defaults: codicons_1.Codicon.refresh,
        description: (0, ide_core_common_1.localize)('refresh', 'Icon for the refresh timeline action.'),
    },
    'timeline-unpin': {
        defaults: codicons_1.Codicon.pinned,
        description: (0, ide_core_common_1.localize)('pinned', 'Icon for the unpin timeline action.'),
    },
    'timeline-view-icon': {
        defaults: codicons_1.Codicon.history,
        description: (0, ide_core_common_1.localize)('history', 'View icon of the timeline view.'),
    },
    'variables-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the variables view.'),
    },
    'view-pane-container-collapsed': {
        defaults: codicons_1.Codicon.chevronRight,
        description: (0, ide_core_common_1.localize)('chevronRight', 'Icon for a collapsed view pane container.'),
    },
    'view-pane-container-expanded': {
        defaults: codicons_1.Codicon.chevronDown,
        description: (0, ide_core_common_1.localize)('chevronDown', 'Icon for an expanded view pane container.'),
    },
    'watch-expressions-add': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Icon for the add action in the watch view.'),
    },
    'watch-expressions-add-function-breakpoint': {
        defaults: codicons_1.Codicon.add,
        description: (0, ide_core_common_1.localize)('add', 'Icon for the add function breakpoint action in the watch view.'),
    },
    'watch-expressions-remove-all': {
        defaults: codicons_1.Codicon.closeAll,
        description: (0, ide_core_common_1.localize)('closeAll', 'Icon for the Remove All action in the watch view.'),
    },
    'watch-view-icon': {
        defaults: codicons_1.Codicon.debugAlt,
        description: (0, ide_core_common_1.localize)('debugAlt', 'View icon of the watch view.'),
    },
    'widget-close': {
        defaults: codicons_1.Codicon.close,
        description: (0, ide_core_common_1.localize)('close', 'Icon for the close action in widgets.'),
    },
    'workspace-trust-editor-label-icon': {
        defaults: codicons_1.Codicon.shield,
        description: (0, ide_core_common_1.localize)('shield', 'Icon of the workspace trust editor label.'),
    },
};
// TODO more icons
// 已覆盖绝大多数 默认 sumi 图标
// proxy to codicon
exports.sumiIconIdentifier = {
    'sumi-explorer': {
        defaults: codicons_1.Sumicon.explorer,
        description: 'View icon in the Explorer view.',
    },
    'sumi-search': {
        defaults: codicons_1.Sumicon.search,
        description: 'View icon in the Search view.',
    },
    'sumi-debug': {
        defaults: codicons_1.Sumicon.debug,
        description: 'View icon in the Debug view.',
    },
    'sumi-scm': {
        defaults: codicons_1.Sumicon.scm,
        description: 'View icon in the Source Control  view.',
    },
    'sumi-extension': {
        defaults: codicons_1.Sumicon.extension,
        description: 'View icon in the Extension view.',
    },
    'sumi-embed': {
        defaults: codicons_1.Sumicon.embed,
    },
    'sumi-setting': {
        defaults: codicons_1.Sumicon.setting,
    },
    'sumi-sync': {
        defaults: codicons_1.Sumicon.sync,
    },
    'sumi-zsh': {
        defaults: codicons_1.Sumicon.zsh,
    },
    'sumi-bash': {
        defaults: codicons_1.Sumicon.bash,
    },
    'sumi-clear': {
        defaults: codicons_1.Sumicon.clear,
    },
    'sumi-new-file': {
        defaults: codicons_1.Sumicon.newFile,
    },
    'sumi-new-folder': {
        defaults: codicons_1.Sumicon.newFolder,
    },
    'sumi-refresh': {
        defaults: codicons_1.Sumicon.refresh,
    },
    'sumi-more': {
        defaults: codicons_1.Sumicon.more,
    },
    'sumi-open': {
        defaults: codicons_1.Sumicon.open,
    },
    'sumi-close': {
        defaults: codicons_1.Sumicon.close,
    },
    'sumi-delete': {
        defaults: codicons_1.Sumicon.delete,
    },
    'sumi-right': {
        defaults: codicons_1.Sumicon.right,
    },
    'sumi-left': {
        defaults: codicons_1.Sumicon.left,
    },
    'sumi-down': {
        defaults: codicons_1.Sumicon.down,
    },
    'sumi-up': {
        defaults: codicons_1.Sumicon.up,
    },
    'sumi-arrowright': {
        defaults: codicons_1.Sumicon.arrowRight,
    },
    'sumi-arrowleft': {
        defaults: codicons_1.Sumicon.arrowLeft,
    },
    'sumi-arrowdown': {
        defaults: codicons_1.Sumicon.arrowDown,
    },
    'sumi-arrowup': {
        defaults: codicons_1.Sumicon.arrowUp,
    },
    // TODO arrow-down arrow-right 需要改为 down right
    'sumi-arrow-right': {
        defaults: codicons_1.Sumicon.right,
    },
    'sumi-arrow-down': {
        defaults: codicons_1.Sumicon.down,
    },
    'sumi-start': {
        defaults: codicons_1.Sumicon.start,
    },
    'sumi-save-all': {
        defaults: codicons_1.Sumicon.saveAll,
    },
    'sumi-close-all': {
        defaults: codicons_1.Sumicon.closeAll,
    },
    'sumi-collapse-all': {
        defaults: codicons_1.Sumicon.collapseAll,
    },
    'sumi-expand-all': {
        defaults: codicons_1.Sumicon.expandAll,
    },
    'sumi-retrieval': {
        defaults: codicons_1.Sumicon.retrieval,
    },
    'sumi-eye-close': {
        defaults: codicons_1.Sumicon.eyeClose,
    },
    'sumi-ellipsis': {
        defaults: codicons_1.Sumicon.ellipsis,
    },
    'sumi-magic-wand': {
        defaults: codicons_1.Sumicon.magicWand,
    },
};
//# sourceMappingURL=icons.js.map